2003-12-31  Fernando Nasser  <fnasser@redhat.com>

	* java/awt/Choice.java
	(add): Generate ItemEvent for the first item added.
	(insert): Generate ItemEvent if insertion caused selection to change.
	(remove): Generate ItemEvent if removal cause selection to change.
	(removeAll): Change algorithm to prevent generation of ItemEvents.

2003-12-31 Guilhem Lavaux <guilhem@kaffe.org>

	* java/io/ObjectOutputStream.java
	(putFields): Removed redundant code.
	(writeFields): Check for multiple call to writeFields.
	(markFieldsWritten): Fixed exception message.

2003-12-30 Guilhem Lavaux <guilhem@kaffe.org>

	* java/net/URLStreamHandler.java,
	java/net/URL.java
	(URL): Change context path to "/" if it is empty.

2003-12-30  Michael Koch  <konqueror@gmx.de>

	* java/nio/channels/Channels.java
	(newInputStream): Implemented.
	(newOuputStream): Implemented.
	(newChannel): Implemented.
	* gnu/java/nio/ChannelInputStream.java,
	gnu/java/nio/ChannelOutputStream.java,
	gnu//java/nio/InputStreamChannel.java,
	gnu/java/nio/OutputStreamChannel.java: New files.
	* gnu/java/nio/Makefile.am (EXTRA_DIST): Added new files.

2003-12-30  Michael Koch  <konqueror@gmx.de>

	* java/io/ObjectStreamClass.java
	(getSerialPersistentFields): Little reformating.

2003-12-30  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/http/Connection.java
	(outputStream): New field.
	(bufferedOutputStream): New field.
	(connect): Initialize outputStream and bufferedOutputStream.
	(sendRequest): Create PrintWriter object from outputStream,
	support HTTP 1.1, send missing HTTP headers and buffered output data
	for POST method.
	(getOutputStream): Set request method to POST if output stream is
	used, return bufferedOutputStream.
	(setRequestMethod): Allow HEAD and POST methods.
	This fixes libgcj PR/6302 and libgcj PR/7752.

2003-12-30  Michael Koch  <konqueror@gmx.de>

	* java/net/URLConnection.java
	(req_props): Removed.
	(getHeaderField): Do nothing here. Implementation has to be in
	subclass.
	(setRequestProperty): Likewise.
	(addRequestProperty): Likewise.
	(getRequestProperty): Likewise.
	(getRequestProperties): Likewise.
	(setDefaultRequestProperty): Likewise.
	(getDefaultRequestProperty): Likewise.

2003-12-29 Guilhem Lavaux <guilhem@kaffe.org>

	* java/text/RuleBasedCollator.java,
	java/text/CollationElementIterator.java:
	Parser rewritten. All but one feature implemented.

2003-12-29 Guilhem Lavaux <guilhem@kaffe.org>

	* java/net/URLStreamHandler.java
	(parseURL): Change a relative path into an
	absolute if the original URL does not have any path.

	* java/util/GregorianCalendar.java
	(computeFields): Reported by Ito Kazumitsu <kaz@maczuka.gcd.org>.
	Fixed the computation of DAY_OF_WEEK_IN_MONTH.

2003-12-29 Guilhem Lavaux <guilhem@kaffe.org>

	* java/io/ObjectStreamClass.java: Reindented.

2003-12-29 Guilhem Lavaux <guilhem@kaffe.org>

	* java/io/ObjectInputStream.java: Use if instead of catching
	NullPointerException.

2003-12-28  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/HeaderFieldHelper.java
	(getHeaderFieldValueByKey): New method.
	(getHeaderFields): New method.
	* gnu/java/net/protocol/http/Connection.java
	(connect): Lowercase key before adding to HeaderFieldHelper object.
	(getHeaderField): New method.
	(getHeaderFields): New method.

2003-12-28  Guilhem Lavaux <guilhem@kaffe.org>

	* java/io/ObjectOutputStream.java,
	java/io/ObjectInputStream.java,
	java/io/ObjectStreamClass.java: Reindented. Some exception message
	has been added.

2003-12-28  Guilhem Lavaux <guilhem@kaffe.org>

	* java/io/ObjectOutputStream.java
	(writeClassDescriptor): Externalizable class must also write their
	hierarchy.
	(putFields): Added some text message for an exception.

	* java/io/ObjectInputStream.java
	(readClassDescriptor): Documented. Better field checking.
	(defaultReadObject): Readjusted messages in exceptions.
	(currentLoader): Documented.
	(inputGetObjectStreamClasses): Changed indentation.
	(readFields): Documented. Changed logic to improve error reporting and
	behaviour compared to the JDK.
	(readFields): Fixed behaviour.
	(getField): Documented. Fixed behaviour.
	(callReadMethod): Invalidate read fields.

	* java/io/ObjectStreamClass.java
	(setFields): Fix to avoid a NullPointerException.
	(getSerialPersistentFields): Documented. Improved modifier checking.

2003-12-28  Guilhem Lavaux <guilhem@kaffe.org>

	* java/io/LineNumberReader.java
	(countLines): Removed.
	(fill): New private method.
	(mark): Changed logic to use savedLineNumber and matchedNewLine.
	(reset): Likewise.
	(read): Likewise.
	(skipRedundantLF): Likewise.

2003-12-28  Guilhem Lavaux <guilhem@kaffe.org>

	* java/io/LineNumberReader.java
	(mark): Improved error checking.
	(read): Likewise.
	(skip): Likewise. Skip is now really eating the specified number of
	characters.
	
2003-12-28  Michael Koch  <konqueror@gmx.de>

	* java/nio/channels/FileChannelImpl.java
	(implRead): Only put data into buffer when data was read.

2003-12-27  Michael Koch  <konqueror@gmx.de>

	* java/io/ObjectStreamField.java
	(isShared): Documentation added.

2003-12-27  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/http/Connection.java
	(getRequestProperty): Removed.
	(setRequestProperty): Removed.

2003-12-27  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/http/Connection.java
	(setRequestProperty): New method.
	(getRequestProperty): New method.
	(getHeaderField): Reformated.
	(getHeaderFieldKey): Reformated.

2003-12-27  Mark Wielaard  <mark@klomp.org>

	* include/Makefile.am: Add java_lang_VMRuntime.h generation rule.
	* include/java_lang_VMRuntime.h: Regenerated.
	* java/lang/Makefile.am (EXTRA_DIST): Add Runtime.java.
	* vm/reference/java/lang/Makefile.am: Remove Runtime.java, add
	VMRuntime.java.

2003-12-27  Guilhem Lavaux <guilhem@kaffe.org>

	* gnu/java/net/protocol/http/Connection.java
	(receiveReply): Add the null header containing the reply of the server.
	(getHeaderField, getHeaderFieldKey): Check whether the connection has
	already been established.

2003-12-27  Guilhem Lavaux <guilhem@kaffe.org>

	* java/io/CharArrayReader.java (read): It should throw
	IndexOutOfBoundsException and not ArrayIndexOutOfBoundsException (see
	mauve).
	
2003-12-27  Guilhem Lavaux <guilhem@kaffe.org>

	* java/io/BufferedReader.java (readLine): Make readLine() really block
	until either EOF is reached or a true error happens.

2003-12-27  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/http/Connection.java
	(outputWriter): Removed.
	(connect): Always initialize inputStream, don't initialize
	outputWriter.
	(sendRequest): Create PrintWriter object locally.
	(receiveReply): Made private.
	(getInputStream): Return inputStream confitionally.
	(getOuputStream): Documentation added.
	(setRequestMethod): Reordered.
	(getHeaderField): Reordered.
	(getHeaderFieldKey): Reordered.

2003-12-27  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/System.java (mapLibraryName): Changed to call
	VMRuntime.nativeGetLibname.
	* java/lang/Runtime.java: New file.
	* vm/reference/java/lang/Runtime.java: Removed.
	* vm/reference/java/lang/VMRuntime.java: New file.
	* include/java_lang_VMRuntime.h: New file.
	* include/java_lang_Runtime.h: Removed.


2003-12-27  Michael Koch  <konqueror@gmx.de>

	* javax/print/attribute/standard/Copies.java,
	javax/print/attribute/standard/JobImpressions.java,
	javax/print/attribute/standard/JobMediaSheets.java,
	javax/print/attribute/standard/JobPriority.java,
	javax/print/attribute/standard/NumberOfDocuments.java,
	javax/print/attribute/standard/NumberOfInterveningJobs.java,
	javax/print/attribute/standard/NumberUp.java,
	javax/print/attribute/standard/PagesPerMinuteColor.java,
	javax/print/attribute/standard/PagesPerMinute.java,
	javax/print/attribute/standard/QueuedJobCount.java,
	javax/print/attribute/standard/Makefile.am,
	javax/print/attribute/standard/package.html: New files

2003-12-27  Michael Koch  <konqueror@gmx.de>

	* java/nio/channels/spi/AbstractSelector.java:
	Added import for java.nio.channels.ClosedSelectorException.
	(close): Added synchronized to method declaration.
	(cancelledKeys): Throw ClosedSelectorException if is closed.
	(cancelKey): Synchronize on cancelled key set before key.

2003-12-27  Michael Koch  <konqueror@gmx.de>

	* java/util/SimpleTimeZone.java
	(setStartRule): Reformated documentation.
	(setEndRule): Reworked documentation.
	(getDSTSavings): Fixed @since tag.
	(setDSTSavings): New method.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* java/util/Calendar.java,
	java/util/IdentityHashMap.java:
	Import used classes explicitely.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* java/util/prefs/Preferences.java:
	Import used classes explicitely.
	* java/util/prefs/AbstractPreferences.java
	(cachedChildren): New method.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* java/text/MessageFormat.java
	(MessageFormat): New constructor.
	* java/text/NumberFormat.java
	(getCurrency): New method.
	(setCurrency): New method.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* java/text/Format.java (serialVersionUID): Fixed value.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramPacket.java
	(length): Made package-private to make it accessible via CNI.
	(maxlen): New field.
	(DatagramPacket): Cleaned up.
	(setSocketAddress): Add message to exception.
	(setData): Call other setData().
	(setData): Call setLength().
	(setLength): Initialize maxlen too.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramSocket.java
	(close): Directly return if socket is closed.
	* java/net/ServerSocket.java bind():
	If InetSocketAddress.getAddress() returns "null" use "0.0.0.0" as
	address to bind to.
	(close): Directly return if socket is closed.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* java/util/TimeZone.java (getOffset): New method.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* javax/naming/event/EventDirContext.java: Jalopied.
	(addNamingListener): Fixed typo in method name.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* javax/naming/directory/Attribute.java,
	javax/naming/directory/Attributes.java,
	javax/naming/directory/DirContext.java,
	javax/naming/directory/InitialDirContext.java,
	javax/naming/directory/SearchResult.java,
	javax/naming/event/EventContext.java,
	javax/naming/event/EventDirContext.java,
	javax/naming/event/NamingEvent.java,
	javax/naming/event/NamingExceptionEvent.java,
	javax/naming/ldap/ControlFactory.java,
	javax/naming/ldap/ExtendedRequest.java,
	javax/naming/ldap/HasControls.java,
	javax/naming/ldap/InitialLdapContext.java,
	javax/naming/ldap/LdapContext.java,
	javax/naming/ldap/LdapReferralException.java,
	javax/naming/ldap/UnsolicitedNotification.java,
	javax/naming/ldap/UnsolicitedNotificationListener.java,
	javax/naming/spi/DirObjectFactory.java,
	javax/naming/spi/DirStateFactory.java,
	javax/naming/spi/DirectoryManager.java,
	javax/naming/spi/NamingManager.java,
	javax/naming/spi/ObjectFactoryBuilder.java,
	javax/naming/spi/ResolveResult.java,
	javax/naming/spi/Resolver.java,
	javax/naming/spi/StateFactory.java:
	Import used classes explicitely.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* gnu/java/lang/reflect/TypeSignature.java: Reformatted.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* java/io/FilePermission.java:
	Import used classes explicitely.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* java/beans/BeanDescriptor.java,
	java/beans/EventSetDescriptor.java,
	java/beans/FeatureDescriptor.java,
	java/beans/IndexedPropertyDescriptor.java,
	java/beans/Introspector.java,
	java/beans/MethodDescriptor.java,
	java/beans/PropertyDescriptor.java,
	java/beans/SimpleBeanInfo.java: Explicitely import used classes.
	* java/beans/beancontext/BeanContextServicesSupport.java
	(serialVersionUID): New field.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* java/awt/image/PixelGrabber.java: Removed assert() statements added
	in last commit as this breaks compilation with jikes.

2003-12-26  Fernando Nasser  <fnasser@redhat.com>

	* java/awt/datatransfer/DataFlavor.java (getParameter):
	Fix off-by-one error which was clipping off the first character of a
	parameter value.
	* java/awt/datatransfer/StringSelection.java (getTransferData):
	Return object of type expected by specified DataFlavor.

2003-12-26  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* java/awt/image/PixelGrabber.java:
	Fix implementation and update javadocs.
2003-12-26  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* java/awt/FlowLayout.java (layoutContainer): Let components
	assume their preferred height.  Centre components vertically.

2003-12-26  Fernando Nasser  <fnasser@redhat.com>

	* java/awt/List.java (replaceItem): Prevent selection to move with
	replace and minimize flickering.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* native/target/generic/target_generic_file.h
	(TARGET_NATIVE_FILE_FILEFLAG_SYNC): Define to O_FSYNC on systems where
	O_SYNC doesnt exist but O_FSYNC does (like FreeBSD).

2003-12-26  Olga Rodimina <rodimina@redhat.com>

	* java/awt/Polygon.java (translate):
	Fixed error that caused polygon to move right/left
	when up/down translation was required.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* java/awt/MenuComponent.java: Import java.io.Serialization.
	* java/awt/MenuItem.java: Likewise.
	* java/awt/TextComponent.java: Likewise.
	* java/awt/image/ImagingOpException.java
	(serialVersionUID): Fixed.

2003-12-26  Michael Koch  <konqueror@gmx.de>

	* javax/print/attribute/AttributeSetUtilities.java,
	javax/print/attribute/DateTimeSyntax.java,
	javax/print/attribute/DocAttribute.java,
	javax/print/attribute/DocAttributeSet.java,
	javax/print/attribute/EnumSyntax.java,
	javax/print/attribute/HashAttributeSet.java,
	javax/print/attribute/HashDocAttributeSet.java,
	javax/print/attribute/HashPrintJobAttributeSet.java,
	javax/print/attribute/HashPrintRequestAttributeSet.java,
	javax/print/attribute/HashPrintServiceAttributeSet.java,
	javax/print/attribute/IntegerSyntax.java,
	javax/print/attribute/PrintJobAttribute.java,
	javax/print/attribute/PrintJobAttributeSet.java,
	javax/print/attribute/PrintRequestAttribute.java,
	javax/print/attribute/PrintServiceAttribute.java,
	javax/print/attribute/PrintServiceAttributeSet.java,
	javax/print/attribute/ResolutionSyntax.java,
	javax/print/attribute/SetOfIntegerSyntax.java,
	javax/print/attribute/Size2DSyntax.java,
	javax/print/attribute/SupportedValuesAttribute.java,
	javax/print/attribute/TextSyntax.java,
	javax/print/attribute/URISyntax.java,
	javax/print/attribute/UnmodifiableSetException.java: New files
	* javax/print/attribute/Makefile.am (EXTRA_DIST): Added new files.

2003-12-26  Guilhem Lavaux  <guilhem@kaffe.org>

	* java/util/GregorianCalendar.java (computeTime): 12:00 midnight is AM
	and 12:00 noon is PM.

2003-12-26  Guilhem Lavaux  <guilhem@kaffe.org>

	* java/rmi/Naming.java (lookup): Check if the first character of the
	filename returned by URL.getFile() is a '/', only if it is the case
	we cut this first character and call the registry with the good name.
	(bind): Likewise.
	(rebind): Likewise.

2003-12-26  Dalibor Topic <robilad@kaffe.org>

	* java/net/Socket.java (close): Allow a Socket to be closed
	multiple times without throwing an exception.

2003-12-26  Guilhem Lavaux  <guilhem@kaffe.org>

	* java/io/FileInputStream.java (FileInputStream(String)): Call
	FileInputStream(File).
	(FileInputStream(File)): Check whether the argument is a directory.

2003-12-26  Guilhem Lavaux  <guilhem@kaffe.org>
	    Mark Wielaard  <mark@klomp.org>

	* java/io/BufferedReader.java (BufferedReader): Throw
	IllegalArgumentException when size <= 0.
	(mark): Document and better exception message for negative readLimit
	IllegalArgumentException.
	(read(char[],int,int)): Throw IndexOutOfBoundsException if offset and
	count are not valid regarding buf.
	(skip): Throw IllegalArgumentException when count is negative.

2003-12-25  Guilhem Lavaux  <guilhem@kaffe.org>
	    Mark Wielaard  <mark@klomp.org>

	* gnu/java/rmi/server/UnicastConnectionManager.java
	(startScavenger): Set the client connection manager to daemon
	state because it may block clients until TIMEOUT is reached
	when they are exiting.

	* gnu/java/rmi/RMIVoidValue.java: New file for a class representing
	a void return.

	* gnu/java/rmi/server/UnicastRemoteCall.java
	(DummyOutputStream): Add a boolean before each written field to
	know whether it is a primitive.
	(releaseOutputStream): Flush parameters at write time.

	* gnu/java/rmi/server/UnicastServerRef.java
	(incomingMessageCall): Return a RMIVoidValue if no value is to be
	returned.

	* gnu/java/rmi/server/UnicastServer.java
	(incomingMessageCall): Do not write a returned object if it is
	a RMIVoidValue.

	* gnu/java/rmi/server/Makefile.am (EXTRA_DIST): Add RMIVoidValue.java.

2003-12-25  Mark Wielaard  <mark@klomp.org>

	* include/Makefile.am (ARG_CLASSPATH_JAVAH): Use -bootclasspath.
	* include/gnu_java_awt_peer_gtk_GdkPixbufDecoder.h: Regenerated.
	* include/gnu_java_awt_peer_gtk_GtkComponentPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkToolkit.h: Likewise.
	* include/java_lang_VMSystem.h: Likewise.

2003-12-25  Guilhem Lavaux <guilhem@kaffe.org>

	* gnu/java/net/URLParseError.java: New file.
	* gnu/java/net/protocol/jar/Handler.java
	(parseURL): Throw URLParseError if needed, fix '/' handling.
	* java/net/URL.java (URL): Catch URLParseError and
	transform it into a MalformedURLException.

	* gnu/java/net/Makefile.am (EXTRA_DIST): Add URLParseError.java.

2003-12-24  Mark Wielaard  <mark@klomp.org>

	* configure.in: Set version to 0.07+cvs.

2003-12-03  Fernando Nasser  <fnasser@redhat.com>

	* java/awt/List.java (getSelectedIndex):
	Return -1 if no list element is selected.

2003-12-02  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c
	(initState): Mark obj parameter as unused.
	(stringWidth): Mark obj parameter as unused.  Initialize
	font_name properly.

2003-12-02  Graydon Hoare  <graydon@redhat.com>

	* Container.java (LightweightDispatcher): Expand implementation.
	(visitChild): Use existing graphics object, rather than clone.
	(dispatchEventImpl): Call LightweightDispatcher if it exists.
	(addNotifyContainerChildren): Build LightweightDispatcher.

2003-12-02  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* include/gnu_java_awt_peer_gtk_GdkPixbufDecoder.h,
	include/gnu_java_awt_peer_gtk_GtkComponentPeer.h,
	include/gnu_java_awt_peer_gtk_GtkToolkit.h: Regenerate.
	* native/jni/gtk-peer/Makefile.am: Add
	gnu_java_awt_peer_gtk_GdkPixbufDecoder.c.
	* gnu/java/awt/image/ImageDecoder.java (ImageDecoder(byte[],int,int)):
	New constructor.
	(startProduction): Create ByteArrayInputStream when url and filename are
	null.
	(produce): Declare stream parameter as InputStream.
	* gnu/java/awt/image/XBMDecoder.java (produce): Declare stream parameter
	as InputStream.
	* gnu/java/awt/peer/gtk/GdkPixbufDecoder.java
	(GdkPixbufDecoder(byte[],int,int)): New constructor.
	(produce): Declare stream parameter as InputStream.
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java (prepareImage): Throw NPE
	if image is null.  Set image's observer before running PrepareImage
	thread.  Pass image to startProduction.
	* gnu/java/awt/peer/gtk/GtkImage.java: Add null checks before calls to
	source's member functions.
	(observer): New field.
	(setObserver): New method.
	(setDimensions, setPixels, imageComplete): Call observer's imageUpdate.
	* gnu/java/awt/peer/gtk/GtkToolkit.java (checkImage, getImage): Return
	new GtkImage.
	(prepareImage): Implement.
	* java/awt/Component.java: Add static fields incrementalDraw and
	redrawRate.
	(imageUpdate): Implement.
	(createImage): Call Toolkit's createImage if peer is null.
	(prepareImage): Throw NPE if image is null.
	* java/awt/MediaTracker.java: Fix return value.

2003-12-02  Guilhem Lavaux <guilhem@kaffe.org>

	* java/io/ObjectInputStream.java:
	(setBooleanField): Throw an InvalidClassException if the field hasn't 
	the required type.
	(setByteField): Likewise.
	(setCharField): Likewise.
	(setDoubleField): Likewise.
	(setFloatField): Likewise.
	(setIntField): Likewise.
	(setShortField): Likewise.
	(setLongField): Likewise.
	(setObjectField): Likewise.

2003-12-02  Guilhem Lavaux <guilhem@kaffe.org>
	
	* java/io/ObjectStreamField.java: A few methods were added
	in prevision of the upcoming upgrade of the serialization code.
	(ObjectStreamField): We should throw a NullPointerException when
	'name' is null.

2003-12-02  Guilhem Lavaux <guilhem@kaffe.org>, Helmer Kraemer <hkraemer@freenet.de>

	* gnu/java/lang/reflect/TypeSignature.java
	(getClassForEncoding): Splitted the method so we can specify an
	explicit boot loader.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* gnu/java/io/PlatformHelper.java: Reformated.

2003-12-02  Graydon Hoare  <graydon@redhat.com>

	* javax/swing/JLayeredPane.java: Implement.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramSocket.java
	(close): Close associated DatagramChannel object.
	* java/net/Socket.java
	(close): Reset impl and bound before calling getChannel().close() to
	prevent from loops.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* java/nio/channels/spi/AbstractInterruptibleChannel.java
	(opened): Removed.
	(closed): New field.
	(close): Check of channel is closed already.
	(isOpen): Return !closed.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramSocket.java
	(DatagramSocket): Call other sister constructor.
	(connect): Revised exception message.
	(setBroadcast): Renamed on to enable.
	(getLocalAddress): Completed documentation.
	(getChannel): Likewise.
	(isBound): Likewise.
	(isConnected): Likewise.
	(getRemoteSocketAddress): Likewise.
	(getLocalSocketAddress): Likewise.
	(getReuseAddress): Likewise.
	(setBroadcast): Likewise.
	(getTrafficClass): Likewise.
	* java/net/ServerSocket.java
	(getLocalSocketAddress): Simplified.
	(accept): Renamed s to socket.
	(implAccept): Likewise.
	(toString): Made it compliant to SUNs JDK.
	* java/net/Socket.java
	(impl): Make private.
	(getInetAddress): Check if socket is connected.
	(getPort): Likewise.
	(getInputStream): Likewise.
	(getOutputStream): Likewise.
	(getLocalPort): Check if socket is bound.
	(shutdownOutput):
	Readd accidently removed "getImpl().shutdownOutput()".
	(connect): Completed documentation.
	(getOOBInline): Likewise.
	(getReuseAddress): Likewise.
	(getTrafficClass): Likewise.
	(isConnected): Likewise.
	(isBound): Likewise.
	(isClosed): Likewise.
	(isInputShutdown): Likewise.
	(isOutputShutdown): Likewise.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramSocket.java
	(impl): Made private.
	(bound): New private member variable.
	(DatagramSocket): Fixed documentation, use getImpl().
	(getImpl): New package-private method.
	(isClosed): Use getImpl().
	(getLocalAddress): Completed documentation, use getImpl().
	(getLocalPort): Use getImpl().
	(getSoTimeout): Likewise.
	(setSoTimeout): Likewise.
	(getSendBufferSize): Likewise.
	(setSendBufferSize): Likewise.
	(getReceiveBufferSize): Likewise.
	(setReceiveBufferSize): Likewise.
	(connect): Likewise.
	(disconnect): Likewise.
	(receive): Likewise.
	(send): Likewise.
	(setReuseAddress): Likewise.
	(setTrafficClass): Likewise.
	(bind): Added message to exception.
	(isClosed): Completed documentation.
	(getChannel): Likewise.
	(connect): Added missing exception, refined exception message.
	(isBound): Completed documentation, just return bound.
	(isConnected): Completed documentation.
	(getRemoteSocketAddress): Likewise.
	(getReuseAddress): Completed documentation, use getImpl().
	(setSoBroadcast): Likewise.
	(getSoBroadcast): Likewise.
	(getTrafficClass): Likewise.
	(getLocalSocketAddress): Simplified.
	* java/net/MulticastSocket.java
	(MulticastSocket): Removed comment not applying anymore.
	(getInterface): Use getImpl().
	(getTTL): Likewise.
	(getTimeToLive): Likewise.
	(setInterface): Likewise.
	(setNetworkInterface): Likewise.
	(getNetworkInterface): Likewise.
	(setLoopback): Likewise.
	(getLoopback): Likewise.
	(setTTL): Likewise.
	(setTimeToLive): Likewise.
	(joinGroup): Likewise.
	(leaveGroup): Likewise.
	(send): Likewise.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* java/net/Socket.java
	(implCreated): Dont set default value explicitely, added
	documentation.
	(inputShutdown): Likewise.
	(outputShutdown): Likewise.
	(bound): New private member variable.
	(bind): Set bound to true.
	(close): Set bound to false.
	(isBound): Return bound.
	* java/net/ServerSocket.java
	(bound): New private member variable.
	(bind): Set bound to true.
	(close): Set bound to false.
	(isBound): Return bound.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramSocket.java
	(factory): Made private.
	(closed): Removed.
	(DatagramSocket): Check impl argument, use constructor with
	SocketAddress argument.
	(close): Set impl to null, use isClosed().
	(isClosed): Check for impl == null.
	(getLocalAddress): Use isClosed().
	(getLocalPort): Check if socket is closed.
	(getSoTimeout): Likewise.
	(setSoTimeout): Likewise.
	(getSendBufferSize): Likewise.
	(setSendBufferSize): Likewise.
	(getReceiveBufferSize): Likewise.
	(setReceiveBufferSize): Likewise.
	(receive): Likewise.
	(send): Likewise.
	(bind): Likewise.
	(connect): Likewise.
	(setReuseAddress): Likewise.
	(getReuseAddress): Likewise.
	(setBroadcast): Likewise.
	(getBroadcast): Likewise.
	(setTrafficClass): Likewise.
	(getTrafficClass): Likewise.
	* java/net/MulticastSocket.java
	(getInterface): Check if socket is closed.
	(getTTL): Likewise.
	(getTimeToLive): Likewise.
	(setInterface): Likewise.
	(setNetworkInterface): Likewise.
	(getNetworkInterface): Likewise.
	(setLoopbackMode): Likewise.
	(setTTL): Likewise.
	(setTimeToLive): Likewise.
	(joinGroup): Likewise.
	(leaveGroup): Likewise.
	(send): Likewise.
	* java/net/ServerSocket.java
	(closed): Removed.
	(close): Check if socket is closed, set impl to null.
	(isClosed): Check impl == null;
	(ServerSocket): Check impl argument.
	(getInetAddress): Check if socket is bound.
	(getLocalPort): Likewise.
	(getLocalSocketAddress): Likewise.
	(bind): Check if socket is closed.
	(implAccept): Likewise.
	(setSoTimeout): Likewise.
	(getSoTimeout): Likewise.
	(setReuseAddress): Likewise.
	(getReuseAddress): Likewise.
	(setReceiveBufferSize): Likewise.
	(getReceiveBufferSize): Likewise.
	* java/net/Socket.java
	(closed): Removed.
	(Socket): Fixed documentation.
	(connect): Check if socket is closed, changed exception text,
	fixed documentation.
	(getInputStream): Check of socket is closed  and connected.
	(getOutputStream): Likewise.
	(bind): Check if socket is closed.
	(setTcpNoDelay): Likewise.
	(getTcpNoDelay): Likewise.
	(setSoLinger): Likewise.
	(getSoLinger): Likewise.
	(sendUrgentData): Likewise.
	(setOOBInline): Likewise.
	(getOOBInline): Likewise.
	(setSoTimeout): Likewise.
	(getSoTimeout): Likewise.
	(setSendBufferSize): Likewise.
	(getSendBufferSize): Likewise.
	(setReceiveBufferSize): Likewise.
	(getReceiveBufferSize): Likewise.
	(setKeepAlive): Likewise.
	(getKeepAlive): Likewise.
	(close): Likewise.
	(shutdownInput): Likewise.
	(shutdownOutput): Likewise.
	(getReuseAddress): Likewise.
	(getTrafficClass): Likewise.
	(setTrafficClass): Likewise.
	(isClosed): Check impl == null.
	(toString): Added missing ']'.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramSocket.java
	(DatagramSocket): Move binding code to bind(), simplify constructors.
	* java/net/MulticastSocket.java
	(MulticastSocket): Call parent constructor with null argument,
	bind socket after setReuseAddress is called, simplify constructors.
	* java/net/Socket.java
	(various): Some more getImpl() fixes.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* java/net/Socket.java
	(implCreated): New variable that indicates created impl.
	(getImpl): New method.
	(toString): Return more SUN compliant string representation.
	(various): Use getImpl() instead of impl.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* java/text/DateFormat.java:
	Explicitely import used classes.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* include/gnu_java_awt_peer_gtk_GdkFontMetrics.h: Regenerated.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/Handler.java:
	(openConnection): Handle case when host part of file: URL is set.
	* gnu/java/net/protocol/http/Connection.java: Reformated.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* gnu/java/lang/ClassLoaderHelper.java:
	Explicitly import used classes.
	* gnu/java/lang/SystemClassLoader.java
	(systemFindResource): Fixed typo.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/Connection.java: Reformated.
	(inputStream): Made an InputStream.
	(outputStream): Made an OutputStream.
	(connect): Don't throw FileNotFoundException directly. FileInputStream
	constructor does this for us.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/jar/Connection.java:
	Reformated.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/jar/Handler.java:
	Reformated.

2003-12-02  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/Handler.java:
	Reformated.

2003-12-01  Kim Ho <kho@redhat.com>

	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c (create):
	Disable wrapping if TextArea has horizontal scroll bars.

2003-12-01  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
	(awt_event_handler): Hard-code inset values.

	* gnu/java/awt/peer/gtk/GdkFontMetrics.java (GdkFontMetrics):
	Pass font name, not XLFD, to initState.
	(stringWidth(String, int, String)): New method.
	(stringWidth(String)): Call new stringWidth.
	(getLeading): Always return 0.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c
	(initState): New Pango implementation.
	(stringWidth): Likewise.

2003-12-01  Graydon Hoare  <graydon@redhat.com>

	* java/awt/Container.java (swapComponents): New method.
	* (visitChild): Handle null clip bounds.
	* javax/swing/JLayeredPane.java: Conform to mauve test, javadoc.

2003-12-01  Olga Rodimina <rodimina@redhat.com>

	* java/awt/TextComponent.java:
	(getSelectionStart): Updated javadocs.
	(getSelectionEnd): Ditto.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextComponentPeer:
	(getSelectionStart): Changed to return caret position if no
	text is selected
	(getSelectionEnd): Ditto.

2003-12-01  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkImage.java (setDimensions,
	setProperties): Check that io is not null before calling
	io.imageUpdate.
	* java/awt/image/ImageConsumer.java (setPixels, imageComplete):
	Update javadocs.
	* java/awt/image/PixelGrabber.java: Fix implementation and
	update javadocs.

2003-11-30  Mark Wielaard  <mark@klomp.org>

	* configure.in: Set version to 0.07.
	* NEWS: Set release date to today.

2003-11-30  Mark Wielaard  <mark@klomp.org>

	* java/security/Security.java: Don't use &nbsp; in the api doc.

2003-11-30  Mark Wielaard  <mark@klomp.org>

	* doc/api/Makefile.am (packages, create_html): Only generate api doc
	for the core packages, not the external ones.

2003-11-29  Mark Wielaard  <mark@klomp.org>

	Reported by Etienne Gagnon <gagnon.etienne_m@uqam.ca>
	* doc/www.gnu.org/stories: Updated SableVM blurb and add extra
	publications link.

2003-11-29  Mark Wielaard  <mark@klomp.org>

	* doc/hacking.texi: Clearify jikesrvm link (www, not www-124).
	* doc/www.gnu.org/stories.wml: Likewise.
	* doc/www.gnu.org/home.wml: Update Open Tasks savannah link.

2003-11-28  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/PlainDatagramSocketImpl.java
	(sendTo): Added offset argument.
	* include/gnu_java_net_PlainDatagramSocketImpl.h: Regenerated.
	* native/jni/java-net/gnu_java_net_PlainDatagramSocketImpl.c
	(receive0): Use completely available space in buffer array.
	(sendTo): Use offset.

2003-11-28  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* java/text/SimpleDateFormat.java (compileFormat):
	isLowerCase() and isUpperCase() allow too many characters.
	Just use >= 'A' && <= 'Z' || >= 'a' && <= 'z'.

2003-11-28  Mark Wielaard  <mark@klomp.org>

	Reported by Archie Cobbs:
	* java/security/DigestInputStream.java (read(byte[], int, int): Call
	digest.update() with temp, not len as lenght.

2003-11-28  Mark Wielaard  <mark@klomp.org>

	Reported by Michael Hind <hindm@us.ibm.com>:
	* doc/www.gnu.org/stories: Updated Jikes RVM blurb.
	Fixed Joas and SableVM publication links.

2003-11-28  Mark Wielaard  <mark@klomp.org>

	* NEWS: Update with new 0.07 items.

2003-11-28  Dalibor Topic  <robilad@kaffe.org>

	Reported by: Jim Pick <jim@kaffe.org>

	* libraries/javalib/java/util/Hashtable.java
	(internalcontainsValue): New method.
	(contains) Delegate to internalContainsValue.

	Reported by: Mark Wielaard  <mark@klomp.org>

	* libraries/javalib/java/util/Hashtable.java
	(contains): Improved comment.

	Reported by: Jeroen Frijters  <jeroen@frijters.net>

	* libraries/javalib/java/util/Hashtable.java
	(containsValue): Delegate to contains(Object) to make sure older
	code overwriting it continues to work.

2003-11-27  Michael Koch  <konqueror@gmx.de>

	* doc/www.gnu.org/downloads/tools.wml: Add GNU.xml style definition
	file.

2003-11-27  Mark Wielaard  <mark@klomp.org>

	New setup from Patrik Reali <reali@acm.org>
	* Makefile: New setup.
	* README: Describe new setup.
	* benchmarks.wml: New file.
	* external.wml: New file.
	* home.wml: Use new setup.
	* license.wml: New file.
	* stories.wml: New file.
	* docs/Makefile: New setup.
	* docs/docs.wml: Use new setup.
	* downloads/.cvsignore: New file.
	* downloads/19990206.wml: New file.
	* downloads/20001120.wml: New file.
	* downloads/20010106.wml: New file.
	* downloads/20020208.wml: New file.
	* downloads/Makefile: New file.
	* downloads/downloads.wml: New file.
	* downloads/tools.wml: New file.
	* faq/.cvsignore: New file.
	* faq/Makefile: New file.
	* faq/faq.wml: New file.
	* include/layout.wml: New file.
	* include/macros.wml: New setup.

2003-11-27  Mark Wielaard  <mark@klomp.org>

	* configure.in: Removed AC_CYGWIN and AC_MINGW32.

2003-11-27  Dalibor Topic <robilad@kaffe.org>

	* java/text/FieldPosition.java (equals): Fixed comment.

2003-11-27  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/http/Connection.java
	(connect): Always create outputStream, its needed to send request to
	remote server. Set connected to true after request was sent and reply
	received.

2003-11-27  Michael Koch  <konqueror@gmx.de>

	* java/net/URLStreamHandler.java
	(parseURL): Added comment in catch statement.
	(canonicalizeFilename): Add documentation.
	(sameURL): Completed documentation.
	(equals): Likewise.
	(hostsEqual): Likewise.
	(getDefaulPort): Likewise.
	(hashCode): Likewise.
	(toExternalForm): Likewise.
	(getHostName): Fix empty hostname check, completed documentation.

2003-11-26  Tom Fitzsimmons  <fitzsim@redhat.com>

	* java/awt/GridBagLayout.java (getLayoutDimensions): Return array of
	two zero-length int arrays when layoutInfo is null.
	(getLayoutWeights): Return array of two zero-length double arrays when
	layoutInfo is null.

2003-11-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/BoxLayout.java
	(serialVersionUIR): New member variable.
	(X_AXIS, Y_AXIS): Documentation added.
	(LINE_AXIS, PAGE_AXIS): New constants.
	(grid): Renamed from gridbag.
	(BoxLayout): Use new constants, throw exception if invalid value for
	way, added documentation.
	(BoxLayout): Removed.
	(addLayoutComponent): Use new constants, added documentation.
	(removeLayoutComponent): Likewise.
	(addLayoutContainer): Added documentation.
	(preferredLayoutSize): Added documentation, check given argument.
	(minimumLayoutSize): Likewise.
	(layoutContainer): Likewise.
	(getLayoutAlignmentX): Likewise.
	(getLayoutAlignmentY): Likewise.
	(invalidateLayout): Likewise.
	(maximumLayoutSize): Likewise.

2003-11-26  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/DatagramChannelImpl.java
	(getNativeFD): Use getPlainDatagramSocketImpl().
	* gnu/java/nio/NIODatagramSocket.java
	(getPlainDatagramSocketImpl): Renamed from getImpl().
	* gnu/java/nio/NIOSocket.java
	(getPlainSocketImpl): Renamed from getImpl().
	(setChannel): Use getPlainSocketImpl().
	* gnu/java/nio/SocketChannelImpl.java
	(SocketChannelImpl): Use getPlainSocketImpl().
	(getPlainSocketImpl): Renamed from getImpl().
	(getNativeFD): Use getPlainSocketImpl().

2003-11-26  Michael Koch  <konqueror@gmx.de>

	* java/net/URL.java
	(URL): Fixed documentation to be HTML compliant.
	(getContent): Completed documentation.
	(getFile): Likewise.
	(getPath): Likewise.
	(getAuthority): Likewise.
	(getHost): Likewise.
	(getDefaultPort): Likewise.
	(getProtocol): Likewise.
	(hashCode): Likewise.
	(openConnection): Likewise.
	(openStream): Likewise.
	(set): Likewise.
	(getURLStreamHandler): Wrapped lines to fit into our 79 chars rule.

2003-11-26  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramPacket.java
	(DatagramPacket): Fixed documentation to become legal HTML.

2003-11-26  Michael Koch  <konqueror@gmx.de>

	* java/net/InetSocketAddress.java
	(hostname): Made private, added documentation.
	(addr): Likewise.
	(port): Likewise.
	(equals): Completed documentation.
	(getAddress): Likewise.
	(getHostName): Likewise.
	(getPort): Likewise.
	(hashCode): Likewise.
	(isUnresolved): Likewise.
	(toString): Likewise.

2003-11-26  Michael Koch  <konqueror@gmx.de>

	* java/net/URLStreamHandler.java
	(getHostName): Fix empty hostname check.
	(toExternalForm): Add port number only when host is present and port
	was specified in spec.

2003-11-25  David Belanger  <dbelan2@cs.mcgill.ca>

	* java/util/zip/ZipFile (Zipfile(File)): Set file path as name.
	(ZipFile(File,int)): Likewise.

2003-11-25  Mark Wielaard  <mark@klomp.org>

	Thanks to Sascha Brawer
	* NEWS: Update new features, vm-interface changes and bug fixes.

2003-11-25  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* java/util/GregorianCalendar.java (getLinearTime): Avoid counting
	the leap day of the leap year twice.
	(computeFields): First week of month is 1 not 0.

2003-11-23  Guilhem Lavaux <guilhem@kaffe.org>

	* java/text/NumberFormat.java:
	(getIntegerInstance) Added the java version in the comments.

	* java/text/FormatCharacterIterator.java: Documented the class and
	its methods.

2003-11-23  Mark Wielaard  <mark@klomp.org>

	* java/text/NumberFormat.java: Import java.io.InvalidObjectException.
	(readResolve): Reformat.

2003-11-23  Mark Wielaard  <mark@klomp.org>

	* native/jni/java-net/javanet.c: Plain[Datagram]SocketImpl moved from
	java/net to gnu/java/net.

2003-11-22  Guilhem Lavaux <guilhem@kaffe.org>

	* java/text/NumberFormat.java
	(NumberFormat.Field): New implemented class to match Java 1.4. 
	(getIntegerInstance): Two new Java 1.4 methods.o

	* java/text/DecimalFormatSymbols.java (locale): New field.
	(DecimalFormatSymbols (Locale)): Set locale.
	(serialVersionOnStream): Upgraded to number 2.
	(readObject): Assign locale if it wasn't by the serializer.

	* java/text/FormatCharacterIterator.java: Fixed some typos.

2003-11-18  Graydon Hoare  <graydon@redhat.com>

	* javax/swing/JLayeredPane.java: Implement.
	* javax/swing/JFrame.java (getContentPane): Make public
	* javax/swing/javax/swing/JRootPane.java (setContentPane): 
	Use JLayeredPane.FRAME_CONTENT_LAYER.

2003-11-21  Jeroen Frijters  <jeroen@frijters.net>
	* vm/reference/java/lang/Runtime.java (exit): Fixed bug introduced
	earlier today that caused exit() calls during finalization for exit
	to get lost.

2003-11-21  Mark Wielaard  <mark@klomp.org>

	* configure.in: Depend on gtk+ 2.2.x.
	* HACKING, NEWS: Document.

2003-11-21  Mark Wielaard  <mark@klomp.org>

	* vm/reference/java/lang/Runtime.java (exit): Add extra comments.

2003-11-21  Mark Wielaard  <mark@klomp.org>

	* gnu/java/awt/peer/gtk/Makefile.am (EXTRA_DIST): Add
	GdkClasspathFontPeerMetrics.java.

2003-11-21  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/Thread.java (start): Throw IllegalThreadStateException
	instead of IllegalStateException.
	* vm/reference/java/lang/Runtime.java (exit): Moved shutdown hook
	processing to new method.
	(runShutdownHooks): New method.

2003-11-21  Mark Wielaard  <mark@klomp.org>

	* java/io/InputStreamReader.java (getEncoding): Handle closed stream
	(in == null) case.

2003-11-21  Mark Wielaard  <mark@klomp.org>

	* javax/swing/plaf/basic/BasicDefaults.java (BasicDefaults): Put
	AbstractUndoableEdit.undoText and AbstractUndoableEdit.redoText.

2003-11-18  Graydon Hoare  <graydon@redhat.com>

	* java/awt/font/TextLayout.java: Implement simple layouts
	using attributed strings and glyph vectors.

2003-11-17  Graydon Hoare  <graydon@redhat.com>

	* gnu/java/awt/peer/gtk/GdkClasspathFontPeerMetrics.java: New file.
	* gnu/java/awt/peer/gtk/GdkClasspathFontPeer.java 
	(GdkFontLineMetrics): New inner class.
	(getLineMetrics): Return new GdkFontLineMetrics.
	(getFontMetrics): Return new GdkClasspathFontPeerMetrics.
	(layoutGlyphVector): Create GdkGlyphVector.
	* gnu/java/awt/peer/gtk/GdkGraphics2D.java (stateStack): New member.
	(GdkGraphics2D): Initialize state via mathod calls.
	(cairoSetMatrix, cairoShowGlyphs): Simplify native calls.
	(cairoTranslate, cairoScale, cairoRotate): Remove.
	(various methods): use setTransform for special transform cases.
	(DrawState): New inner class.
	(stateSave): New method.
	(stateRestore): New method.
	(various methods): use stateSave, stateRestore.
	(getClipInDevSpace): New method.
	(clip, clipRect, setClip, getClip, getClipBounds): 
	Follow spec more closely.
	(getTransform): Return clone of transform.
	(setStroke): Set linewidth to passed width / 2.0.
	(setPaintMode): Set SrcOver rather than Xor.
	(setColor): Set paint to passed color.
	(drawRaster, drawImage, PainterThread, drawPixels): Take affine
	transform from image to user space.
	(drawRenderedImage, drawRenderableImage): Implement.
	(getFontRenderContext, getFontMetrics, drawString, getFont): 
	Implement
	(drawArc, drawOval, drawRoundRect, fillArc, fillOval, fillRoundRect): 
	Implement.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c: 
	Match changes to java side.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeer.c: 
	Release resources.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c: 
	Don't use pango for metrics.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.c: 
	New file.

2003-11-19  Dalibor Topic <robilad@kaffe.org>

	* java/text/FieldPosition.java (equals): Adapted to handle
	field_attribute. Added fast-circuit check for comparison to self.
	Replaced use of instanceof by getClass to fix symmetry for derived
	types.
	(toString): Adapted to handle field_attribute. Improved readability.
	(hashCode): New method.

2003-11-19  Guilhem Lavaux <guilhem@kaffe.org>

	* java/text/FieldPosition.java (field_attribute): New field.
	(FieldPosition (Format.Field), FieldPosition(Format.Field, int),
	getFieldAttribute): New methods.

2003-11-18  Ingo Proetel  <proetel@aicas.com>

	* native/target/generic/target_generic.h: Fixed extern-C declaration.
	* native/target/generic/target_generic_io.h: Likewise.
	* native/target/generic/target_generic_math_float.h: Likewise.
	* native/target/generic/target_generic_math_int.h: Likewise.
	* native/target/generic/target_generic_misc.h: Likewise.
	* native/target/Linux/target_native.h: Likewise.
	* native/target/Linux/target_native_file.h: Likewise.
	* native/target/Linux/target_native_io.h: Likewise.
	* native/target/Linux/target_native_math_float.h: Likewise.
	* native/target/Linux/target_native_math_int.h: Likewise. 
	* native/target/Linux/target_native_misc.h: Likewise.
	* native/target/Linux/target_native_network.h: Likewise.

2003-11-17  Jeff Sturm  <jsturm@one-point.com>

	* java/io/ByteArrayOutputStream.java (resize):
	Fix off-by-one error.

2003-11-17  Graydon Hoare  <graydon@redhat.com>

	* javax/swing/plaf/basic/BasicDefaults.java: Rewrite to spec.
	* javax/swing/UIDefaults.java: Modify to reflect rewrite.

2003-11-17  Graydon Hoare  <graydon@redhat.com>

	* gnu/classpath/Configuration.java.in (default_awt_peer_toolkit):
	Change GTK -> Gtk.

2003-11-17  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/undo/StateEdit.java (getPresentationName): Docfix.
	* javax/swing/undo/AbstractUndoableEdit.java (canUndo, canRedo,
	isSignificant): Likewise.

2003-11-17  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/undo/CompoundEdit.java: Re-format, document.
	(inProgress): Set initial value to true.
	(undo, redo, die, canUndo, canRedo): Also call inherited
	implementation; simplify code structure.
	(getPresentationName, getUndoPresentationName,
	getRedoPresentationName): Make behavior dependent on lastEdit.
	(addEdit, isSignificant): Completely re-written.

2003-11-16  Tom Tromey  <tromey@redhat.com>

	* java/io/StreamTokenizer.java (commentChar): Clear other
	attributes for character.
	(quoteChar): Likewise.

2003-11-15  Michael Koch  <konqueror@gmx.de>

	* java/awt/Font.java,
	java/awt/datatransfer/DataFlavor.java,
	java/math/BigInteger.java,
	java/net/Inet4Address.java,
	java/net/Inet6Address.java,
	java/rmi/MarshalledObject.java,
	java/rmi/server/RMIClassLoader.java,
	java/security/cert/CertStore.java,
	java/sql/Timestamp.java,
	java/text/SimpleDateFormat.java,
	javax/naming/CompoundName.java (equals):
	Removed some redundant obj == null checks.

2003-11-15  Guilhem Lavaux <guilhem@kaffe.org>
	    Jim Pick  <jim@kaffe.org>

	* java/text/DecimalFormat.java (getCurrency, setCurrency): New
	methods.

2003-11-15  Guilhem Lavaux  <guilhem@kaffe.org>

	* java/text/DecimalFormatSymbols.java (getCurrency,
	setCurrency): New methods.

2003-11-14  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/undo/StateEdit.java: Re-format, document.
	(undo, redo): Also call inherited implementation.

2003-11-14  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/undo/StateEditable.java: Re-format, document.

2003-11-14  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/undo/AbstractUndoableEdit.java: Re-format, document.
	(AbstractUndoableEdit): Initialize hasBeenDone to true.
	(canUndo, canRedo): Simplify.
	(getUndoPresentationName, getRedoPresentationName): Support
	localized message; call getPresentationName() only once.

2003-11-14  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/UIManager.java (getDefaults, getDimension,
	getIcon, getInsets, getInstalledLookAndFeels, getInt,
	getLookAndFeel, getString, getSystemLookAndFeelClassName):
	Declare as public.

2003-11-13  Guilhem Lavaux  <guilhem@kaffe.org>
	    Mark Wielaard  <mark@klomp.org>

	* java/net/URLStreamHandler (parseUrl): Fixed URL parsing
	('@' should be checked to distinguish port from userinfo).
	(toExternalForm): Add @ userInfo if necessary.

2003-11-13  Guilhem Lavaux <guilhem@kaffe.org>

	* java/net/ServerSocket.java (close): Check if server socket has
	already been released, before attepting to close it.

2003-11-13  Dalibor Topic <robilad@kaffe.org>

	* gnu/java/net/protocol/file/Connection.java (permission): New field.
	(DEFAULT_PERMISSION): New constant.
	(Connection): Create a FilePermission with permission to read file.
	(getPermission): Overwrite getPermission to return a FilePermission.

2003-11-13  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/undo/CannotRedoException.java: Re-format, document.
	* javax/swing/undo/CannotUndoException.java: Likewise.

2003-11-12  Tom Tromey  <tromey@redhat.com>

	* include/gnu_java_awt_peer_gtk_GtkLabelPeer.h: Rebuilt.

2003-11-12  Michael Koch  <konqueror@gmx.de>

	* external/jaxp/source/gnu/xml/pipeline/XIncludeFilter.java
	(Scrubber.Scrubber): Call methods of super class.
	* external/jaxp/source/org/xml/sax/helpers/XMLReaderFactory.java
	(createXMLReader): Catch RuntimeException not Exception.

2003-11-11  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkLabelPeer.java (create()): Call new create.
	(create(String, float)): New method.
	(setText): Make native.
	(nativeSetAlignment): New method.
	(setAlignment): Call nativeSetAlignment.
	(getArgs): Remove method.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(find_fg_color_widget, find_bg_color_widget): New functions.
	(gtkWidgetSetForeground): Call find_fg_color_widget.
	(gtkWidgetSetBackground): Call find_bg_color_widget.  Modify active and
	prelight colors.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c (create): Wrap label
	widget in event box.
	(setText, setAlignment): Implement new native methods.

2003-11-11  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/geom/FlatteningPathIterator.java: Entirely re-written.
	* java/awt/geom/doc-files/FlatteningPathIterator-1.html:
	Describe how the implementation works.

2003-11-10  Gary Benson  <gbenson@redhat.com>

	* java/sql/Timestamp.java (valueOf): Correctly handle
	nanoseconds.

2003-11-09  Tom Tromey  <tromey@redhat.com>

	* java/net/Inet4Address.java (serialVersionUID): Updated.

2003-11-07  Stuart Ballard <stuart.ballard@corp.fast.net>

	* java/util/HashMap.java (putAll): Use Iterator hasNext() method.
	(putAllInternal): Likewise.
	* java/util/Hashtable.java (putAll): Use Iterator hasNext() method.
	(putAllInternal): Likewise.

2003-11-06  Sascha Brawer  <brawer@dandelis.ch>

	* gnu/java/awt/BitwiseXORComposite.java: New file.
	* gnu/java/awt/doc-files: New directory.
	* gnu/java/awt/doc-files/BitwiseXORComposite-1.png: New image.
	* gnu/java/awt/Makefile.am (EXTRA_DIST):
	Added BitwiseXORComposite.java.

2003-11-04  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/ClasspathToolkit.java: New file.
	* gnu/java/awt/Makefile.am
	(EXTRA_DIST): Added ClasspathToolkit.java.
	* gnu/java/awt/image/GdkPixbufDecoder.java,
	gnu/java/awt/image/GtkOffScreenDecoder.java: Removed.
	* gnu/java/awt/image/ImageDecoder.java
	(produce): Made public.
	* gnu/java/awt/image/Makefile.am
	(EXTRA_DIST): Removed GdkPixbufDecoder.java and
	GtkOffScreenDecoder.java.
	* gnu/java/awt/peer/ClasspathFontPeer.java,
	gnu/java/awt/peer/gtk/GdkClasspathFontPeer.java,
	gnu/java/awt/peer/gtk/GdkGlyphVector.java,
	gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	gnu/java/awt/peer/gtk/GdkPixbufDecoder.java: New files.
	* gnu/java/awt/peer/Makefile.am
	(EXTRA_DIST): Added ClasspathFontPeer.java.
	* gnu/java/awt/peer/gtk/Makefile.am
	(EXTRA_DIST): Added GdkClasspathFontPeer.java, GdkGlyphVector.java,
	GdkGraphics2D.java and GdkPixbufDecoder.java.
	* gnu/java/awt/peer/gtk/GtkToolkit.java:
	Import gnu.java.awt.peer.gtk.GdkPixbufDecoder.
	* include/Makefile.am: Generate and install new file
	gnu_java_awt_peer_gtk_GdkPixbufDecoder.h.
	* include/gnu_java_awt_image_GdkPixbufDecoder.h: Removed.
	* include/gnu_java_awt_peer_gtk_GdkPixbufDecoder.h: New file.
	* native/jni/gtk-peer/gnu_java_awt_image_GdkPixbufDecoder.c: Removed.

2003-11-04  Michael Koch  <konqueror@gmx.de>

	* java/net/SocketPermission.java
	(equals): Removed unneeded obj == null check.
	* java/net/URL.java
	(equals): Removed unneeded obj == null check.
	(getURLStreamHandler): Removed unneeded ph == null check.

2003-11-04  Michael Koch  <konqueror@gmx.de>

	* java/util/zip/Checksum.java,
	java/util/zip/ZipConstants.java:
	Removed redundant modifiers.
	* java/util/zip/InflaterInputStream.java:
	Merged copyright with libgcj's version.

2003-11-04  Michael Koch  <konqueror@gmx.de>

	* java/nio/ByteBuffer.java
	(equals): Removed unneeded obj != null check.

2003-11-02  Mark Wielaard  <mark@klomp.org>

	* configure.in (AC_CHECK_FUNC): Add ftruncate, fsync and select.

	* native/target/generic/target_generic_file.h
	(TARGET_NATIVE_FILE_OPEN): Check filedescriptor >= 0 before calling
	fcntl.

2003-10-30  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c (create): Turn on
	word wrapping.

2003-10-29  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c (getSize): Return
	scrolled window's size request.

2003-10-26  Mark Wielaard  <mark@klomp.org>

	Reported by Helmer Kraemer <hkraemer@freenet.de>
	* java/util/jar/JarInputStream.java (readManifest): Don't call
	closeEntry().

2003-10-26  Bryce McKinlay  <bryce@mckinlay.net.nz>

	* java/lang/reflect/AccessibleObject.java (secureSetAccessible):
	Don't check for AccessibleObject. Update javadocs.

	* java/util/TreeMap.java: Doc fixes. HashMap -> TreeMap.

2003-10-24  Julian Dolby  <dolby@us.ibm.com>

	* javax/naming/spi/NamingManager.java (getContinuationContext): Call
	getObjectInstance() with Object, Name, Context and environment
	Hashtable from exception. Call fillInStackTrace() on exception when
	rethrown.

2003-10-24  Julian Dolby  <dolby@us.ibm.com>

	* javax/naming/InitialContext.java (lookup(Name)): When a
	CannotProceedException is thrown use the ContinuationContext.
	(lookup(String)): Likewise.
	(close): Clear myProps and defaultInitCtx.

2003-10-24  Ito Kazumitsu <kaz@maczuka.gcd.org>

	* java/text/DecimalFormat.java
	(scanFormat) corrected so that '%' may appear in a pattern.

2003-10-24  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkDialogPeer.java (handleEvent):
	Remove method.
	* gnu/java/awt/peer/gtk/GtkWindowPeer.java (postWindowEvent):
	New method.
	* java/awt/Window.java (Window(Window,GraphicsConfiguration),
	show, hide, dispose, getOwnedWindows): Synchronize on tree lock.
	(dispose): Post WINDOW_CLOSED event.
	(addWindowFocusListener, addWindowStateListener): Assign result
	of multicaster add back to window listener.
	(removeWindowFocusListener, removeWindowStateListener): Assign
	result of multicaster remove back to window listener.
	(dispatchEventImpl): Add null checks for focus and state
	listeners.
	(processWindowEvent): Handle case where windowListener is null
	but state or focus listeners exist.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c: Add JNI
	glue for postWindowEvent.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
	(window_delete_cb, window_destroy_cb, window_show_cb,
	window_focus_in_cb, window_focus_out_cb, window_window_state_cb,
	window_get_new_state): New functions.
	* jni/gtk-peer/gtkpeer.h: Define window event and frame state
	macros.  Declare postWindowEventID.

2003-10-24  Mark Wielaard  <mark@klomp.org>

	From Guilhem Lavaux  <guilhem.lavaux@free.fr>
	* java/text/DateFormat.java (Field): New public static inner class.
	* java/text/Format.java (Field): Likewise.
	(formatToCharacterIterator): New method.
	* java/text/FormatCharacterIterator.java: New file.
	* java/text/Makefile.am (EXTRA_DIST): Add
	FormatCharacterIterator.java.

2003-10-24  Dalibor Topic  <robilad@kaffe.org>

	* gnu/java/beans/IntrospectionIncubator.java (addMethod): Add public
	static methods.

2003-10-24  Mark Wielaard  <mark@klomp.org>

	From Guilhem Lavaux  <guilhem.lavaux@free.fr>
	* java/util/Currency.java: New file.
	* java/util/Makefile.am (EXTRA_DIST): Add Currency.java.

2003-10-23  Mark Wielaard  <mark@klomp.org>

	* gnu/java/net/protocol/file/Makefile.am (EXTRA_DIST): Renamed
	FileURLConnection.java to Connection.java.
	* gnu/java/net/protocol/http/Makefile.am (EXTRA_DIST): Renamed
	HttpURLConnection.java to Connection.java.
	* gnu/java/net/protocol/jar/Makefile.am (EXTRA_DIST): Renamed
	JarURLConnection.java to Connection.java.

2003-10-23  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/geom/CubicCurve2D.java (contains): Docfix for URL of embedded drawing.
	* java/awt/geom/QuadCurve2D.java: Likewise.

2003-10-23  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/geom/CubicCurve2D.java: Added documentation.
	* java/awt/geom/QuadCurve2D.java: Likewise.

	* java/awt/geom/doc-files/QuadCurve2D-4.png,
	java/awt/geom/doc-files/QuadCurve2D-5.png,
	java/awt/geom/doc-files/CubicCurve2D-4.png,
	java/awt/geom/doc-files/Cubicurve2D-5.png: New illustrations.

2003-10-22  Tom Tromey  <tromey@redhat.com>

	* java/lang/Class.java: Indentation fixes.

2003-10-22  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/geom/CubicCurve2D.java (getFlatnessSq): Implement.
	(subdivide(CubicCurve2D, CubicCurve2D)): Avoid useless object allocation.
	(subdivide(double[],int,double[],int,double[],int)): Implement.

2003-10-22  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/geom/doc-files/CubicCurve2D-1.png,
	java/awt/geom/doc-files/CubicCurve2D-2.png,
	java/awt/geom/doc-files/CubicCurve2D-3.png: New illustrations.

2003-10-22  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/geom/QuadCurve2D.java (subdivide): Added documentation.
	java/awt/geom/doc-files/QuadCurve2D-3.png: New illustration.

2003-10-22  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/geom/QuadCurve2D.java: Reformatted, wrote Javadoc.
	* java/awt/geom/doc-files: New directory.
	* java/awt/geom/doc-files/QuadCurve2D-1.png,
	java/awt/geom/doc-files/QuadCurve2D-2.png: New illustrations.
	
2003-10-22  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/geom/QuadCurve2D.java (subdivide): Implement.

2003-10-21  Michael Koch  <konqueror@gmx.de>

	* java/text/CollationKey.java
	(compareTo): Simplified implementation.
	(equals): Reoved redundant obj == null check.
	* java/text/RuleBasedCollator.java
	(RuleBasedCollator): Throw ParseException instead of
	IllegalArgumentException.

2003-10-21  Michael Koch  <konqueror@gmx.de>

	* java/io/File.java
	(equals): Removed redundant obj == null check.

2003-10-21  Michael Koch  <konqueror@gmx.de>

	* native/target/generic/target_generic_file.h
	(TARGET_NATIVE_OPEN_FILE): Set close-on-exec flag.
	* native/target/generic/target_generic_network.h
	(TARGET_NATIVE_NETWORK_SOCKET_OPEN_STREAM): Set close-on-exec flag.
	(TARGET_NATIVE_NETWORK_SOCKET_OPEN_DATAGRAM): Likewise.

2003-10-21  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/geom/QuadCurve2D.java (getFlatness, getFlatnessSq): Implement.

2003-10-21  Sascha Brawer  <brawer@dandelis.ch>

	Fix for Classpath bug #6076.
	* java/awt/geom/GeneralPath.java (append): Re-written.

2003-10-21  Sascha Brawer  <brawer@dandelis.ch>

	Fix for Classpath bug #6089.
	* java/awt/geom/GeneralPath.java (curveTo): Set correct segment type.
	(getPathIterator, GeneralPathIterator): Re-written from scratch.

2003-10-21  Sascha Brawer  <brawer@dandelis.ch>

	Fix for bug #2944, reported by David Holmes <dholmes@dltech.com.au>
	* java/util/logging/ErrorManager.java (everUsed): Made volatile.
	(error): Synchronize on instance, not class.

2003-10-20  Mark Wielaard  <mark@klomp.org>

	Reported by M.Negovanovic
	* java/beans/Introspector.java (getBeanInfo(ClassLoader, String)): New
	method.
	(reallyFindExplicitBeanInfo): Use new getBeanInfo() method.

2003-10-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/PipeImpl.java
	(PipeImpl): New constructor implementation which takes
	SelectorProvider argument.
	* gnu/java/nio/SelectorProviderImpl.java
	(openPipe): Give SelectorProvider argument to PipeImpl.
	* gnu/java/nio/SocketChannelImpl.java
	(read): Fixed reading into ByteBuffer objects which are backed by an
	array.
	(write): Likewise.

2003-10-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/FileLockImpl.java,
	gnu/java/nio/SelectorImpl.java,
	java/nio/ByteOrder.java,
	java/nio/DirectByteBufferImpl.java,
	java/nio/channels/FileChannelImpl.java:
	Added code to load library with native methods in it.

2003-10-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/SelectorImpl.java: Reformated.

2003-10-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/SocketChannelImpl.java
	(connected): Removed. Use socket.isConnected() instead.

2003-10-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/Connection.java,
	gnu/java/net/protocol/http/Connection.java:
	Some reformating.

2003-10-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/Connection.java
	(inputStream): Made it a BufferedInputStream.
	(outputStream): Made it a BufferedOutputStream.
	(connect): Initialize inputStream and outputStream correctly.
	* gnu/java/net/protocol/http/Connection.java
	(proxyHost): New class variable.
	(proxyPort): Likewise.
	(proxyInUse): Likewise.
	(static): New method to initialize proxy variables.
	(connect): connect to proxy if proxy is used.
	(sendRequest): Fixed handling of "Host" request property.
	(usingProxy): Return true if proxy is used.
	* gnu/java/net/protocol/jar/Connection.java
	(Connection): Removed IOException from throws clause. Moved
	initialization if jar_url to connect().

2003-10-20  Michael Koch  <konqueror@gmx.de>

	* java/text/RuleBasedCollator.java: Some more reformating.

2003-10-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/http/Connection.java:
	Reformated. Renamed some variables to match libgcj's version.

2003-10-20  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/geom/GeneralPath.java (getCurrentPoint): Return last
	point, not start of subpath.  Fixes Classpath bug #6075.

2003-10-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/Connection.java:
	Reformated, renamed some in_stream to inputStream in out_stream to
	outputStream.

2003-10-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/PlainDatagramSocketImpl.java
	(native_fd): Made package-private.
	(finalize): New method.
	(getTTL): Call getTimeToLive.
	(setTTL): Call setTimeToLive.
	* gnu/java/net/PlainSocketImpl.java
	(native_fd): Made package-private.
	(finalize): New method.

2003-10-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/HeaderFieldHelper.java: Reformated.

2003-10-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/jar/Handler.java,
	gnu/java/net/protocol/http/Handler.java,
	gnu/java/net/protocol/file/Handler.java:
	Some reformating, edited ChangeLog and authors to merge with libgcj.

2003-10-20  Michael Koch  <konqueror@gmx.de>

	* java/text/RuleBasedCollator.java:
	Renamed some variables, some reformating.
	(RuleBasedCollator): Throw ParseException instead of
	IllegalArgumentException.

2003-10-18  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/FileURLConnection.java,
	gnu/java/net/protocol/http/HttpURLConnection.java,
	gnu/java/net/protocol/jar/JarURLConnection.java:
	Removed.
	* gnu/java/net/protocol/file/Connection.java,
	gnu/java/net/protocol/http/Connection.java,
	gnu/java/net/protocol/jar/Connection.java:
	New files.
	* gnu/java/net/protocol/jar/Handler.java,
	gnu/java/net/protocol/http/Handler.java,
	gnu/java/net/protocol/file/Handler.java,
	gnu/java/lang/SystemClassLoader.java:
	Use new files.

2003-10-18  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/FileURLConnection.java,
	gnu/java/net/protocol/http/HttpURLConnection.java,
	gnu/java/net/protocol/jar/JarURLConnection.java:
	Reformated.

2003-10-18  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/Handler.java,
	gnu/java/net/protocol/http/Handler.java,
	gnu/java/net/protocol/jar/Handler.java:
	Reformated.

2003-10-18  Ralph Loader  <rcl@ihug.co.nz>

	* java/lang/StringBuffer.java (getChars): Fix array index checks.
	(append, substring, insert): Likewise.

2003-10-17  Tom Tromey  <tromey@redhat.com>

	* java/lang/reflect/Proxy.java (generate): Pass protection domain
	to VMClassLoader.defineClass.

2003-10-15  Mark Wielaard  <mark@klomp.org>

	Reported by M.Negovanovic
	* java/beans/IndexedPropertyDescriptor.java
	(IndexedPropertyDescriptor): this.setIndex = setIndex, not getIndex.

2003-10-15  Michael Koch  <konqueror@gmx.de>

	* java/text/RuleBasedCollator.java
	(RuleBasedCollator): Renamed i to index and save rules.length() to
	temporary variable.
	(getCollationElementIterator): Fixed documentation.
	(getCollationKey): Fixed documentation.

2003-10-15  Michael Koch  <konqueror@gmx.de>

	* java/text/RuleBasedCollator.java:
	Some reformating.
	(CollationElement): Made final.
	(compare): Renamed s1 to source and s2 to target.
	(getCollationElementIterator): Renamed str to source,
	replaced while loop with for loop.
	(getCollationKey): Renamed str to source.
	(getCollationElementValue): Likewise.

2003-10-15  Michael Koch  <konqueror@gmx.de>

	* java/text/CollationElementIterator.java
	(CollationElementIterator): Exchange arguments, call setText.
	(next): Reformated.
	(reset): Reformated.
	(setText): Fixed documentation, added @since tag, reformated.
	(getOffset): Added @since tag, reformated.
	(previous): Reformated.
	* java/text/CollationKey.java
	(getSourceString): Reformated.
	(hashCode): Reformated.
	(toByteArray): Reformated.
	* java/text/RuleBasedCollator.java: Reordered all methods to match
	order in libgcj.

2003-10-15  Michael Koch  <konqueror@gmx.de>

	* java/text/AttributedCharacterIterator.java,
	java/text/CharacterIterator.java:
	Reformated.

2003-10-15  Michael Koch  <konqueror@gmx.de>

	* java/text/AttributedCharacterIterator.java,
	java/text/CharacterIterator.java:
	Removed redundant modifiers.

2003-10-15  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/NIOSocket.java
	(setChannel): Initialize impl.
	* gnu/java/nio/ServerSocketChannelImpl.java
	(ServerSocketChannelImpl): Made class public final.
	(serverSocket): Made it a NIOServerSocket.
	(getNativeFD): New method.
	(implConfigureBlocking): Set socket timeout.
	(accept): Rewritten.
	* gnu/java/nio/SelectorImpl.java
	(register): Use ServerSocketChannelSelectionKey for server socket
	channels, removed comments.
	* gnu/java/nio/SocketChannelImpl.java
	(impl): New member variable.
	(SocketChannelImpl): Initialize impl.
	(getImpl): New method.
	* gnu/java/nio/NIOServerSocket.java,
	gnu/java/nio/ServerSocketChannelSelectionKey.java: New files.
	* gnu/java/nio/Makefile.am (EXTRA_DIST):
	Added NIOServerSocket.java and ServerSocketChannelSelectionKey.java.

2003-10-15  Michael Koch  <konqueror@gmx.de>

	* java/util/Map.java,
	java/util/Observer.java:
	Removed redundant modifiers.

2003-10-13  Michael Koch  <konqueror@gmx.de>

	* gnu/java/rmi/server/ProtocolConstants.java,
	gnu/java/security/der/DER.java,
	java/net/URLStreamHandlerFactory.java,
	java/rmi/activation/ActivationInstantiator.java,
	java/rmi/activation/ActivationMonitor.java,
	java/rmi/activation/ActivationSystem.java,
	java/rmi/activation/Activator.java:
	Removed redundant modifiers.
	* java/sql/DatabaseMetaData.java,
	java/sql/ParameterMetaData.java,
	java/sql/PreparedStatement.java:
	Readded accidently removed modifiers.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/io/File.java: Reformated.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/io/File.java
	(caseSensitive): New class varibale indicatinc case sensitivity.
	Currently set to true statically to support only case sensitive file
	systems.
	(equals): Support case sensitivity (in general).
	(getParentFile): Simplified.
	(hashCode): Support case sensitivity (in general).

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/nio/Buffer.java
	(hasRemaining): Made implementation more clear.
	* java/nio/MappedByteBuffer.java
	(loaded): New member variable.
	(force): Added comment.
	(isLoaded): Return value of loaded.
	(load): Set loaded to true, added comment.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/net/ServerSocket.java
	(getImpl): New package private method to be accessed only by Java NIO.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/net/JarURLConnection.java
	(jarFileURL): Made final.
	(entryName): Renamed from entry_name, made file.
	(getJarEntry): Renamed file to jarFile.
	(getCertificates): Check getJarEntry() != null.
	(getMainAttributes): Check getManifest() != null.
	* java/net/URLConnection.java
	(def_req_props): Removed, obsoleted since JDK 1.3.
	(): Renamed d to date.
	(toString): Print class name.
	(): Added possible exceptions in documentation.
	(setRequestProperty): Check for key == null and connection state.
	(addRequestProperty): Check for key == null, fixed documentation.
	(getRequestProperty): Check for connection state.
	(getRequestProperties): Check for connection state.
	(setDefaultRequestProperty): Does nothing since JDK 1.3.
	(getDefaultRequestProperty): Likewise.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/nio/channels/spi/AbstractSelectableChannel.java
	(registered): Made private.
	(blocking): Likewise.
	(LOCK): Likewise.
	(provider): Likewise.
	(keys): Made it a private LinkedList.
	(AbstractSelectableChannel): Initialize keys.
	(isRegistered): New implementation.
	(locate): Rewritten.
	(register): Rewritten.
	* java/nio/channels/spi/AbstractSelectionKey.java
	(ok): Removed.
	(cancelled): New member variable.
	(cancel): Rewritten.
	(isValid): Rewritten.
	* java/nio/channels/spi/AbstractSelector.java:
	Some methods moved.
	(closed): Make private.
	(provider): Likewise.
	(cancelledKeys): New member variable.
	(AbstractSelector): Initialize cancelledKeys.
	(cancelKey): New method.
	* java/nio/channels/spi/SelectorProvider.java
	(pr): Removed.
	(systemDefaultProvider): New member variable.
	(provider): Made it synchronized, use property
	java.nio.channels.spi.SelectorProvider.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/io/FilePermission.java
	(implies): Removed unused local variables.
	* java/io/ObjectStreamClass.java
	(getObjectStreamClasses): Removed unused local variable.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* javax/print/attribute/Attribute.java,
	javax/print/attribute/AttributeSet.java,
	javax/print/attribute/PrintRequestAttributeSet.java,
	javax/transaction/Status.java,
	javax/transaction/Synchronization.java,
	javax/transaction/Transaction.java,
	javax/transaction/TransactionManager.java,
	javax/transaction/UserTransaction.java,
	javax/transaction/xa/XAResource.java,
	javax/transaction/xa/Xid.java:
	Removed redundant modifiers.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* javax/swing/event/AncestorListener.java,
	javax/swing/event/CaretListener.java,
	javax/swing/event/CellEditorListener.java,
	javax/swing/event/ChangeListener.java,
	javax/swing/event/DocumentEvent.java,
	javax/swing/event/DocumentListener.java,
	javax/swing/event/HyperlinkListener.java,
	javax/swing/event/InternalFrameListener.java,
	javax/swing/event/ListDataListener.java,
	javax/swing/event/ListSelectionListener.java,
	javax/swing/event/MenuDragMouseListener.java,
	javax/swing/event/MenuKeyListener.java,
	javax/swing/event/MenuListener.java,
	javax/swing/event/MouseInputListener.java,
	javax/swing/event/PopupMenuListener.java,
	javax/swing/event/TableColumnModelListener.java,
	javax/swing/event/TableModelListener.java,
	javax/swing/event/TreeExpansionListener.java,
	javax/swing/event/TreeModelListener.java,
	javax/swing/event/TreeSelectionListener.java,
	javax/swing/event/TreeWillExpandListener.java,
	javax/swing/event/UndoableEditListener.java,
	javax/swing/table/DefaultTableModel.java,
	javax/swing/table/TableCellEditor.java,
	javax/swing/table/TableCellRenderer.java,
	javax/swing/table/TableColumnModel.java,
	javax/swing/table/TableModel.java,
	javax/swing/text/AbstractDocument.java,
	javax/swing/text/Document.java,
	javax/swing/text/MutableAttributeSet.java,
	javax/swing/text/StyledDocument.java,
	javax/swing/text/ViewFactory.java,
	javax/swing/tree/DefaultMutableTreeNode.java,
	javax/swing/tree/MutableTreeNode.java,
	javax/swing/tree/RowMapper.java,
	javax/swing/tree/TreeCellEditor.java,
	javax/swing/tree/TreeCellRenderer.java,
	javax/swing/tree/TreeModel.java,
	javax/swing/tree/TreeNode.java,
	javax/swing/tree/TreeSelectionModel.java:
	Removed redundant modifiers.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* javax/swing/Action.java,
	javax/swing/BoundedRangeModel.java,
	javax/swing/CellEditor.java,
	javax/swing/ComboBoxEditor.java,
	javax/swing/ComboBoxModel.java,
	javax/swing/DesktopManager.java,
	javax/swing/JComboBox.java,
	javax/swing/ListCellRenderer.java,
	javax/swing/ListSelectionModel.java,
	javax/swing/MenuElement.java,
	javax/swing/MutableComboBoxModel.java,
	javax/swing/Renderer.java,
	javax/swing/RootPaneContainer.java,
	javax/swing/ScrollPaneConstants.java,
	javax/swing/SingleSelectionModel.java,
	javax/swing/SpinnerModel.java,
	javax/swing/SwingConstants.java,
	javax/swing/UIDefaults.java,
	javax/swing/WindowConstants.java,
	javax/swing/border/Border.java,
	javax/swing/colorchooser/ColorSelectionModel.java,
	javax/swing/plaf/UIResource.java,
	javax/swing/plaf/metal/MetalLookAndFeel.java,
	javax/swing/undo/StateEditable.java,
	javax/swing/undo/UndoableEdit.java:
	Removed redundant modifiers.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* javax/naming/Context.java,
	javax/naming/Name.java,
	javax/naming/NameParser.java,
	javax/naming/NamingEnumeration.java,
	javax/naming/Referenceable.java,
	javax/naming/directory/Attribute.java,
	javax/naming/directory/Attributes.java,
	javax/naming/directory/DirContext.java,
	javax/naming/event/EventContext.java,
	javax/naming/event/EventDirContext.java,
	javax/naming/event/NamespaceChangeListener.java,
	javax/naming/event/NamingListener.java,
	javax/naming/event/ObjectChangeListener.java,
	javax/naming/ldap/Control.java,
	javax/naming/ldap/ExtendedRequest.java,
	javax/naming/ldap/ExtendedResponse.java,
	javax/naming/ldap/HasControls.java,
	javax/naming/ldap/LdapContext.java,
	javax/naming/ldap/UnsolicitedNotification.java,
	javax/naming/ldap/UnsolicitedNotificationListener.java,
	javax/naming/spi/DirObjectFactory.java,
	javax/naming/spi/DirStateFactory.java,
	javax/naming/spi/InitialContextFactory.java,
	javax/naming/spi/InitialContextFactoryBuilder.java,
	javax/naming/spi/ObjectFactory.java,
	javax/naming/spi/ObjectFactoryBuilder.java,
	javax/naming/spi/Resolver.java,
	javax/naming/spi/StateFactory.java:
	Removed redundant modifiers.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/sql/Array.java,
	java/sql/Blob.java,
	java/sql/CallableStatement.java,
	java/sql/Clob.java,
	java/sql/Connection.java,
	java/sql/DatabaseMetaData.java,
	java/sql/Driver.java,
	java/sql/ParameterMetaData.java,
	java/sql/PreparedStatement.java,
	java/sql/Ref.java,
	java/sql/ResultSet.java,
	java/sql/ResultSetMetaData.java,
	java/sql/SQLData.java,
	java/sql/SQLInput.java,
	java/sql/SQLOutput.java,
	java/sql/Savepoint.java,
	java/sql/Statement.java,
	java/sql/Struct.java,
	javax/sql/ConnectionEventListener.java,
	javax/sql/ConnectionPoolDataSource.java,
	javax/sql/DataSource.java,
	javax/sql/PooledConnection.java,
	javax/sql/RowSet.java,
	javax/sql/RowSetInternal.java,
	javax/sql/RowSetListener.java,
	javax/sql/RowSetMetaData.java,
	javax/sql/RowSetReader.java,
	javax/sql/RowSetWriter.java,
	javax/sql/XAConnection.java,
	javax/sql/XADataSource.java:
	Removed redundant modifiers.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/sql/Array.java,
	java/sql/Blob.java:
	Removed redundant modifiers.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/security/Key.java,
	java/security/PrivateKey.java,
	java/security/PublicKey.java,
	java/security/acl/Acl.java,
	java/security/acl/AclEntry.java,
	java/security/acl/Group.java,
	java/security/acl/Owner.java,
	java/security/acl/Permission.java,
	java/security/cert/X509Extension.java,
	java/security/interfaces/DSAKey.java,
	java/security/interfaces/DSAKeyPairGenerator.java,
	java/security/interfaces/DSAParams.java,
	java/security/interfaces/DSAPrivateKey.java,
	java/security/interfaces/DSAPublicKey.java,
	java/security/interfaces/RSAKey.java,
	java/security/interfaces/RSAPrivateCrtKey.java,
	java/security/interfaces/RSAPrivateKey.java,
	java/security/interfaces/RSAPublicKey.java:
	Removed redundant modifiers.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/nio/channels/Channel.java,
	java/nio/channels/GatheringByteChannel.java,
	java/nio/channels/ReadableByteChannel.java,
	java/nio/channels/ScatteringByteChannel.java,
	java/nio/channels/WritableByteChannel.java:
	Removed redundant modifiers.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/io/Externalizable.java,
	java/io/FileFilter.java,
	java/io/ObjectInput.java,
	java/io/ObjectInputValidation.java,
	java/io/ObjectOutput.java,
	java/io/ObjectStreamConstants.java,
	java/io/Serializable.java:
	Removed redundant modifiers.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/net/ContentHandlerFactory.java,
	java/net/DatagramSocketImplFactory.java,
	java/net/FileNameMap.java,
	java/net/SocketImplFactory.java,
	java/net/SocketOptions.java:
	Removing redundant modifiers.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/rmi/dgc/DGC.java,
	java/rmi/registry/Registry.java,
	java/rmi/registry/RegistryHandler.java,
	java/rmi/server/LoaderHandler.java,
	java/rmi/server/RMIClientSocketFactory.java,
	java/rmi/server/RMIFailureHandler.java,
	java/rmi/server/RMIServerSocketFactory.java,
	java/rmi/server/RemoteCall.java,
	java/rmi/server/RemoteRef.java,
	java/rmi/server/ServerRef.java,
	java/rmi/server/Skeleton.java,
	java/rmi/server/Unreferenced.java:
	Removed redundant modifiers.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/beans/AppletInitializer.java,
	java/beans/BeanInfo.java,
	java/beans/Customizer.java,
	java/beans/DesignMode.java,
	java/beans/PropertyEditor.java,
	java/beans/Visibility.java,
	java/beans/beancontext/BeanContext.java,
	java/beans/beancontext/BeanContextChild.java,
	java/beans/beancontext/BeanContextChildComponentProxy.java,
	java/beans/beancontext/BeanContextChildSupport.java,
	java/beans/beancontext/BeanContextContainerProxy.java,
	java/beans/beancontext/BeanContextMembershipListener.java,
	java/beans/beancontext/BeanContextProxy.java,
	java/beans/beancontext/BeanContextServiceProvider.java,
	java/beans/beancontext/BeanContextServiceProviderBeanInfo.java,
	java/beans/beancontext/BeanContextServiceRevokedListener.java,
	java/beans/beancontext/BeanContextServices.java,
	java/beans/beancontext/BeanContextServicesListener.java:
	Removed redundant modifiers.

2003-10-12  Michael Koch  <konqueror@gmx.de>

	* java/awt/ActiveEvent.java,
	java/awt/datatransfer/ClipboardOwner.java,
	java/awt/datatransfer/FlavorMap.java,
	java/awt/datatransfer/Transferable.java,
	java/awt/dnd/Autoscroll.java,
	java/awt/dnd/peer/DragSourceContextPeer.java,
	java/awt/dnd/peer/DropTargetContextPeer.java,
	java/awt/dnd/peer/DropTargetPeer.java,
	java/awt/font/MultipleMaster.java,
	java/awt/font/OpenType.java,
	java/awt/im/spi/InputMethodDescriptor.java,
	java/awt/image/ImageConsumer.java,
	java/awt/image/ImageObserver.java,
	java/awt/image/ImageProducer.java,
	java/awt/image/RGBImageFilter.java,
	java/awt/image/RasterOp.java,
	java/awt/image/renderable/RenderableImage.java,
	java/awt/peer/ButtonPeer.java,
	java/awt/peer/CheckboxMenuItemPeer.java,
	java/awt/peer/CheckboxPeer.java,
	java/awt/peer/ChoicePeer.java,
	java/awt/peer/ComponentPeer.java,
	java/awt/peer/ContainerPeer.java,
	java/awt/peer/DialogPeer.java,
	java/awt/peer/FileDialogPeer.java,
	java/awt/peer/FramePeer.java,
	java/awt/peer/LabelPeer.java,
	java/awt/peer/ListPeer.java,
	java/awt/peer/MenuBarPeer.java,
	java/awt/peer/MenuComponentPeer.java,
	java/awt/peer/MenuItemPeer.java,
	java/awt/peer/MenuPeer.java,
	java/awt/peer/PopupMenuPeer.java,
	java/awt/peer/RobotPeer.java,
	java/awt/peer/ScrollPanePeer.java,
	java/awt/peer/ScrollbarPeer.java,
	java/awt/peer/TextAreaPeer.java,
	java/awt/peer/TextComponentPeer.java,
	java/awt/peer/TextFieldPeer.java,
	java/awt/peer/WindowPeer.java,
	java/awt/print/Pageable.java,
	java/awt/print/Printable.java,
	java/awt/print/PrinterGraphics.java:
	Removed redundant modifiers.

2003-10-09  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/PlainSocketImpl.java: Added classes SocketInputStream
	and SocketOutputStream.
	* gnu/java/net/SocketInputStream.java: Removed.
	* gnu/java/net/SocketOutputStream.java: Removed.
	* gnu/java/net/Makefile.am (EXTRA_DIST): Removed removed files.

2003-10-09  Michael Koch  <konqueror@gmx.de>

	* java/net/InetAddress.java
	(isSiteLocalAddress): Made hexadecimal numbers lowercase.
	(getLocalHostname): Renamed from getLocalHostName, fixed
	documentation.
	(aton): New method.
	(getByName): Moved functionality to aton(), simplified code.
	(getLocalHost): Reformated.
	(lookupInaddrAny): Reformated.
	* include/java_net_InetAddress.h: Regenerated.
	* native/jni/java-net/java_net_InetAddress.c
	(getLocalHostname): Renamed from getLocalHostName.

2003-10-09  Michael Koch  <konqueror@gmx.de>

	* java/math/BigInteger.java
	(add): Removed unused local variable len.

2003-10-08  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkButtonPeer.java (handleEvent): Remove
	modality check.
	* gnu/java/awt/peer/gtk/GtkDialogPeer.java (initializeInsets):
	Initialize insets to use latest insets.
	* gnu/java/awt/peer/gtk/GtkFramePeer.java: Likewise.
	* gnu/java/awt/peer/gtk/GtkWindowPeer.java (latestInsets): New
	field.
	(postConfigureEvent): Update latestInsets field when insets
	change.  Remove call to setSize.  Move validate call outside of
	if blocks.
	(setVisible): Call setBounds before showing window.
	(nativeSetVisible): New native method.
	* java/awt/Window.java (show): Show visible owned windows.
	(hide): Hide visible owned windows.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
	(awt_event_handler): Implement modality using GTK grabs.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c
	(global_gtk_window_group): New global variable.
	(gtkInit): Initialize global_gtk_window_group.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c (create):
	Clamp width and height values to at least 1.  Add this window to
	the global GTK window group.
	(setVisible): Rename to nativeSetVisible.
	(setup_window): Remove function.
	(setSize): Clamp width and height values to at least 1.
	(nativeSetBounds): Likewise.
	(gdk_window_get_root_geometry): Remove function.
	* jni/gtk-peer/gtkpeer.h: Remove gdk_window_get_root_geometry
	and setup_window declarations.  Declare global_gtk_window_group.

	* gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
	(gtkSetFont): Handle BOLD and ITALIC style specifiers.
	(gtkWidgetSetForeground): New method.
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(gtkWidgetSetBackground, gtkWidgetSetForeground): New methods.
	(setBackground, setForeground): Implement.
	* gnu/java/awt/peer/gtk/GtkTextAreaPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c
	(gtkSetFont): Handle BOLD and ITALIC style specifiers.
	* gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c: Likewise.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c (drawString):
	Position PangoLayout relative to text's baseline.
	* jni/gtk-peer/gtkpeer.h: Define AWT font style constants.

	* java/awt/FlowLayout.java (layoutContainer): Fix offset problem
	for CENTER and RIGHT alignments.

2003-10-08  Tom Tromey  <tromey@redhat.com>

	* java/lang/StrictMath.java (toDegrees): Multiply before
	dividing.
	(toRadians): Likewise.

	* java/lang/reflect/Proxy.java (generate): Removed comment about
	security hole.

2003-10-08  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkMenuItemPeer.java (setEnabled): Stub
	out.
	* jni/classpath/jcl.c [!__GNUC__]: Elide __attribute__.
	(JCL_free): Attach "unused" attribute to env parameter.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.c,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextComponentPeer.c,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c,
	jni/gtk-peer/gthread-jni.c: Attach "unused" attribute to unused
	parameters.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c:
	(initNativeState): Pass 0 as info argument to
	gtk_selection_add_target.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c:
	(setVisible, gtkFixedNew, gtkFixedPut, gtkFixedMove): Remove
	unused method implementations.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
	(awt_event_handler): Add break statement after default label.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c
	(drawPixels): Remove unused variable i.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c
	(setEnabled): Remove method implementation.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c
	(accel_attach): Call _gtk_accel_group_attach with G_OBJECT
	argument.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c (sr): Remove
	unused function.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.c
	(menu_pos): Assign TRUE to push_in.
	(setupAccelGroup): Call _gtk_accel_group_attach with G_OBJECT
	argument.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollPanePeer.c
	(create): Remove unused variable layout.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c (create):
	Pass window_widget, rather than window, to
	gtk_widget_set_size_request.
	* jni/gtk-peer/gthread-jni.c (g_thread_jni_functions): Fill out
	structure initialization with NULL values.
	* jni/gtk-peer/gtkpeer.h [!__GNUC__]: Elide __attribute__.

2003-10-07  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkTextAreaPeer.java (gtkTextGetSize):
	Remove unused parameters.
	* gnu/java/awt/peer/gtk/GtkTextFieldPeer.java (gtkEntryGetSize):
	Likewise.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
	(keyevent_state_to_awt_mods): Export function.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextComponentPeer.c
	(getCaretPosition): Fix TextArea case.
	(textcomponent_commit_cb): Get exact event time and modifier
	state.
	* jni/gtk-peer/gtkpeer.h: Declare keyevent_state_to_awt_mods.

2003-10-07  Michael Koch  <konqueror@gmx.de>

	* java/security/Security.java: Merged formating with libgcj,
	added non-breaking space in documentation.

2003-10-07  Michael Koch  <konqueror@gmx.de>

	* java/security/Security.java
	(providersList): Renamed to "providers".
	(providersInited): Removed.
	(static): New static initializer.
	(providers): Removed.

2003-10-06  Michael Koch  <konqueror@gmx.de>

	* java/rmi/server/RMIClassLoader.java: Reformated to match libgcj's
	version more.
	(defaultAnnotation): Added comment.

2003-10-06  Michael Koch  <konqueror@gmx.de>

	* java/net/ServerSocket.java
	(ServerSocket): New package-private constructor used by java.nio.

2003-10-06  Michael Koch  <konqueror@gmx.de>

	* java/nio/ByteBufferHelper.java:
	Rewrote all methods by suggestions from Eric Blake.

2003-10-02  Arnaud Vandyck <arnaud.vandyck@ulg.ac.be>

	* javax/swing/table/AbstractTableModel.java
	(getColumnName): Simplified code much. Thanks to Yannick Boogaerts who
	helped stop pulling my hair on this +1 then -1 tricky thing!

2003-10-02  Michael Koch  <konqueror@gmx.de>

	* java/text/SimpleDateFormat.java
	(compileFormat): Character.isLetter(char) allows too much characters.
	Replace it with Character.isLowerCase(char) ||
	Character.isUpperCase(char).

2003-10-02  Michael Koch  <konqueror@gmx.de>

	* java/util/prefs/Preferences.java
	(defaultFactoryClass): Fixed default factory class name.
	(getFactory): Instantiate factory class.

2003-10-02  Michael Koch  <konqueror@gmx.de>

	* java/net/InetAddress.java
	(isSiteLocalAddress): New method.
	(isMCLinkLocal): New method.
	(getByAddress): Call getByAddress alternative instead of implementing
	it again.
	(getAllByName): Added security manager check.
	(getLocalHost): Fixed documentation.
	(readResolve): Added documentation.

2003-10-02  Guilhem Lavaux  <guilhem@kaffe.org>

	* java/net/InetSocketAddress.java
	(InetSocketAddress): Made exception more clear.
	(equals): Handle case when addr is null.
	(toString): Likewise.
	* java/net/NetworkInterface.java
	(static): Load native library.
	(getNetworkInterfaces): Rewritten.

2003-10-02  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkComponentPeer.java (insets): New
	field.
	(initializeInsets): New method.
	(GtkComponentPeer): Call initializeInsets.  Call setCursor and
	setBounds unconditionally.
	(setBounds): Convert coordinates if parent is a Window.
	* gnu/java/awt/peer/gtk/GtkContainerPeer.java (insets): Move
	field to GtkComponentPeer.
	(GtkContainerPeer): Don't initialize insets.
	* gnu/java/awt/peer/gtk/GtkDialogPeer.java (initializeInsets):
	New method.
	(create): Call new GtkWindowPeer create method.
	* gnu/java/awt/peer/gtk/GtkFramePeer.java (initializeInsets):
	New method.
	(create): Call new GtkWindowPeer create method.
	(setBounds): Remove method.
	(postConfigureEvent): Likewise.
	* gnu/java/awt/peer/gtk/GtkWindowPeer.java: Replace GTK window
	type constants with GDK window type constants.
	(create(int,boolean,int,int,GtkWindowPeer)): New method.
	(create(int,boolean)): Likewise.
	(create()): Call create(int,boolean).
	(nativeSetBounds): New native method declaration.
	(setBounds): Call native method declaration.
	(setSize): New native method declaration.
	(setBoundsCallback): Likewise.
	(postConfigureEvent): Handle change in insets.  Call setSize and
	setBoundsCallback methods.
	* java/awt/Window.java (Window): Set visible to false.
	(setBoundsCallback): New method.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(gtkWidgetGetLocationOnScreen): If this component is not a
	container, adjust the location returned based on the peer's
	allocation.
	(set(String,boolean)): Revert change from 2003-09-19.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
	(awt_event_handler): Fix inset calculation.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c: Add JNI
	glue for Window.setBoundsCallback.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c (create):
	Set up stacking order, window decorations and window manager
	hints.
	(setBoundsCallback): New method.
	(setSize): New method.
	(nativeSetBounds): New method.
	* jni/gtk-peer/gtkpeer.h: Declare setBoundsCallbackID.

2003-10-02  Michael Koch  <konqueror@gmx.de>

	* java/net/InetAddress.java
	(toString): Got of StringBuffer, return SUN compliant string.

2003-10-02  Michael Koch  <konqueror@gmx.de>

	* java/net/InetAddress.java
	(isAnyLocalAddress): New method.
	(isLoopbackAddress): New method.
	(getAddress): Clone addr instead of copying it ourself.
	(hashCode): Merge much simpler (but SUN conform) code from libgcj.
	(equals): Renamed "test_ip" to "addr2".
	(getByName): Added security manager check, fixed documentation.
	(getAllByName): Fixed documentation.

2003-10-02  Michael Koch  <konqueror@gmx.de>

	* java/net/URL.java
	(DEFAULT_SEARCH_PATH): Added sun.net.www.protocol to search path.
	(ph_cache): Made it a HashMap.
	(ph_search_path): Removed.
	(static): Removed initialization of ph_search_path.
	(getURLStreamHandler): Get java.protocol.handler.pkgs property and
	append DEFAULT_SEARCH_PATH locally.

2003-10-02  Michael Koch  <konqueror@gmx.de>

	* gnu/classpath/Configuration.java.in
	(default_awt_peer_toolkit) :
	New member variable for default AWT toolkit.
	* java/awt/Toolkit.java
	(default_toolkit_name): Initialize with
	gnu.classpath.Configuration.default_awt_peer_toolkit.

2003-09-29  Michael Koch  <konqueror@gmx.de>

	* javax/swing/table/AbstractTableModel.java
	(findColumnName): Prevent from NullPointerException if argument
	columnName is null.

2003-09-29  Michael Koch  <konqueror@gmx.de>

	* javax/swing/table/AbstractTableModel.java:
	This patch is based on a patch done by Arnaud Vandyck
	<arnaud.vandyck@ulg.ac.be>.
	(getColumnName): Fixed method documentation.
	(findColumn): Likewise.
	(getColumnClass): Likewise.
	(isCellEditable): Likewise.
	(setValueAt): Likewise.
	(addTableModelListener): Likewise.
	(removeTableModelListener): Likewise.
	(getTableModelListeners): New method.

2003-09-29  Michael Koch  <konqueror@gmx.de>

	* javax/swing/table/AbstractTableModel.java:
	Reformated.

2003-09-29  Michael Koch  <konqueror@gmx.de>

	* java/net/InetAddress.java
	(isLinkLocalAddress): New method.
	(isMCGlobal): Likewise.
	(isMCNodeLocal): Likewise.
	(isMCSiteLocal): Likewise.
	(isMCOrgLocal): Likewise.

2003-09-29  Michael Koch  <konqueror@gmx.de>

	* java/net/InetAddress.java: Reformatted.
	* java/net/URL.java
	(DEFAULT_SEARCH_PATH): New constant for default handler search path.
	(static): Use DEFAULT_SEARCH_PATH instead of static string.
	(getURLStreamHandler): Put instances of the handlers into the cache.

2003-09-28  Bryce McKinlay  <bryce@mckinlay.net.nz>

	* java/text/DateFormat.java (format): Throw IllegalArgumentException
	if `obj' is not a Number or Date instance.
	* java/text/SimpleDateFormat.java (tokens): Make it an ArrayList
	instead of Vector.

2003-09-28  Bryce McKinlay  <bryce@mckinlay.net.nz>

	* java/text/SimpleDateFormat.java (parse): Revert patch of 2003-09-09.
	Don't call setTimeZone on calendar.

2003-09-27  Michael Koch  <konqueror@gmx.de>

	* java/net/InetAddress.java: Reordered several methods to match order
	in libgcj's version of InetAddress.java. Some code got reformated too.

2003-09-27  Michael Koch  <konqueror@gmx.de>

	* AUTHORS: Added myself.

2003-09-27  Michael Koch  <konqueror@gmx.de>

	* java/net/URL.java (getURLStreamHandler):
	Initialize ph, make loop over StringTokenizer more efficient
	a.k.a. do eventually less loops.

2003-09-27  Michael Koch  <konqueror@gmx.de>

	* java/awt/image/IndexColorModel.java: Reformated.

2003-09-27  Michael Koch  <konqueror@gmx.de>

	* java/net/URL.java (getURLStreamHandler):
	Try to put handler into cache only once. Reformat some code
	to match libgcj more.

2003-09-26  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/PlainDatagramSocketImpl.java,
	gnu/java/net/PlainSocketImpl.java:
	(getNativeFD): New method.
	* gnu/java/nio/DatagramChannelImpl.java,
	gnu/java/nio/DatagramChannelSelectionKey.java,
	gnu/java/nio/SelectionKeyImpl.java,
	gnu/java/nio/SelectorImpl.java,
	gnu/java/nio/SocketChannelImpl.java:
	Many fixes, I cant write them all down here again.
	Files are merged from libgcj.
	* gnu/java/nio/DatagramChannelSelectionKey.java,
	gnu/java/nio/SocketChannelSelectionKey.java:
	New files.
	* gnu/java/nio/Makefile.am (EXTRA_DIST):
	Added DatagramChannelSeclectionKey.java and
	SocketChannelSelectionKey.java.

2003-09-26  Michael Koch  <konqueror@gmx.de>

	* java/nio/ByteBufferHelper.java:
	Totally reworked with help from Eric Blake.

2003-09-26  Tom Tromey  <tromey@redhat.com>

	* java/awt/geom/RoundRectangle2D.java (getPathIterator): Wrote.
	* java/awt/geom/PathIterator.java: Documentation fixes.

2003-09-26  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/image/SinglePixelPackedSampleModel.java (createDataBuffer): 
	Save space for some pixels at the buffer end.  Added Javadoc.

2003-09-25  Tom Tromey  <tromey@redhat.com>

	* java/io/ObjectOutputStream.java (writeFields): Fixed
	indentation.
	(putFields): Likewise.

2003-09-25  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkDialogPeer.java (create()): Create a
	top-level GTK window.
	(getArgs): Add "title" property.
	* gnu/java/awt/peer/gtk/GtkWindowPeer.java (setResizable): Use
	"allow_shrink" and "allow_grow" properties.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c: Remove
	unused GtkArg code.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
	(create): Set window's size requisition.
	(connectHooks): Fix indentation.
	(setResizable): Remove function.
	(static setBounds): Likewise.
	(setBounds): Replace call to setBounds with GTK size requisition
	and resize calls.

	* java/awt/Dialog.java: Initialize resizable to true and change
	comments accordingly.  Initialize visible to false in
	constructors.
	* java/awt/Frame.java (dispose): Remove method.
	* java/awt/Window.java (ownedWindows): New field.
	(Window(Window,GraphicsConfiguration)): Add a weak reference to
	owner's ownedWindows vector.
	(finalize): Remove method.
	(hide): Hide owned windows.
	(dispose): Dispose of owned windows.
	(getOwnedWindows): Implement.

2003-09-25  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/PlainDatagramSocketImpl.java:
	Reordered imports.
	* gnu/java/net/PlainSocketImpl.java:
	Removed import for java.net.NetworkInterface.

2003-09-25  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/SelectorImpl.java
	(implSelect): Renamed from java_do_select.
	(select): Made final, throws IOException,
	call native implSelect() and add support for Thread interruption.
	(selectNow): Made final, throws IOException.
	(getFDsAsArray): Made final.
	(selectedKeys): Likewise.
	(wakeup): Likewise.
	(deregisterCancelledKeys): Likewise.
	(register): Likewise.
	(ass): Removed.
	(add_selected): Removed.

2003-09-25  Tom Tromey  <tromey@redhat.com>

	* java/lang/Math.java (min): Revert to using != for NaN
	detection.
	(max): Likewise.
	(round): Likewise.

2003-09-25  Mark Wielaard  <mark@klomp.org>

	* java/nio/Makefile.am (EXTRA_DIST): Add ByteBufferHelper.java. 
	* java/lang/Makefile.am (EXTRA_DIST): Add Thread.java.
	* vm/reference/java/lang/Makefile.am (EXTRA_DIST): Remove Thread.java.
	Add VMThread.java.

2003-09-25  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/image/Raster.java(Raster): Interpret null origin as (0,0).
	* java/awt/image/WritableRaster.java(WritableRaster): Likewise.

2003-09-25  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/image/BufferedImage.java (toString): Implement.

2003-09-25  Michael Koch  <konqueror@gmx.de>

	* include/java_lang_reflect_Array.h: Regenerated.

2003-09-25  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/DatagramChannelImpl.java
	(DatagramChannelImpl): Made class final.
	(blocking): Made private.
	(socket): Made it a NIODatagramSocket and private.
	(DatagramChannelImpl): create NIODatagramSocket instead of
	DatagramSocket.
	(implConfigureBlocking): Set socket timeout.
	(connect): Check that channel is not closed.
	(write): Implemented.
	(write): Rewritten.
	(read): Implemented.
	(read): Rewritten.
	(receive): Implemented.
	(send): Implemented.
	* gnu/java/nio/SelectionKeyImpl.java
	(readyOps): Made private.
	(interestOps): Made private.
	(impl): Made private.
	(ch): Made private.
	(readyOps): Check if selection key is valid.
	(interestOps): Likewise.
	* gnu/java/nio/SelectorImpl.java
	(closed): Removed.
	(keys): Made private.
	(selected): Made private.
	(finalize): New method.
	(implCloseSelector): Rewritten.
	(keys): Return unmodifiable Set.
	(deregisterCancelledKeys): Fixed typo in method name.
	* gnu/java/nio/SocketChannelImpl.java
	(SocketChannelImpl): Made class final.
	(socket): Made it a NIOSocket and private.
	(blocking): Made private.
	(connected): Made private.
	(connectionPending): New member variable.
	(SocketChannelImpl): New implementation.
	(finalizer): Use isConnected().
	(connect): Rewritten.
	(finishConnect): Throws IOException, implemented.
	(isConnectionPending): Return connectionPending.
	(read): Rewritten.
	(write): Rewritten.
	* gnu/java/nio/NIOConstants.java: New file.
	* java/nio/ByteBufferHelper.java:
	New file.
	* java/nio/ByteBufferImpl.java,
	java/nio/DirectByteBufferImpl.java,
	java/nio/MappedByteBufferImpl.java
	(getType,putType): Use new helper class ByteBufferHelper.
	* gnu/java/nio/Makefile.am (EXTRA_DIST): Added NIOConstants.java.

2003-09-25  Michael Koch  <konqueror@gmx.de>

	* include/Makefile.am: Dont generated gnu_java_nio_FileChannelImpl.h.
	* include/gnu_java_nio_FileChannelImpl.h: Removed.
	* native/jni/java-nio/java_nio.c:
	Include java_nio_channels_FileChannelImpl.h instead of
	gnu_java_nio_FileChannelImpl.h.

2003-09-25  Michael Koch  <konqueror@gmx.de>

	* java/rmi/server/RMIClassLoader.java:
	Reindented and reformatted code, no functional changes.

2003-09-23  Tom Tromey  <tromey@redhat.com>

	* java/lang/ClassLoader.java: Don't import SystemClassLoader.
	(systemClassLoader): Fixed indentation.

2003-09-24  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/geom/Rectangle2D.java (getPathIterator): Use the same
	winding rule as Sun J2SE.

2003-09-24  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/border/MatteBorder.java (MatteBorder(Icon)): Docfix.

2003-09-24  Bryce McKinlay  <bryce@mckinlay.net.nz>

	* java/lang/StringBuffer.java (substring): Don't set `shared' on small
	Strings, even if buffer is already shared.

2003-09-23  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/font/FontRenderContext.java (getTransform): Return
	copy of internal transform object. Add Javadoc.

2003-09-22  Michael Koch  <konqueror@gmx.de>

	* external/.cvsignore: New file, ignore Makefile and Makefile.in.

2003-09-21  Ralph Loader  <suckfish@ihug.co.nz>

	PR java/12350:
	* java/lang/StringBuffer.java (substring): Fix handling of shared flag.

2003-09-22  Michael Koch  <konqueror@gmx.de>

	* java/net/InetAddress.java
	(static): Unified static initializers.
	(address): Made private.
	(InetAddress): Moved around.
	(isMulticastAddress): Moved around.
	(getByAddress): New method, merged from libgcj.
	(readResolve): Likewise.
	(readObject): Likewise.
	(writeObject): Likewise.

2003-09-21  Michael Koch  <konqueror@gmx.de>

	* java/net/JarURLConnection.java
	(JarURLConnection): Rename "str" (again) to "spec" to match libgcj
	better.

2003-09-21  Michael Koch  <konqueror@gmx.de>

	* java/net/JarURLConnection.java
	(JarURLConnection): Added some comments.
	(getAttributes): Reimplements because getJarEntry() can return null.

2003-09-21  Michael Koch  <konqueror@gmx.de>

	* java/net/JarURLConnection.java:
	(jar_file): Removed.
	(JarURLConnection): Renamed "url_string" to "str", no need to strip
	"jar:", URL.getFile does this already for us, simplified code.
	(getJarEntry): Reimplemented without using jar_file.
	(getManifest): Likewise.

2003-09-21  Michael Koch  <konqueror@gmx.de>

	* java/net/JarURLConnection.java
	(real_url): Renamed to jarFileURL.
	(jarFileURL): Renamed from jarFileURL (to match libgcj).
	(JarURLConnection): Renamed real_url to jarFileURL, made exception
	descriptions more descriptive and move "jar" protocol test around.
	(getJarFileURL): Return jarFileURL.

2003-09-21  Michael Koch  <konqueror@gmx.de>

	* java/net/JarURLConnection.java
	(JarURLConnection): Store result of url_string.index ("!/") in a local
	variable instead of computing it 4 times.

2003-09-21  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramSocket.java
	(DatagramSocket): Implemented socket implementaion initialization
	with respect to "impl.prefix" property. This is a merge from libgcj.

2003-09-21  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/NIODatagramSocket.java,
	gnu/java/nio/NIOSocket.java: New files,
	merged from libgcj.
	* gnu/java/nio/Makefile.am
	(EXTRA_DIST): Added new files NIODatagramSocket.java
	and NIOSocket.java.

2003-09-20  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramSocket.java
	(getLocalAddress): Check if socket got closed,
	return InetAddress.ANY_IF when SecurityManager.checkConnect() fails.
	* java/net/URLConnection.java
	(getInputStream): Throw UnknownServiceException.
	(getOutputStream): Likewise.
	(setRequestProperty): Fixed link in method documentation.

2003-09-19  Mark Wielaard  <mark@klomp.org>

	* doc/www.gnu.org/home.wml: The latest release can again be found at
	ftp://alpha.gnu.org/gnu/classpath/.

2003-09-19  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramSocket.java
	(ch): Removed.
	(receive): Use getChannel() instead of ch.
	(send): Likewise.
	(getChannel): Return null.
	* java/net/ServerSocket.java
	(ch): Removed.
	(setChannel): Removed.
	(implAccept): Use getChannel() instead of ch.
	(close): Likewise.
	(getChannel): Return null.
	* java/net/Socket.java
	(ch): Removed.
	(connect): Use getChannel() instead of ch.
	(setChannel): Removed.
	(getChannel): Return null.

2003-09-19  Michael Koch  <konqueror@gmx.de>

	* java/nio/channels/FileChannelImpl.java
	(read): Set position before actually reading.
	(write): Set position before acturally writing.
	(transferTo): Flip buffer before writing.
	(transferFrom): Likewise.

2003-09-19  Tom Tromey  <tromey@redhat.com>

	* java/net/URLClassLoader.java: Some documentation fixes.
	* java/net/URLStreamHandler.java (parseURL): If original file
	ends with "/", so must canonical result.

2003-09-19  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/PlainDatagramSocketImpl.java,
	gnu/java/net/PlainSocketImpl.java,
	gnu/java/net/SocketInputStream.java,
	gnu/java/net/SocketOutputStream.java: Moved from java/net.
	* gnu/java/net/Makefile.am
	(EXTRA_DIST): Added new files:
	PlainDatagramSocketImpl.java, PlainSocketImpl.java,
	SocketInputStream.java, SocketOutputStream.java.
	* include/gnu_java_net_PlainDatagramSocketImpl.h,
	include/gnu_java_net_PlainSocketImpl.h: New generated JNI header.
	* include/java_net_PlainDatagramSocketImpl.h,
	include/java_net_PlainSocketImpl.h: Removed generated JNI header.
	* include/Makefile.am: Generate and install new JNI header files
	instead of the old ones.
	* java/net/PlainDatagramSocketImpl.java,
	java/net/PlainSocketImpl.java,
	java/net/SocketInputStream.java,
	java/net/SocketOutputStream.java: Moved to gnu/java/net.
	* java/net/DatagramSocket.java:
	Import gnu.java.net.PlainDatagramSocketImpl.
	* java/net/ServerSocket.java,
	java/net/Socket.java: Import gnu.java.net.PlainSocketImpl.
	* java/net/Makefile.am (EXTRA_DIST): Removed the following files:
	PlainDatagramSocketImpl.java, PlainSocketImpl.java,
	SocketInputStream.java, SocketOutputStream.java.
	* native/jni/java-net/gnu_java_net_PlainDatagramSocketImpl.c,
	native/jni/java-net/gnu_java_net_PlainSocketImpl.c,
	native/jni/java-net/java_net_PlainDatagramSocketImpl.c,
	native/jni/java-net/java_net_PlainSocketImpl.c:
	Moved from java.net namespace to gnu.java.net.
	* native/jni/java-net/Makefile.am:
	Compile new files instead of old ones.

2003-09-18  Tom Tromey  <tromey@redhat.com>

	* java/awt/Toolkit.java: Added missing "in" in javadoc.

2003-09-13 Dalibor Topic <robilad@kaffe.org>,
	   Helmer Kraemer <hkraemer@freenet.de>

	* javax/naming/spi/NamingManager.java (getURLContext,
	getObjectInstance, getStateToBind): Always use current thread's
	context class loader when calling Class.forName.

2003-09-18  Tom Tromey  <tromey@redhat.com>

	* javax/naming/InitialContext.java: Reindented.

2003-09-18  Michael Koch  <konqueror@gmx.de>

	* include/.cvsignore: Ignore Makefile.in and Makefile.

2003-09-18  Michael Koch  <konqueror@gmx.de>

	* java/awt/event/KeyEvent.java: Some reformatting.
	This merges KeyEvent with libgcj.

2003-09-18  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* java/awt/Frame.java (Frame(String)): Initialize visible field
	to false.
	(Frame(GraphicsConfiguration)): Likewise.
	(Frame(String,GraphicsConfiguration)): Likewise.

2003-09-17  Graydon Hoare  <graydon@redhat.com>

	* gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	gnu/java/awt/peer/gtk/GdkPixbufDecoder.java,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c: 
	New files.

2003-09-16  Graydon Hoare  <graydon@redhat.com>

	* java/awt/BufferedImage.java (setData): Support non-component
	sample models.
	(getData): Same.

2003-09-10  Graydon Hoare  <graydon@redhat.com>

	* java/awt/geom/AffineTransform.java(transform): Fix airthmetic bugs.
	* java/awt/geom/Arc2D.java: Approximate arc segments with cubics.

2003-09-15  Ingo Proetel  <proetel@aicas.com>

	* native/jni/java-net/java_net_PlainDatagramSocketImpl.c (receive, receive0): renamed receive to receive0 

	* include/java_net_PlainDatagramSocketImpl.h (receive, receive0): renamed receive to receive0 

	* java/net/PlainDatagramSocketImpl.java (receive0): added
	(receive): changed to call receive0 and serialize access on RECEIVE_LOCK
	(send): chanded to serialize access on SEND_LOCK
	

2003-09-11  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/Toolkit.java (getSystemEventQueue, getSystemEventQueueImpl):
	Replace UTF-8 characters in Javadoc by XML/HTML escape sequence.

2003-09-11  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/Toolkit.java (getSystemEventQueue): Call SecurityManager
	if one is installed. Improve Javadoc.
	(getSystemEventQueueImpl): Improve Javadoc.

2003-09-10  David Daney <ddaney@avtrex.com>

	* java/util/Arrays.java (equals(all variants)): Quit using
	NullPointerException catching to detect null valued parameters.

2003-09-09  Guilhem Lavaux  <guilhem@kaffe.org>

	* java/text/SimpleDateFormat.java (parse): Don't use class calendar
	field.

2003-09-09  Mark Wielaard  <mark@klomp.org>

	* java/lang/reflect/Array.java (set): Allow null for Object arrays.

2003-09-09  Guilhem Lavaux  <guilhem@kaffe.org>

	* java/text/DecimalFormat.java (format): Don't immediatly round
	baseNumber to long.
	(setMinimumIntegerDigits): Call super.
	(setMinimumFractionDigits): Likewise.
	(setMaximumIntegerDigits): Likewise.
	(setMaximumFractionDigits): Likewise.

2003-09-07  Dalibor Topic  <robilad@kaffe.org>

	* java/awt/BasicStroke.java (BasicStroke): Fixed illegal argument
	checking to follow 1.4.2 spec.

2003-08-25  Scott Gilbertson  <scottg@mantatest.com>

	* java/awt/Component.java (createImage): changed to use peer method.

2003-08-31  Mark Wielaard  <mark@klomp.org>

	* doc/www.gnu.org/home.wml: Update project description and status.
	Mark links which are temporarily unreachable. Add news section.
	Move distribution terms to the end. Add Kaffe OpenVM.
	* doc/www.gnu.org/docs/docs.wml: Mark api doc as temporarily down.

2003-08-31  David P Grove  <groved@us.ibm.com>

	* java/io/LineNumberReader (read): Don't reset pos & limit when
	markPos is 0.

2003-08-29  Dalibor Topic  <robilad@kaffe.org>

	* gnu/java/rmi/rmic/Compile_gcj.java (COMPILER_ARGS): New private
	constant.
	(computeArguments): use computeTypicalArguments.

	* gnu/java/rmi/rmic/Makefile.am (EXTRA_DIST): Add Compile_kjc.java,
	Compile_jikes.java and RMICException.java.
	* gnu/java/rmi/rmic/Compile_kjc.java: New file.
	* gnu/java/rmi/rmic/Compile_jikes.java: Likewise.
	* gnu/java/rmi/rmic/RMICException.java: Likewise.

	* gnu/java/rmi/rmic/Compiler.java (getDestination): New method.

	* gnu/java/rmi/rmic/CompilerProcess.java: Import java.io.InputStream.
	(computeTypicalArguments): New method.
	(compile): Print compiler output to System.out. Collect compiler
	error output and use it in exception message.

	* gnu/java/rmi/rmic/RMIC.java: Import java.util.Set.
	(destination): Initialize to null.
	(run): Replace file separator with '.' when processing class.
	(processClass): Replace '.' with file separator when compiling
	classes.
	(findClass): Use SystemClassLoader to load class.
	(generateStub): Use full class name for generated stub, that puts
	it in right path.  Replace '.' with file separator when generating
	stub file name. Write just the stub class name without package
	information as class name, and constructor name. Write only
	interface names for interfaces extending java.rmi.Remote as
	implemented.
	(generateSkel): Use full class name for generated skel, that puts
	it in right path.  Replace '.' with file separator when generating
	stub file name. Write just the stub class name without package
	information as class name.

2003-08-29  Stephen Crawley  <crawley@dstc.edu.au>

	* ltmain.sh: Define SED and max_cmd_len when undefined.

2003-08-29  Jeroen Frijters <jeroen@frijters.net>

	* java/lang/Thread.java: New file.
	* vm/reference/java/lang/Thread.java: Removed.
	* vm/reference/java/lang/VMThread.java: New file.

2003-08-26  Tom Tromey  <tromey@redhat.com>

	* java/lang/reflect/Proxy.java (ProxyData): `pack' now a String.
	(ProxyData.getPackage): New method.
	(ProxyData.getProxyData): Use package name, not Package.
	(ClassFactory.ClassFactory): Updated.

2003-08-25  Mark Wielaard  <mark@klomp.org>

	* vm/reference/java/lang/Thread.java (join(long)): Call sleep(10),
	not sleep(1). Explicitly check elapsed time.

2003-08-24  Mark Wielaard  <mark@klomp.org>

	* configure.in (AC_INIT): Use four argument version.
	(AC_CONFIG_SRCDIR): New to explicitly set src dir.
	(AM_INIT_AUTOMAKE): Use zero argument version.
	(AC_SUBST): Only set LIBVERSION explicitly. Removed variables
	PACKAGE, VERSION which are substituted implicitly.
	(AM_DISABLE_STATIC): Renamed to AC_DISABLE_STATIC.
	(AC_DISABLE_STATIC): Renamed from AM_DISABLE_STATIC.
	(AM_PROG_LIBTOOL): Renamed to AC_PROG_LIBTOOL.
	(AC_PROG_LIBTOOL: Renamed from AM_PROG_LIBTOOL.
	(--enable-jni): Default to yes.
	* config.guess: New version from libtoolize --force --copy.
	* config.sub: Likewise.
	* ltmain.sh: Likewise.
	* HACKING: Document that libtool 1.5a works.
	* lib/Makefile.am (MAINTAINERCLEANFILES): Renamed to CLEANFILES.
	(CLEANFILES): New variable renamed from MAINTAINERCLEANFILES with
	glibj.zip and classes.1 added.
	(maintainer-clean-local): Renamed to clean-local.
	(clean-local): Renamed from maintainer-clean-local.
	
2003-08-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GdkGraphics.java (drawString): Pass font
	name, not XLFD, to native drawString.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c (drawString):
	Replace XLFD-based implementation with Pango-based
	implementation.

2003-08-22  Scott Gilbertson  <scottg@mantatest.com>
	    Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/GLightweightPeer.java: Remove file.
	* gnu/java/awt/Makefile.am (EXTRA_DIST): Remove
	GLightweightPeer.java.
	* gnu/java/awt/peer/GLightweightPeer.java: New file.
	* gnu/java/awt/peer/Makefile.am (EXTRA_DIST): Add
	GLightweightPeer.java.
	* java/awt/Component.java (getToolkit): Add comment about
	lightweight components.
	* java/awt/Toolkit.java (createComponent): Return
	gnu.java.awt.peer.GLightweightPeer.

2003-08-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkDialogPeer.java (create): Create
	GTK_WINDOW_POPUP window.
	* gnu/java/awt/peer/gtk/GtkWindowPeer.java: Remove
	GTK_WINDOW_DIALOG.  Set GTK_WINDOW_POPUP to 1.

2003-08-22  Mark Wielaard  <mark@klomp.org>

	* configure.in (VERSION): Set to 0.06+cvs.

2003-08-22  Mark Wielaard  <mark@klomp.org>

	* configure.in (VERSION): Set to 0.06.

2003-08-20  Tom Tromey  <tromey@redhat.com>

	* java/lang/ref/Reference.java (get): Indentation fix.
	(clear): Comment fix.
	(enqueue): Likewise.
	(lock): Likewise.
	(referent): Likewise.

2003-08-19  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-nio/java_nio_FileChannelImpl.c:
	Added includes target_native.h, target_native_math_int.h

2003-08-19  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/target/generic/target_generic_network.h:
	Fixed TARGET_NATIVE_NETWORK_GET_HOSTNAME() macro

2003-08-19  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-nio/java_nio_FileChannelImpl.c:
	Fixed return value of Java_java_nio_channels_FileChannelImpl_size(),
	Java_java_nio_channels_FileChannelImpl_implPosition__()

2003-08-19  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-io/java_io_File.c:
	Fixed return value of 0 in Java_java_io_File_lastModifiedInternal()

2003-08-18  Mark Wielaard  <mark@klomp.org>

	* Makefile.am (DISTCHECK_CONFIGURE_FLAGS): Disable --enable-gjdoc.
	* doc/api/Makefile.am (dist-hook): Removed.

2003-08-18  Mark Wielaard  <mark@klomp.org>

	* Makefile.am (dist-hook): Remove entries now handled by Makefile.am
	in the external directory.

2003-08-17  Mark Wielaard  <mark@klomp.org>

	* external/jaxp/source/javax/xml/transform/TransformerFactory.java:
	Don't use &nbsp; in the api documentation.
	external/jaxp/source/org/xml/sax/ext/Locator2.java: Likewise.

2003-08-17  Mark Wielaard  <mark@klomp.org>

	* doc/api/Makefile.am (core): Don't include doc-files in package list.
	(jaxp): Don't include gnu packages.
	(create_html): Add classpath-copyright.xml as -bottomnote.
	* doc/api/classpath-copyright.xml: Updated year.

2003-08-17  Mark Wielaard  <mark@klomp.org>

	* Makefile.am (SUBDIRS): Add external.
	* configure.in (AC_OUTPUT): Add external/Makefile.
	* external/README: Add how to update Makefile.am jaxp_FILES entry.
	* external/Makefile.am: New file.

2003-08-16  Mark Wielaard  <mark@klomp.org>

	* java/security/Security.java: Don't use &nbsp; in the api
	documentation.
	* java/security/acl/Acl.java: Fix broken p tag.
	* java/text/DateFormatSymbols.java: Correctly open and close li tags.
	* javax/swing/border/LineBorder.java: Close img tag alt attributes.
	* javax/swing/plaf/TreeUI.java: Likewise.
	* javax/swing/plaf/basic/BasicTreeUI.java: Likewise.

2003-08-16  Mark Wielaard  <mark@klomp.org>

	* java/util/Properties.java: Use the word umlaut, not &auml; in api
	documentation.
	* java/util/PropertyResourceBundle.java: Likewise and add closing code
	tag.

2003-08-16  Mark Wielaard  <mark@klomp.org>

	* NEWS: Fix java.swing.border -> javax.swing.border and nativee ->
	native.

2003-08-16  Mark Wielaard  <mark@klomp.org>

	Reported by Patrik Reali
	* gnu/java/io/decode/DecoderUTF8.java (charsInByteArray): Take offset
	into account.
	(convertToChars): Take buf_offset into account.
	(read): Take offset into account. Break loop early when
	in.avaiable() <= 0.

2003-08-16  Mark Wielaard  <mark@klomp.org>

	Reported by Julian Dolby
	* java/lang/Package.java (getPackage): Use currentClassLoader() not
	VMSecurityManager.getClassContext()[1].getClassLoader().

2003-08-16  Mark Wielaard  <mark@klomp.org>

	Reported by Guilhem Lavaux and Julian Dolby
	* java/io/ObjectStreamClass.java (getSerialPersistentFields): Get the
	field "serialPersistentFields", not "getSerialPersistentFields".

2003-08-15  Mark Wielaard  <mark@klomp.org>

	* NEWS: Updated with important improvements for 0.06 release.

2003-08-15  Mark Wielaard  <mark@klomp.org>

	* HACKING: Updated known working/not-working versions of auto-tools.

2003-08-14  Archie Cobbs  <archie@dellroad.org>

	* java/lang/reflect/Constructor.java (equals):
	Completely rewritten for correctness.
	* java/lang/reflect/Field.java (equals):
	Completely rewritten for correctness.
	* java/lang/reflect/Method.java (equals):
	Completely rewritten for correctness.

2003-08-14  Mark Wielaard  <mark@klomp.org>

	* configure.in (AC_OUTPUT): Add native/target/Makefile,
	native/target/Linux/Makefile and native/target/generic/Makefile.
	* native/Makefile.am (SUBDIRS): Add target.
	* native/target/.cvsignore: New file.
	* native/target/Makefile.am: Likewise.
	* native/target/Linux/.cvsignore: Likewise.
	* native/target/Linux/Makefile.am: Likewise.
	* native/target/generic/.cvsignore: Likewise.
	* native/target/generic/Makefile.am: Likewise.

2003-08-14  Mark Wielaard  <mark@klomp.org>

	* include/gnu_java_awt_peer_gtk_GtkMainThread.h: Regenerated.
	* include/gnu_java_nio_FileChannelImpl.h: Likewise.

2003-08-14  Stephen Crawley  <crawley@dstc.edu.au>

	* java/security/Security.java (providers_lazy): Renamed.
	(providersList): Renamed providers_lazy field.
	(providers_lazy_set): Renamed
	(providersInited): Renamed providers_lazy_set field.
	(providers): Set providersInited to true. Reindent.

2003-08-12  Graydon Hoare  <graydon@redhat.com>

	* java/awt/Font.java: 
	Stub out more recent API. 

2003-08-12  Graydon Hoare  <graydon@redhat.com>

	* java/awt/Color.java (getAlpha): 
	Prevent sign-extended alpha values.

2003-08-12  Ingo Proetel  <proetel@aicas.com>

	* java/util/TimeZone.java: initialize lazily 
	* java/util/Locale.java:readManifest: fix check for country 
	* java/util/GregorianCalendar.java:make use of ResourceBundle better traceable 
	* java/util/Calendar.java: make use of ResourceBundle better traceable 

2003-08-12  Ingo Proetel  <proetel@aicas.com>

	* gnu/java/io/encode/EncoderEightBitLookup.java: conserve memory 
	* gnu/java/io/decode/DecoderEightBitLookup.java: override ready()-method 

2003-08-12  Ingo Proetel  <proetel@aicas.com>

	* java/util/logging/SimpleFormatter.java:print souceClassName and sourceMethodName

2003-08-12  Ingo Proetel  <proetel@aicas.com>

	* java/rmi/server/RMIClassLoader.java: identify cached classloaders by 
	codebase and contextclassloader 
	* java/rmi/Naming.java: added comments, now accepts pseudo protocol "rmi" 
	* gnu/java/rmi/rmic/RMIC.java: uncommeted code  

2003-08-12  Jeroen Frijters  <jeroen@frijters.net>

	* java/net/URLClassLoader: (findClass): close InputStream after
	we're done with it

2003-08-12  Ingo Proetel  <proetel@aicas.com>

	* java/util/logging/Logger.java: provide class and method information 
	* java/util/logging/LogManager.java: create handlers  

2003-08-12  Ingo Proetel  <proetel@aicas.com>

	* java/io/ObjectOutputStream.java : allow putFields be called more than once 

2003-08-12  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/font/OpenType.java: Remove 'public static final'
	from OpenType tags, reverting the change of 2003-08-11.  See
	Classpath discussion list of 2003-08-11.

2003-08-11  Tom Tromey  <tromey@redhat.com>

	* java/awt/EventQueue.java (currentEvent, lastWhen): New fields.
	(postEvent): Removed FIXME comment.
	(isDispatchThread): Documented.
	(getCurrentEvent): New method.
	(dispatchEvent): Set currentEvent and lastWhen.
	(getMostRecentEventTime): Rewrote.
	(invokeLater): Documented.

2003-08-11  Ingo Proetel  <proetel@aicas.com>

	* gnu/java/rmi/server/UnicastRef.java: make constructor public and check if serverobject  
	is compatible in case client and server are running in the same VM
	* gnu/java/rmi/rmic/RMIC.java: fix that methods of the remote interfaces are used
	instead of the xxxImpl class
	

2003-08-11  Ingo Proetel  <proetel@aicas.com>

	* gnu/java/net/protocol/http/HttpURLConnection.java: fixed NullPointerException.
	* gnu/java/net/protocol/http/Handler.java: override getDefaultPort() to return 80

2003-08-11  Ingo Proetel <proetel@aicas.com>

	* native/jni/classpath/jcl.c: removed static array for error string.
	The use of this static array made the code non-reentrant and wasted 
	memory when it was not needed. 

2003-08-11 Ingo Proetel <proetel@aicas.com>

	* java/util/class-dependencies.conf,
	java/text/class-dependencies.conf,
	java/nio/class-dependencies.conf,
	java/net/class-dependencies.conf,
	java/math/class-dependencies.conf,
	java/lang/class-dependencies.conf,
	java/io/class-dependencies.conf,
	gnu/java/io/class-dependencies.conf:
	Added use of variables in class dependencies. These variable can be 
	used to configure the set of supported libraries for features such 
	as supported encoders/decoders, URL protocols, etc.
	
2003-08-11 Ingo Proetel <proetel@aicas.com>

	* java/security/Security.java: moved initialization code of providers
	from static initializer into a method to allow lazy evaluation of
	this code. This permits faster startup and even automatic removal of
	this code if it is not needed. 

2003-08-11  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/font/OpenType.java: Declare OpenType tags
	as 'public static final'.

2003-08-10  Mark Wielaard  <mark@klomp.org>

	* doc/www.gnu.org/home.wml: Add Joas and JAmiga. Update links.
	Remove links to proprietary projects.

2003-08-10  Mark Wielaard  <mark@klomp.org>

	* gnu/classpath/Makefile.am (EXTRA_DIST): Add RawData.java.
	* javax/swing/Makefile.am (EXTRA_DIST): Add Popup.java and
	PopupFactory.java.
	* vm/reference/java/lang/Makefile.am (EXTRA_DIST): Add VMDouble.java,
	VMFloat.java and VMString.java.

2003-08-10  Mark Wielaard  <mark@klomp.org>

	* gnu/java/security/x509/Makefile.am (EXTRA_DIST): Corrected spelling
	of X500DistingushedName.java to X500DistinguishedName.java.
	* java/nio/Makefile.am (EXTRA_DIST): Changed CharViewBuffer.java,
	DoubleViewBuffer.java, FloatViewBuffer.java, IntViewBuffer.java,
	LongViewBuffer.java and ShortViewBuffer.java to
	CharViewBufferImpl.java, DoubleViewBufferImpl.java,
	FloatViewBufferImpl.java, IntViewBufferImpl.java,
	LongViewBufferImpl.java and ShortViewBufferImpl.java.

2003-08-10  Jeroen Frijters  <jeroen@frijters.net>

	* java/awt/Container.java
	(getPreferredSize): Call preferredSize.
	(preferredSize): Moved body of getPreferredSize here.
	(getMinimumSize): Call minimumSize.
	(minimumSize): Moved body of getMinimumSize here.

2003-08-10  Bryce McKinlay  <bryce@mckinlay.net.nz>

	* java/io/PrintStream.java (print): Always flush if auto_flush is
	set. Don't check for newline characters.
	(write (int)): Implement without using a temporary array.
	(write (byte[], int, int): Always flush if auto_flush is set. Don't
	check for newline characters.
	Fixes PR libgcj/11778.

2003-08-09  Mark Wielaard  <mark@klomp.org>

	Reported by David Holmes <dholmes@dltech.com.au>, fixes bug #3229.
	* java/lang/InheritableThreadLocal.java (threadMap): Wrap inside
	Collections.synchronizedMap.
	* java/lang/ThreadLocal.java (valueMap): Likewise.

2003-08-09  Mark Wielaard  <mark@klomp.org>

	Reported by Archie Cobbs <archie@dellroad.org>
	* vm/reference/java/lang/Thread.java (Thread): Explicitly set
	contextClassLoader.

2003-08-09  Mark Wielaard  <mark@klomp.org>

	* LICENSE: Update with current exception statement.

2003-08-08  Tom Tromey  <tromey@redhat.com>

	* java/lang/System.java: Typo fix.

2003-08-07  Bryce McKinlay  <bryce@mckinlay.net.nz>

	* java/net/Socket.java (Socket (SocketImpl)): Don't allow null
	SocketImpl. Update Javadoc.
	(bind): Call close() not impl.close() in event of exception.
	(connect): Likewise.
	Remove superfluous null checks throughout.
	* java/net/ServerSocket.java (ServerSocket (int, int, InetAddress)):
	Don't create an extra socket. Fix for PR libgcj/10868.
	(bind): Clean up exception handling.
	Remove superfluous null checks throughout.
	
2003-08-06  Tom Tromey  <tromey@redhat.com>

	* java/io/FilePermission.java (equals): Use correct index for
	last character of path.

2003-08-06  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkComponentPeer.java (postKeyEvent):
	Add keyLocation parameter.
	* java/awt/event/KeyEvent.java (getKeyText): Fix "NumPad-"
	string.
	(paramString): Generate keyChar string according to keyChar, not
	keyCode.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
	(state_to_awt_mods): Handle ALT key.
	(keyevent_state_to_awt_mods): New function.
	(get_first_keyval_from_keymap): New function.
	(keysym_to_awt_keycode): Get virtual key code from keymap.
	Handle missing VK_ values.
	(keysym_to_awt_keylocation): New function.
	(keyevent_to_awt_keychar): New function.
	(generates_key_typed_event): Handle non-text-component case.
	Handle GDK_KP_Delete and GDK_KP_Enter.
	(awt_event_handler): Call new functions to get postKeyEvent
	parameters.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c (gtkInit):
	Update postKeyEvent method signature.
	* jni/gtk-peer/gtkpeer.h: Add KEY_LOCATION defines.  Add missing
	VK_ defines.

2003-08-05  Tom Tromey  <tromey@redhat.com>

	* java/lang/ClassLoader.java (getParent): Use isAncestorOf.
	(isAncestorOf): New method.

2003-08-01  David P Grove  <groved@us.ibm.com>

	* java/text/DecimalFormat.java (format): avoid ArithmeticException
	when groupingSize is 0.
	(parse): Likewise.

2003-08-04  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/Class.java (forName(String,boolean,ClassLoader)):
	Call ClassLoader.loadClass(String) instead of
	ClassLoader.loadClass(String,boolean) as per VM spec.

2003-08-01  David P Grove  <groved@us.ibm.com>

	* java/util/zip/InflaterInputStream.java (close): Only close
	once.
	* java/io/InputStreamReader.java (close): Only close once.

2003-08-01  Tom Tromey  <tromey@redhat.com>

	* java/util/WeakHashMap.java (WeakHashMap(int,float)): If
	initialCapacity is 0, set it to 1.

2003-08-01  Mark Wielaard  <mark@klomp.org>

	* java/math/BigDecimal.java (divide): Calculate sign correctly. And
	optimize checks againsts sign and half values.

2003-07-31  Tom Tromey  <tromey@redhat.com>

	* java/io/ObjectInputStream.java (processResolution): Use
	getMethod.
	(getMethod): Make method accessible.
	(getField): Make field accessible.
	(setBooleanField): Don't call setAccessible here.
	(setByteField, setCharField, setDoubleField, setFloatField,
	setIntField, setLongField, setShortField, setObjectField):
	Likewise.
	(callReadMethod): Don't check whether method is null.  Catch
	NoSuchMethodException.
	* java/io/ObjectOutputStream.java (callWriteMethod): Initialize
	cause on thrown exceptions.

2003-07-31  Stepan Koltsov  <yozh@mx1.ru>

	* java/util/HashMap.java (readObject): Set size.

2003-07-31  Tom Tromey  <tromey@redhat.com>

	* java/io/ObjectOutputStream.java (getMethod): Make method
	accessible.
	(getField): Likewise.
	(writeObject): Use getMethod.
	Import PrivilegedAction and AccessController.
	(callWriteMethod): Don't check whether m is null.  Catch
	NoSuchMethodException.

2003-07-31  Tom Tromey  <tromey@redhat.com>

	* java/awt/geom/Arc2D.java (getBounds2D): Implement.
	(containsAngle): Likewise.
	(getStartPoint): Rewrote.
	(getEndPoint): Likewise.
	(setAngleStart(Point2D)): Likewise.

2003-07-31  Torsten Rupp  <rupp@lisa.aicas.com>

	* java/lang/SecurityManager.java:
	checkPackageList(): replace access of String.count with
	String.length() to make it compatible with other
	implementations of class String

2003-07-31  Torsten Rupp  <rupp@lisa.aicas.com>

	* java/io/File.java:
	createTempFile(): use long names on system where file
	separator is not '\', otherwise limit filenames to
	8+3-convention

2003-07-30  Tom Tromey  <tromey@redhat.com>

	* include/*.h: Rebuilt.

	* native/jni/java-nio/java_nio_FileChannelImpl.c: Include
	java_nio_channels_FileChannelImpl.h.
	* include/java_nio_FileChannelImpl.h: Removed.
	* include/java_nio_channels_FileChannelImpl.h: New file.
	* include/Makefile.am (H_FILES): Added
	java_nio_channels_FileChannelImpl.h.
	($(top_srcdir)/include/java_nio_channels_FileChannelImpl.h): New rule.

2003-07-30  Michael Koch  <konqueror@gmx.de>

	* java/net/PlainSocketImpl.java
	(connect): Reverted Torsten's commit.

2003-07-30  Torsten Rupp  <rupp@lisa.aicas.com>

	* include/java_nio_FileChannelImpl.h:
	copied from gnu_java_nio_FileChannelImpl.h, renamed
	Java_gnu_java_nio_channels_* -> Java_java_nio_channels*
	to match new implementation of FileChannelImpl.java,
	added some missing native functions

2003-07-30  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-nio/java_nio_FileChannelImpl.c:
	rename Java_gnu_java_nio_channels_* -> Java_java_nio_channels*
	to match new implementation of FileChannelImpl.java, added some
	missing native functions

2003-07-30  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-io/FileDescriptor.c:
	fixed warning in Java_java_io_FileDescriptor_nativeSync()

2003-07-30  Torsten Rupp  <rupp@lisa.aicas.com>

	* java/net/PlainSocketImpl.java:
	implemented connect(SocketAddress address, int timeout)
	(preliminary implementation; timeout still not supported)

2003-07-29  Tom Tromey  <tromey@redhat.com>

	* java/lang/StrictMath.java: Typo fix.
	* java/lang/Math.java: Typo fix.

2003-07-29  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkButtonPeer.java: Call getName rather
	than getXLFD.
	* gnu/java/awt/peer/gtk/GtkTextFieldPeer.java: Likewise.
	* gnu/java/awt/peer/gtk/GtkTextAreaPeer.java: Likewise.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
	(gtkSetFont): Scale size parameter by PANGO_SCALE.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c:
	Likewise.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c:
	Likewise.

2003-07-29  Stephen Crawley <crawley@dstc.edu.au>

	* java/net/SocketImpl.java (toString): Display the remote address
	of an unconnected server socket as "0.0.0.0/0.0.0.0".
	* native/jni/java-net/javanet.c (_javanet_connect):
	Don't create a new InetAddress for the remote host.
	Instead, attach the parameter InetAddress to the
	connected SocketImpl object.
	* java/net/PlainSocketImpl.java (connect):
	Implemented connect(SocketAddress, int) overloading.

2003-07-28  C. Brian Jones  <cbj@gnu.org>

	* vm/reference/java/lang/Thread.java (stop): no longer remove 
	thread from thread group in this method.  JVMs must remove thread
	from thread group after thread has had a chance to finishing running
	after catching ThreadDeath.  Mauve test case exists, see bug #2685.

2003-07-28  Torsten Rupp  <rupp@lisa.aicas.com>

	* include/jni.h.in:
	removed obsoleted constants JNI_JLONG_CONST*

2003-07-28  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-net/java_net_PlainDatagramSocketImpl.c:
	improved some exception messages in Java_java_net_PlainDatagramSocketImpl_receive,
	Java_java_net_PlainDatagramSocketImpl_sendto

2003-07-28  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/border/BevelBorder.java,
	javax/swing/border/EtchedBorder.java,
	javax/swing/border/LineBorder.java,
	javax/swing/border/MatteBorder.java,
	javax/swing/border/SoftBevelBorder.java,
	javax/swing/plaf/BorderUIResource.java,
	javax/swing/plaf/ComponentUI.java,
	javax/swing/plaf/TreeUI.java,
	javax/swing/plaf/basic/BasicBorders.java,
	javax/swing/plaf/basic/BasicGraphicsUtils.java,
	javax/swing/plaf/basic/BasicTreeUI.java:
	Prepend "doc-files" to all paths to embedded Javadoc images, so
	that the generated documentation contains the correct URL.

2003-07-24  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c (create):
	Don't pack label in an event box.

2003-07-24  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* Makefile.am (SUBDIRS): Add include.
	* configure.in: Add --enable-regen-headers flag.
	(AC_OUTPUT): Add include/Makefile.
	* include/Makefile.am: New file.

2003-07-24  Jeroen Frijters  <jeroen@frijters.net>

	* java/sql/Timestamp.java
	(valueOf): Fixed confusion of java.sql.Date and java.util.Date

2003-07-24  H. V�is�nen  <hvaisane@joyx.joensuu.fi>

	* java/text/SimpleDateFormat.java (format) [YEAR_FIELD]: Zero pad
	unless field size is 2.

2003-07-24  Jeroen Frijters  <jeroen@frijters.net>

	* java/awt/Component.java
	(getPreferredSize): Call preferredSize.
	(preferredSize): Moved body of getPreferredSize here.
	(getMinimumSize): Call minimumSize.
	(minimumSize): Moved body of getMinimumSize here.
	(prepareImage): Fall back on Toolkit.prepareImage if there is no peer
	(checkImage(Image,ImageObserver)): Don't call getWidth/getHeight, but
	pass -1
	* java/awt/Container.java
	(validate): Don't validate if there is no peer.
	(update): Clear background before calling paint.
	* java/awt/GridBagLayout.java
	Completed the implementation and fixed several bugs.
	* java/awt/MediaTracker.java
	(MediaEntry.imageUpdate): Fixed typo. & instead of | was used to
	combine flags.
	* java/awt/Window.java
	(Window): Don't call setVisible(false). Windows are invisible by
	default and calling virtual methods from constructor causes
	compatibility problems (e.g. subclasses may assume that the peer
	already exists).

2003-07-23  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/target/generic/target_generic_file.h:
	Fixed include of utime.h, sys/utime.h: rename HAVE_UTIME -> 
	HAVE_UTIME_H, HAVE_SYS_UTIME -> HAVE_SYS_UTIME_H

2003-07-23  Torsten Rupp  <rupp@lisa.aicas.com>

	* gnu/java/io/class-dependencies.conf:
	Added missing class-dependency file

2003-07-23  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-io/java_io_File.c:
	Replaced JNI_JLONG_CONST* -> TARGET_NATIVE_MATH_INT_*, because
	JNI_JLONG_CONST* should be removed from jni.h

2003-07-23  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-io/java_io_File.c:
	Replaced JNI_JLONG_CONST* -> TARGET_NATIVE_MATH_INT_*, because
	JNI_JLONG_CONST* should be removed from jni.h

2003-07-23  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-io/FileDescriptor.c:
	Replaced JNI_JLONG_CONST* -> TARGET_NATIVE_MATH_INT_*, because
	JNI_JLONG_CONST* should be removed from jni.h
	removed HAVE_FTRUNCATE, HAVE_FSYNC, HAVE_SELECT (now set in
	configure)

2003-07-23  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-nio/java_nio.c:
	Replaced JNI_JLONG_CONST_0 -> TARGET_NATIVE_MATH_INT_INT64_CONST_0,
	because JNI_JLONG_CONST* should be removed from jni.h

2003-07-23  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-net/javanet.c:
	Enable option SO_BROADCAST for datagram sockets

2003-07-23  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/target/generic/target_generic_file.h:
	added TARGET_NATIVE_FILE_FILEPERMISSION_READONLY, improved
	TARGET_NATIVE_FILE_VALID_FILE_DESCRIPTOR: now use fcntl()
	or fstat()

2003-07-22  Tom Tromey  <tromey@redhat.com>

	* java/awt/Window.java (getWarningString): Just return the
	string.
	(Window): Set warningString; check with security manager.

	* java/net/URLEncoder.java (encode(String)): Use platform default
	encoding.
	(encode(String,String)): Convert to 2-digit upper-case hex
	number.
	(hex): New field.

2003-07-22  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/target/generic/target_generic_network.h:
	removed double defined macros, added
	TARGET_NATIVE_NETWORK_SOCKET_SET_OPTION_BROADCAST(),
	TARGET_NATIVE_NETWORK_SOCKET_GET_OPTION_BROADCAST()

2003-07-22  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/target/generic/target_generic_math_float.h:
	added macro TARGET_NATIVE_MATH_FLOAT_FLOAT_FINITE(),
	TARGET_NATIVE_MATH_FLOAT_DOUBLE_FINITE()

2003-07-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(create): Remove unused method implementation.
	(connectHooks): Remove debug messages.

2003-07-20  Tom Tromey  <tromey@redhat.com>

	* vm/reference/java/lang/Runtime.java: Typo fix.

2003-07-20  Michael Koch  <konqueror@gmx.de>

	* java/net/URL.java
	(handlers): Removed member variable, unused.
	I think this came in with a libgcj merge.

2003-07-19  Michael Koch  <konqueror@gmx.de>

	* java/net/URL.java:
	Partly merged with libgcj.

2003-07-19  Torsten Rupp  <rupp@lisa.aicas.com>

	* java/io/File.java:
	canWrite(): set prefix for temporary file to "tmp" to make methode
	usable on systems with DOS-style filesystems (8+3-limitation)
	createTempFile(): limit length of filename from temporary file to
	8-length(prefix) to make methode usuable on systems with DOS-style
	filesystems (8+3-limitation)

2003-07-18  Graydon Hoare  <graydon@redhat.com>

	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollBarPeer.c: 
	Handle missing event cases, connect to "value-changed" signal.

2003-07-18  Graydon Hoare  <graydon@redhat.com>

	* java/awt/geom/CubicCurve2D.java,
	java/awt/geom/Line2D.java,
	java/awt/geom/QuadCurve2D.java,
	java/awt/geom/Rectangle2D.java: 
	Fix path some calculations, make path iterators follow
	a consistent style.

2003-07-18  Mark Wielaard  <mark@klomp.org>

	* java/security/BasicPermission.java: Extends with fully qualified
	classname is workaround for gcj 3.3.

2003-07-18  Mark Wielaard  <mark@klomp.org>

	* java/util/zip/InflaterInputStream.java (InflaterInputStream): Check
	for null InputStream and Inflater.

2003-07-18  Jerry Quinn  <jlquinn@optonline.net>
	    Mark Wielaard  <mark@klomp.org>

	* java/math/BigDecimal (divide): Correctly handle
	ROUND_HALF_EVEN when amount is greater than 0.5.
	Simplify code.

2003-07-17  Jeroen Frijters <jeroen@sumatra.nl>

	* java/net/URLClassLoader.java (addURL): Moved implementation to
	private addURLImpl() to avoid calling addURL from the constructor.
	(addURLImpl): Contains the code that was previously in addURL.
	(addURLs): Call addURLImpl(), not addURL().

2003-07-17  Stephen Crawley  <crawley@dstc.edu.au>

	* java/lang/ThreadGroup.java (removeThread): null the 'group' field
	of the removed Thread.
	* vm/reference/java/lang/Thread.java (setDaemon): Don't throw an
	exception when called on an exited Thread.

2003-07-17  Jeroen Frijters <jeroen@sumatra.nl>

	* java/lang/Class.java (newInstance): Improved constructor caching.

2003-07-16  Jeroen Frijters <jeroen@sumatra.nl>

	* java/net/URLClassLoader.java (JarURLLoader.getResource): If the
	name starts with a slash, chop it off.

2003-07-16  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/target/generic/target_generic_file.h:
	Some fixes for target native layer (reported by Stephen Crawley)

2003-07-16  Torsten Rupp  <rupp@lisa.aicas.com>

	* configure.in:
	Some fixes for target native layer (reported by Stephen Crawley)

2003-07-16  Torsten Rupp  <rupp@lisa.aicas.com>

	* java/io/class-dependencies.conf:
	java/lang/class-dependencies.conf:
	java/math/class-dependencies.conf:
	java/net/class-dependencies.conf:
	java/nio/class-dependencies.conf:
	java/text/class-dependencies.conf:
	java/util/class-dependencies.conf:
	Class dependencies file

2003-07-16  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/target/generic/target_generic_file.h:
	Fixed typing error

2003-07-16  David Grove  <groved@us.ibm.com

	* java/lang/Double.java (doubleToLongBits): No longer native,
	delegates to VMDouble.
	(doubleToRawLongBits): Likewise.
	(longBitsToDouble): Likewise.
	* java/lang/Float.java (static): Moved to VMFloat.
	(floatToIntBits) No longer native, delegates to VMFloat.
	(floatToRawIntBits): Likewise.
	(intBitsToFloat): Likewise.
	* vm/reference/java/lang/VMDouble.java: New class.
	* vm/reference/java/lang/VMFloat.java: New class.
	* native/jni/java-lang/Makefile.am (libjavalang_la_SOURCES): Remove
	java_lang_Float.c, add java_lang_VMFloat.c and java_lang_VMDouble.c.
	* native/jni/java-lang/java_lang_Double.c (doubleToLongBits):
	Removed, moved to java_lang_VMDouble.c.
	(doubleToRawLongBits): Likewise.
	(longBitsToDouble): Likewise.
	* native/jni/java-lang/java_lang_Float.c: Removed file.
	* native/jni/java-lang/java_lang_VMDouble.c: New file.
	* native/jni/java-lang/java_lang_VMFloat.c: New file.
	* include/java_lang_Double.h: Regenerated.
	* include/java_lang_Float.h: Removed.
	* include/java_lang_VMDouble.h: New file.
	* include/java_lang_VMFloat.h: New file.
	* NEWS: Describe new VM Float/Double conversion methods.

2003-07-16  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/classpath/jcl.c:
	Fixed wrong include

2003-07-16  Mark Wielaard  <mark@klomp.org>

	* java/util/logging/Handler.java (isLoggable): Check record level
	smaller or equal.

2003-07-16  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/classpath/jnilink.c:
	Removed include malloc.h, added stdlib.h

2003-07-16  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/classpath/jcl.h,
	native/jni/classpath/jcl.c:
	Fixed some prototypes

2003-07-16  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-io/FileDescriptor.c:
	Renamed some internal constants to avoid conflicts with existing
	constants in some OS (e. g. vxWorks)

2003-07-15  David Grove  <groved@us.ibm.com

	* java/lang/String.java (internTable): Removed.
	(intern): Use VMString.intern().
	* vm/reference/java/lang/VMString.java: New VM interface class.
	* NEWS: Document new VM interface.

2003-07-15  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-net/java_net_InetAddress.c,
	native/jni/java-net/java_net_NetworkInterface.c,
	native/jni/java-net/java_net_PlainDatagramSocketImpl.c,
	native/jni/java-net/java_net_PlainSocketImpl.c,
	native/jni/java-net/javanet.c:
	Added target native layer macros for native OS functions

2003-07-15  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/target/generic/target_generic_network.h:
	Added macro for BIND_ADDRESS

2003-07-15  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-util/java_util_TimeZone.c:
	renamed target native macro

2003-07-15  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/target/generic/target_generic_misc.h:
	Fixed typing error

2003-07-15  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/target/generic/target_generic_misc.h:
	Clean-up some target macro names

2003-07-15  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-util/java_util_TimeZone.c:
	Replace natve OS functions by target native layer macros

2003-07-14  Michael Koch  <konqueror@gmx.de>

	* java/nio/DirectByteBufferImpl.java:
	Partly merge with libgcj.

2003-07-14  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/FileChannelImpl.java: Removed.
	* gnu/java/nio/Makefile.am
	(EXTRA_DIST): Removed FileChannelImpl.java.
	* java/nio/channels/FileChannelImpl.java: New file.
	* java/nio/channels/Makefile.am
	(EXTRA_DIST): Added FileChannelImpl.java.
	* java/io/FileInputStream.java,
	java/io/FileOutputStream.java,
	java/io/RandomAccessFile.java,
	java/nio/MappedByteBufferImpl.java:
	Import java.nio.channels.FileChannelImpl instead of
	gnu.java.nio.FileChannelImpl.
	* java/nio/channels/FileChannel.java
	(MapMode.m): Made package-private.

2003-07-14  Michael Koch  <konqueror@gmx.de>

	* java/net/ServerSocket.java,
	java/net/Socket.java: New versions from libgcj.

2003-07-13  Jeroen Frijters <jeroen@sumatra.nl>

	* java/util/zip/ZipFile.java (finalize): Check raf for null to prevent
	NullPointerException if the file was never constructed.

2003-07-13  Jeroen Frijters <jeroen@sumatra.nl>

	* javax/naming/CompoundName.java (CompoundName(String,Properties)):
	guard against beginQuote and beginQuote2 being null

2003-07-13  Jeroen Frijters <jeroen@sumatra.nl>

	* java/beans/PropertyEditorManager.java (findEditor): use the thread
	context class loader to try and find the class

	* javax/naming/spi/NamingManager.java (getInitialContext): use the
	thread context class loader

2003-07-13  Jeroen Frijters <jeroen@sumatra.nl>

	* gnu/java/rmi/server/UnicastServerRef.java
	(getHelperClass): if class loader is null, use Class.forName

2003-07-12  Jeroen Frijters <jeroen@sumatra.nl>

	* java/awt/image/MemoryImageSource.java
	(MemoryImageSource(int,int,ColorModel, byte[],int,int,Hashtable props)):
	Changed array copy length to max * height.
	(MemoryImageSource(int,int,ColorModel, int[],int,int,Hashtable props)):
	Changed array copy length to max * height
	(sendPicture): Call setDimensions on the consumer.

2003-07-11  Matt Kraai  <kraii@alumni.cmu.edu>

	* java/awt/im/InputContext.java: Remove a redundant
	partial line.

2003-07-10  Torsten Rupp  <rupp@lisa.aicas.com>

	* classpath/native/target/generic/target_generic_network.h:
	Adding missing #include <assert.h>

2003-07-09  Mark Wielaard  <mark@klomp.org>

	* java/io/ObjectOutputStream.java (writeObject): break after
	calling writeClassDescriptor().

2003-07-09  Torsten Rupp  <rupp@lisa.aicas.com>

	* classpath/include/jni.h.in:
	Fixed missing JNI_JLONG_CONST* definitions (preliminary fix)

2003-07-09  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/peer/gtk/GdkFontMetrics.java,
	gnu/java/awt/peer/gtk/GdkGraphics.java,
	gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	gnu/java/awt/peer/gtk/GtkCanvasPeer.java,
	gnu/java/awt/peer/gtk/GtkCheckboxGroupPeer.java,
	gnu/java/awt/peer/gtk/GtkCheckboxMenuItemPeer.java,
	gnu/java/awt/peer/gtk/GtkCheckboxPeer.java,
	gnu/java/awt/peer/gtk/GtkChoicePeer.java,
	gnu/java/awt/peer/gtk/GtkClipboard.java,
	gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	gnu/java/awt/peer/gtk/GtkContainerPeer.java,
	gnu/java/awt/peer/gtk/GtkDialogPeer.java,
	gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
	gnu/java/awt/peer/gtk/GtkFramePeer.java,
	gnu/java/awt/peer/gtk/GtkGenericPeer.java,
	gnu/java/awt/peer/gtk/GtkImage.java,
	gnu/java/awt/peer/gtk/GtkImagePainter.java,
	gnu/java/awt/peer/gtk/GtkLabelPeer.java,
	gnu/java/awt/peer/gtk/GtkListPeer.java,
	gnu/java/awt/peer/gtk/GtkMenuBarPeer.java,
	gnu/java/awt/peer/gtk/GtkMenuComponentPeer.java,
	gnu/java/awt/peer/gtk/GtkMenuItemPeer.java,
	gnu/java/awt/peer/gtk/GtkMenuPeer.java,
	gnu/java/awt/peer/gtk/GtkOffScreenImage.java,
	gnu/java/awt/peer/gtk/GtkPanelPeer.java,
	gnu/java/awt/peer/gtk/GtkPopupMenuPeer.java,
	gnu/java/awt/peer/gtk/GtkScrollPanePeer.java,
	gnu/java/awt/peer/gtk/GtkScrollbarPeer.java,
	gnu/java/awt/peer/gtk/GtkTextAreaPeer.java,
	gnu/java/awt/peer/gtk/GtkTextComponentPeer.java,
	gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
	gnu/java/awt/peer/gtk/GtkWindowPeer.java:
	Reworked import statements.

2003-07-09  Torsten Rupp  <rupp@lisa.aicas.com>

	*  native/jni/java-io/FileDescriptor.c,
	native/jni/java-io/java_io_File.c,
	native/jni/java-io/java_io_ObjectInputStream.c,
	native/jni/java-io/javaio.c:
	Implemented target native layer macros for all native OS functions

2003-07-08  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/target/generic/target_generic_file.h:
	More fixed for native layer: open with sync/dsync, 64bit-clean

2003-07-07  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkTextComponentPeer.java
	(setCaretPosition, setEditable): Rely entirely on native
	implementation.
	(getArgs): Remove.
	(postTextEvent): New method.
	(handleEvent): New method.
	* gnu/java/awt/peer/gtk/GtkTextFieldPeer.java (handleEvent): New
	method.
	* java/awt/event/ActionEvent.java (paramString): Fix formatting.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
	(keysym_to_awt_keycode): Fix range checks.
	(generates_key_typed_event): New function.
	(awt_event_handler): Post AWT_KEY_RELEASED events to event
	queue.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c
	(gtkInit): Store TextComponent's postTextEvent method ID.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextComponentPeer.c
	(setText): Post TEXT_VALUE_CHANGED event to event queue.

2003-07-07  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/tar2003-07-09  Torsten Rupp  <rupp@lisa.aicas.com>

	* /cvsroot/classpath/classpath/native/jni/java-io/FileDescriptor.c:
	Implemented target native layer macros for all native OS functions
	* native/target/Linux/target_native.h,
	native/target/Linux/target_native_file.h,
	native/target/Linux/target_native_math_float.h,
	native/target/Linux/target_native_math_int.h,
	native/target/Linux/target_native_misc.h,
	native/target/Linux/target_native_network.h:
	Small fixes for target native layer

	* native/target/Linux/target_native_io.h:
	Target native layer I/O functions for Linux

2003-07-07  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/target/generic/target_generic.h,
	native/target/generic/target_generic_file.h,
	native/target/generic/target_generic_math_float.h,
	native/target/generic/target_generic_math_int.h,
	native/target/generic/target_generic_misc.h,
	native/target/generic/target_generic_network.h:
	Small fixes for target native layer

	* native/target/generic/target_generic_io.h:
	Target native layer I/O functions

2003-07-03  Torsten Rupp  <rupp@lisa.aicas.com>

	* native/jni/java-nio/java_nio_FileChannelImpl.c:
	Fixed header Java_gnu_java_nio_FileChannelImpl_implPosition__

2003-07-03  Torsten Rupp  <rupp@lisa.aicas.com>

	* gnu/java/rmi/server/UnicastServerRef.java:
	Fixed getReturnMethodType


2003-07-02  Michael Koch  <konqueror@gmx.de>

	* configure.in:
	Added native/jni/java-nio/Makefile to AC_OUTPUT call.
	* include/gnu_java_nio_FileChannelImpl.h:
	Regenrated.
	* include/gnu_java_nio_FileLockImpl.h,
	include/java_nio_DirectByteBufferImpl.h:
	New files.
	* native/jni/Makefile.am
	(SUBDIRS): Added new java-nio subdir.
	* native/jni/java-io/Makefile.am:
	Removed java_nio.c from compilation.
	* native/jni/java-io/java_nio.c:
	Removed.
	* native/jni/java-net/java_net_NetworkInterface.c
	(getRealNetworkInterfaces): Fixed arguments.
	* native/jni/java-nio/.cvsignore,
	native/jni/java-nio/Makefile.am,
	native/jni/java-nio/java_nio.c,
	native/jni/java-nio/java_nio_DirectByteBufferImpl.c,
	native/jni/java-nio/java_nio_FileChannelImpl.c,
	native/jni/java-nio/java_nio_FileLockImpl.c:
	New files.

2003-07-02  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/peer/gtk/GtkToolkit.java:
	Reworked imports.

2003-07-02  Michael Koch  <konqueror@gmx.de>

	* javax/swing/AbstractButton.java:
	Reformatted. Three usages of non existing ButtonModel methods removed.
	* javax/swing/ButtonModel.java
	(fireItemStateChanged, fireStateChanged, fireActionPerformed):
	Removed.
	* javax/swing/SwingUtilities.java:
	Reformatted.
	* javax/swing/UIManager.java:
	Reformatted.
	* javax/swing/colorchooser/DefaultColorSelectionModel.java
	(DefaultColorSelectionModel): Implemented.
	(setSelectedColor): Likewise.
	(getSelectedColor): Likewise.
	(addChangeListener): Likewise.
	(removeChangeListener): Likewise.
	(fireStateChange): Likewise.
	* javax/swing/event/AncestorEvent.java
	(ANCESTOR_ADDED): Fixed value.
	(ANCESTOR_MOVED): Likewise.
	* javax/swing/event/InternalFrameEvent.java
	(INTERNAL_FRAME_ICONIFIED): Fixed value.
	(INTERNAL_FRAME_OPENED): Likewise.
	* javax/swing/plaf/basic/BasicLabelUI.java:
	Reformatted.
	(BasicLabelUI): Implements PropertyChangeListener.
	(propertyChange): New method.
	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(serialVersionUID): Fixed value.
	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(BasicTabbedPaneUI): Implements SwingConstants.
	* javax/swing/plaf/basic/BasicTextUI.java
	(BasicTextUI): Implements ViewFactory.
	(create): New method.
	* javax/swing/plaf/metal/MetalLookAndFeel.java
	(MetalLookAndFeel): Extends BasicLookAndFeel instead of LookAndFeel.

2003-07-01  Michael Koch  <konqueror@gmx.de>

	* java/awt/Container.java
	(add): Revised documentation.
	* java/awt/GridBagLayout.java:
	Yippie, 90% are done. Now are comming the 10% work which take 90% of
	time.
	* java/awt/GridBagLayoutInfo.java
	(x, y): Renamed to pos_x and pos_y.

2003-07-01  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/basic/BasicBorders.java (SplitPaneBorder):
	For a bug report filed with Sun, replace the review ID by its bug ID.

2003-06-30  Gary Benson  <gbenson@redhat.com>

	* javax/naming/spi/NamingManager.java (getURLContext): Use
	correct name for factory class.

2003-06-29  Michael Koch  <konqueror@gmx.de>

	* java/awt/GridBagLayout.java:
	Yippie, 90% are done. Now are comming the 10% work which take 90% of
	time.

2003-06-28  Michael Koch  <konqueror@gmx.de>

	* java/awt/GridBagLayout.java,
	java/awt/GridBagLayoutInfo.java:
	More work done to implement this beasts.

2003-06-28  Michael Koch  <konqueror@gmx.de>

	* java/awt/GridBagLayout.java:
	More work done. API should now be complete.

2003-06-28  Michael Koch  <konqueror@gmx.de>

	* java/awt/GridBagLayout.java:
	Totally reworked and partly implemented.
	* java/awt/GridBagLayoutInfo.java:
	New file.
	* java/awt/Makefile.am
	(EXTRA_DIST): Added GridBagLayoutInfo.java.

2003-06-28  Michael Koch  <konqueror@gmx.de>

	* java/util/Timer.java
	(finalize): Throws Throwable.

2003-06-28  Michael Koch  <konqueror@gmx.de>

	* java/awt/Window.java
	(Window): Implements javax.accessibility.Accessible.

2003-06-28  Michael Koch  <konqueror@gmx.de>

	* java/net/URL.java,
	java/net/URLStreamHandler.java:
	Renamd variable "handler" to "ph" to match libgcj more.

2003-06-28  Michael Koch  <konqueror@gmx.de>

	* java/nio/MappedByteBufferImpl.java:
	Reverted.

2003-06-27  Michael Koch  <konqueror@gmx.de>

	* java/io/RandomAccessFile.java,
	java/nio/ByteBufferImpl.java,
	java/nio/CharBufferImpl.java,
	java/nio/DirectByteBufferImpl.java,
	java/nio/DoubleBufferImpl.java,
	java/nio/FloatBufferImpl.java,
	java/nio/IntBufferImpl.java,
	java/nio/LongBufferImpl.java,
	java/nio/MappedByteBufferImpl.java,
	java/nio/ShortBufferImpl.java,
	java/rmi/server/SkeletonNotFoundException.java,
	java/rmi/server/UnicastRemoteObject.java,
	java/security/Certificate.java,
	java/security/cert/PolicyQualifierInfo.java,
	java/text/Format.java,
	javax/naming/CompositeName.java,
	javax/naming/CompoundName.java,
	javax/naming/InitialContext.java,
	javax/naming/LinkRef.java,
	javax/naming/NamingException.java,
	javax/naming/NamingSecurityException.java,
	javax/naming/ReferralException.java,
	javax/naming/StringRefAddr.java,
	javax/naming/directory/BasicAttribute.java,
	javax/naming/directory/BasicAttributes.java,
	javax/naming/ldap/UnsolicitedNotificationEvent.java,
	javax/security/auth/x500/X500Principal.java:
	New versions from libgcj.

2003-06-26  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/FileChannelImpl.java
	(write): Removed.
	* java/awt/font/GraphicAttribute.java
	(getAlignment): Made final.
	* java/awt/font/ImageGraphicAttribute.java
	(ImageGraphicAttribute): Made final.
	* java/awt/image/DataBufferByte.java
	(DataBufferByte): Made final.
	* java/awt/image/DataBufferInt.java
	(DataBufferInt): Made final.
	* java/awt/image/DataBufferUShort.java
	(DataBufferUShort): Made final.
	* java/awt/image/DirectColorModel.java
	(coerceData): Made final.
	* java/awt/image/PixelGrabber.java
	(status): Removed @deprecated tag.
	* java/beans/beancontext/BeanContextSupport.java
	(BCSIterator): Made final.
	* java/io/RandomAccessFile.java
	(readLine): Removed @deprecated tag.
	* java/net/Inet4Address.java
	(Inet4Address): Made package-private.
	* java/net/Inet6Address.java
	(Inet6Address): Made package-private.
	* java/nio/channels/FileChannel.java
	(write): Made final.
	* java/nio/channels/ServerSocketChannel.java
	(ServerSocketChannel): Made protected.

2003-06-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/event/AncestorEvent.java,
	javax/swing/event/InternalFrameEvent.java,
	javax/swing/event/ListDataEvent.java,
	javax/swing/event/TableModelEvent.java:
	Constants must be final.

2003-06-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/event/AncestorEvent.java,
	javax/swing/event/HyperlinkEvent.java,
	javax/swing/event/InternalFrameEvent.java,
	javax/swing/event/ListDataEvent.java,
	javax/swing/event/TableModelEvent.java:
	Fixed values of all serialVersionUIDs.

2003-06-26  Stephen Crawley  <crawley@dstc.edu.au>

	* java/test/RuleBasedCollator.java
	(RuleBasedCollator): Fix bugs in building the collator data structures
	that resulted in the wrong keys being associated collated characters.

2003-06-26  Stephen Crawley <crawley@dstc.edu.au>

	* java/text/CollationElementIterator.java
	(next): Fix bug that caused the first character of the
	Iterator's text to be skipped.

2003-06-26  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/TextUI.java (getNextVisualPositionFrom):
	Declare to throw BadLocationException. Documented in JavaDoc.
	* javax/swing/plaf/basic/BasicTextUI.java: Likewise.

	* javax/swing/plaf/TreeUI.java (getClosesPathForLocation): Method
	renamed to getClosestPathForLocation.
	* javax/swing/plaf/basic/BasicTreeUI.java (getClosesPathForLocation):
	Likewise.
	
2003-06-26  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/TreeUI.java (getPathBounds, getPathForRow,
	getRowForPath, getRowCount, getClosesPathForLocation,
	isEditing, stopEditing, cancelEditing, startEditingAtPath,
	getEditingPath): New abstract methods.

	* javax/swing/plaf/basic/BasicTreeUI.java (getPathBounds,
	getPathForRow, getRowForPath, getRowCount,
	getClosesPathForLocation, isEditing, stopEditing, cancelEditing,
	startEditingAtPath, getEditingPath): Stubbed implementations
	for methods required by abstract superclass.
	
	* javax/swing/plaf/doc-files/TreeUI-1.png: New image.
	
	* javax/swing/plaf/basic/BasicTextUI.java (RootView): Commented
	out to avoid errors when compiling with the Sun JDK.  The
	implementation was way too incomplete to be of any use.

	(modelToView): Declare to throw javax.swing.text.BadLocationException.
	
2003-06-26  Sascha Brawer  <brawer@dandelis.ch>
	
	* javax/swing/plaf/TextUI.java: Made imports specific, reformatted,
	wrote JavaDoc.
	(modelToView): Declare to throw javax.swing.text.BadLocationException.
	(getToolTipText): New method.
	
2003-06-25  Stephen Crawley <crawley@dstc.edu.au>

	* gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_en.java,
	gnu/java/locale/LocaleInformation_nl.java:
	Fixed collation rules.

2003-06-25  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/SplitPaneUI.java: Made imports specific,
	reformatted, wrote JavaDoc.

	* javax/swing/plaf/TabbedPaneUI.java: Made abstract, reformatted,
	wrote JavaDoc.
	(tabForCoordinate, getTabBounds, getTabRunCount): Made abstract.

2003-06-25  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/PopupMenuUI.java (isPopupTrigger, getPopup):
	New methods.

2003-06-25  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/JWindow.java (JWindow()): Add stubbed constructor
	so that javax/swing/Popup.java compiles.

2003-06-25  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/Popup.java, javax/swing/PopupFactory.java:
	Initial	check-in.

2003-06-25  Michael Koch  <konqueror@gmx.de>

	* java/io/ObjectInputStream.java,
	java/io/ObjectOutputStream.java:
	Merged new versions from libgcj.

2003-06-25  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/SpinnerUI.java: Initial check-in of new file.

2003-06-24  Sascha Brawer  <brawer@dandelis.ch>
	
	* javax/swing/plaf/RootPaneUI.java,
	javax/swing/plaf/ScrollBarUI.java,
	javax/swing/plaf/ScrollPaneUI.java,
	javax/swing/plaf/SeparatorUI.java,
	javax/swing/plaf/SliderUI.java,
	javax/swing/plaf/TableHeaderUI.java,
	javax/swing/plaf/TableUI.java,
	javax/swing/plaf/ToolBarUI.java,
	javax/swing/plaf/ToolTipUI.java,
	javax/swing/plaf/ViewportUI.java: Reformatted, wrote JavaDoc.

2003-06-24  Sascha Brawer  <brawer@dandelis.ch>
	
	* javax/swing/plaf/ActionMapUIResource.java,
	javax/swing/plaf/BorderUIResource.java,
	javax/swing/plaf/ButtonUI.java,
	javax/swing/plaf/ColorChooserUI.java,
	javax/swing/plaf/ColorUIResource.java,
	javax/swing/plaf/ComboBoxUI.java,
	javax/swing/plaf/ComponentInputMapUIResource.java,
	javax/swing/plaf/ComponentUI.java,
	javax/swing/plaf/DesktopIconUI.java,
	javax/swing/plaf/DesktopPaneUI.java,
	javax/swing/plaf/DimensionUIResource.java,
	javax/swing/plaf/FileChooserUI.java,
	javax/swing/plaf/FontUIResource.java,
	javax/swing/plaf/IconUIResource.java,
	javax/swing/plaf/InputMapUIResource.java,
	javax/swing/plaf/InsetsUIResource.java,
	javax/swing/plaf/InternalFrameUI.java,
	javax/swing/plaf/LabelUI.java,
	javax/swing/plaf/ListUI.java,
	javax/swing/plaf/MenuBarUI.java,
	javax/swing/plaf/MenuItemUI.java,
	javax/swing/plaf/OptionPaneUI.java,
	javax/swing/plaf/PanelUI.java,
	javax/swing/plaf/ProgressBarUI.java: State "Copyright (C) 2002, 2003"
	instead of only 2003, thus restoring the original year.
	Thanks for Michael Koch <konqueror@gmx.de> for having noticed.

2003-06-25  Michael Koch  <konqueror@gmx.de>

	* java/net/PlainDatagramSocketImpl.java:
	Reordered methods to match libgcj.

2003-06-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/event/AncestorEvent.java,
	javax/swing/event/HyperlinkEvent.java,
	javax/swing/event/InternalFrameEvent.java,
	javax/swing/event/ListDataEvent.java,
	javax/swing/event/TableModelEvent.java:
	Compile fixes.
	* javax/swing/plaf/basic/BasicListUI.java,
	javax/swing/plaf/basic/BasicOptionPaneUI.java:
	Added missing methods to make it compile.

2003-06-24  Michael Koch  <konqueror@gmx.de>

	* javax/swing/event/AncestorEvent.java
	* javax/swing/event/HyperlinkEvent.java
	* javax/swing/event/InternalFrameEvent.java
	* javax/swing/event/ListDataEvent.java
	* javax/swing/event/TableModelEvent.java
	* javax/swing/event/TreeWillExpandListener.java

2003-06-24  Michael Koch  <konqueror@gmx.de>

	* java/awt/image/ColorModel.java:
	Reformatted.
	(getComponents): Added comment.
	(getDataElements): Likewise.
	(getDataElement): New method.
	(getDataElements): Likewise.
	(getNormalizedComponents): Likewise.

2003-06-24  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/ListUI.java: Re-written.
	* javax/swing/plaf/LabelUI.java: Made abstract.
	* javax/swing/plaf/MenuBarUI.java: Reformatted, wrote JavaDoc.
	* javax/swing/plaf/MenuItemUI.java: Likewise.
	* javax/swing/plaf/OptionPaneUI.java: Re-written.
	* javax/swing/plaf/PanelUI.java: Made abstract, reformatted,
	wrote JavaDoc.
	* javax/swing/plaf/ProgressBarUI.java: Reformatted, wrote JavaDoc.

2003-06-24  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/InputMapUIResource.java: Reformatted, wrote JavaDoc.
	* javax/swing/plaf/InternalFrameUI.java: Likewise.
	* javax/swing/plaf/LabelUI.java: Likewise.

	* javax/swing/plaf/InsetsUIResource.java: Reformatted, wrote JavaDoc.
	(serialVersionUID): New field.

2003-06-24  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/IconUIResource.java: Reformatted, wrote JavaDoc.
	(delegate): New field.
	(IconUIResource): Store the delegate argument.
	(paintIcon, getIconWidth, getIconHeight): Forward the message to
	the delegate icon.

2003-06-24  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/DesktopIconUI.java: Reformatted, wrote JavaDoc.
	* javax/swing/plaf/DesktopPaneUI.java: Likewise.
	* javax/swing/plaf/DimensionUIResource.java: Likewise.
	* javax/swing/plaf/FileChooserUI.java: Likewise.
	* javax/swing/plaf/FontUIResource.java: Likewise.
	
2003-06-24  Michael Koch  <konqueror@gmx.de>

	* java/awt/Toolkit.java
	(getDefaultToolit): Merged new version from libgcj.

2003-06-24  Michael Koch  <konqueror@gmx.de>

	* java/net/SocketImpl.java,
	java/net/URLStreamHandler.java:
	New versions from libgcj.

2003-06-24  Michael Koch  <konqueror@gmx.de>

	* java/nio/Buffer.java:
	New version from libgcj.

2003-06-24  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/ComponentUI.java: Re-written from scratch.
	* javax/swing/plaf/doc-files/ComponentUI-1.png: Dotted line and
	new wording for comments.
	* javax/swing/plaf/doc-files/ComponentUI-1.dia: Likewise.

2003-06-24  Michael Koch  <konqueror@gmx.de>

	* java/io/LineNumberReader.java:
	New version from libgcj.

2003-06-24  Michael Koch  <konqueror@gmx.de>

	* java/awt/color/ColorSpace.java
	(isCS_sRGB): Implemented.

2003-06-24  Michael Koch  <konqueror@gmx.de>

	* java/text/RuleBasedCollator.java
	(getCollationKey): Fixed indexing.

2003-06-24  Michael Koch  <konqueror@gmx.de>

	* java/net/PlainDatagramSocketImpl.java:
	Merged class documentation with libgcj.
	(IP_TTL): Moved.

2003-06-24  Michael Koch  <konqueror@gmx.de>

	* javax/swing/Timer.java
	(listenerList): New member variable.
	(actions): Removed.
	(addActionListener): Use listenerList.
	(removeActionListener): Likewise.
	(getListeners): New method.
	(getActionListeners): New method.
	(fireActionPerformed): Made protected.
	(fireActionPerformed): Reimplemented.

2003-06-23  Torsten Rupp  <rupp@aicas.com>

	* configure.in:
	added includes 'Linux' and 'generic' as extra-include paths.
	This change is temporary and have to be replaced by more
	elaborated code to be able to select the target system for
	which Classpath is compiled. Currently only 'Linux' is
	supported; other targets will be added when available.

2003-06-23  John Leuner  <jewel@debian.org>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c: cosmetic changes
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c: add specifc code for GtkButton to connect to event_window
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c (Java_gnu_java_awt_peer_gtk_GtkMainThread_gtkInit): call gdk_threads_init
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c: added some debugging code
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c (connectHooks): don't use deprecated gtk methods

2003-06-23  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/doc-files: New directory.
	* javax/swing/plaf/doc-files/ComponentUI-1.png: New image.
	* javax/swing/plaf/doc-files/ComponentUI-1.dia: New image (source for
	UML diagram in ComponentUI-1.png).
	
2003-06-23  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/ButtonUI.java: Made abstract; reformatted;
	added JavaDoc.
	* javax/swing/plaf/ColorChooserUI.java: Reformatted; added JavaDoc.
	* javax/swing/plaf/ColorUIResource.java: Re-written.
	* javax/swing/plaf/ComboBoxUI.java: Reformatted; added JavaDoc.
	* javax/swing/plaf/ComponentInputMapUIResource.java: Likewise.
	* javax/swing/plaf/ComponentUI.java: Do not implement UIResource.
	
2003-06-23  Michael Koch  <konqueror@gmx.de>

	* java/awt/Font.java:
	Reordered imports.
	* java/awt/Window.java:
	Fixed documentation.
	(Window): No need to case BorderLayout to LayoutManager.
	* java/awt/datatransfer/StringSelection.java
	(supported_flavors): Added DataFlavor.stringFlavor.
	* java/awt/image/ColorModel.java
	(getTransferType): New method.

2003-06-23  Michael Koch  <konqueror@gmx.de>

	* java/net/PlainSocketImpl.java
	(in): New member variable.
	(out): Likewise.
	(setOption): Renamed arguments to match libgcj.
	(getOption): Likewise.
	(connect): Simplified.
	(connect): Made protected.
	(getInputStream): Return always the same stream.
	(getOutputStream): Likewise.

2003-06-23  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/ActionMapUIResource.java: Reformatted.
	Added JavaDoc.
	
2003-06-23  Michael Koch  <konqueror@gmx.de>

	* java/nio/MappedShortFileBuffer.java:
	Really remove it.

2003-06-23  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/basic/BasicBorders.java
	(FieldBorder, RolloverButtonBorder): New class.
	
	(getTextFieldBorder, getProgressBarBorder, getInternalFrameBorder):
	New method.

	(MarginBorder.getBorderInsets): Amended to also retrieve the margin
	of javax.swing.text.JTextComponent.
	
	* javax/swing/plaf/basic/doc-files/BasicBorders.FieldBorder.png,
	javax/swing/plaf/basic/doc-files/BasicBorders-1.png,
	javax/swing/plaf/basic/doc-files/BasicBorders-2.png,
	New image.

	* javax/swing/text/JTextComponent.java (getMargin): Added stub
	implementation to allow compilation of
	javax.swing.plaf.basic.BasicBorders.FieldBorder.

2003-06-22  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/basic/Makefile.am: Added BasicSplitPaneDivider.java,
	BasicSplitPaneUI.java.

2003-06-22  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/basic/BasicBorders.java (SplitPaneBorder,
	SplitPaneDividerBorder): New inner classes. The ugly appearance
	is intentional, each pixel gets painted in the same color
	as with the JDK.
	
	(getSplitPaneBorder, getSplitPaneDividerBorder): New methods.

2003-06-22  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/basic/BasicSplitPaneUI.java: Stubbed to allow
	compiling other classes.
	* javax/swing/plaf/basic/BasicSplitPaneDivider.java: Likewise.

2003-06-21  Michael Koch  <konqueror@gmx.de>

	* java/net/PlainSocketImpl.java:
	Reformatting, merged class documentation with libgcj,
	Moved all methods to match order of libgcj.

2003-06-21  Michael Koch  <konqueror@gmx.de>

	* java/util/SimpleTimeZone.java:
	New version from libgcj.

2003-06-21  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/FileChannelImpl.java:
	Use new MappedByteBufferImpl instead of MappedByteFileBuffer.
	* java/nio/MappedByteBufferImpl.java:
	New files.
	* java/nio/MappedByteFileBuffer.java,
	java/nio/MappedCharFileBuffer.java,
	java/nio/MappedDoubleFileBuffer.java,
	java/nio/MappedFloatFileBuffer.java,
	java/nio/MappedIntFileBuffer.java,
	java/nio/MappedLongFileBuffer.java,
	java/nio/MappedLongFileBuffer.java:
	Removed.
	* java/nio/Makefile.am:
	(EXTRA_DIST): Added MappedByteBufferImpl.java and removed
	Mapped*FileBuffer.java

2003-06-21  Michael Koch  <konqueror@gmx.de>

	* java/io/ObjectStreamField.java:
	New version from libgcj.

2003-06-21  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/BorderUIResource.java (LineBorderUIResource):
	Note URL of enhancement request filed with Sun.

	* javax/swing/plaf/basic/doc-files/BasicBorders.SplitPaneBorder-1.png,
	javax/swing/plaf/basic/doc-files/BasicBorders.SplitPaneBorder-2.png,
	javax/swing/plaf/basic/doc-files/
	BasicBorders.SplitPaneDividerBorder-1.png: Indicate the pixels
	drawn by SplitPaneDividerBorder on the edges that are not adjacent
	to the JSplitPane contents.

2003-06-20  Sascha Brawer  <brawer@dandelis.ch>

	* AUTHORS (Sascha Brawer): Changed e-mail address.
	* ChangeLog.usermap (brawer): Added myself.

2003-06-20  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/border/LineBorder.java (getLineColor): New method.
	Thanks to Michael Koch for having noticed the omission.
	
	* javax/swing/plaf/basic/doc-files/
	BasicBorders.SplitPaneBorder-1.png: Corrected explanation of width.
	* javax/swing/plaf/basic/doc-files/
	BasicBorders.SplitPaneBorder-2.png: Close black border in upper half.

2003-06-20  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/border/SoftBevelBorder.java (serialVersionUID):
	Use value from JDK 1.4.1_01 on GNU/Linux. The old value was
	determined using Apple/Sun JDK 1.3.1. This value should not have
	changed between JDK releases.  Since it did, Classpath better
	uses the value from the newer JDK.  Thanks to Michael Koch
	<konqueror@gmx.de> for noticing.
	
	* javax/swing/plaf/basic/BasicBorders.java (MenuBarBorder): Re-written.
	(getMenuBarBorder): New method.

	* javax/swing/plaf/basic/doc-files/
	BasicBorders.SplitPaneBorder-1.png,
	BasicBorders.SplitPaneBorder-2.png,
	BasicBorders.SplitPaneDividerBorder-1.png: New image.

2003-06-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/DatagramChannelImpl.java,
	gnu/java/nio/SocketChannelImpl.java:
	New versions from libgcj.

2003-06-20  Michael Koch  <konqueror@gmx.de>

	* java/net/HttpURLConnection.java,
	java/net/Inet4Address.java,
	java/net/Inet6Address.java,
	java/net/ServerSocket.java,
	java/net/SocketImpl.java,
	java/net/URLClassLoader.java:
	New versions from libgcj.

2003-06-19  C. Brian Jones  <cbj@gnu.org>

	* configure.in: uncomment m4_pattern_allow to avoid autoconf warning

2003-06-19  Michael Koch  <konqueror@gmx.de>

	* java/util/SimpleTimeZone.java:
	Dont import unneeded classes, reformatted.
	(getDSTDavings): @since 1.2.

2003-06-19  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JInternalFrame.java
	(serialVersionUID): New member variable.
	(CONTENT_PANE_PROPERTY): Likewise.
	(MENU_BAR_PROPERTY): Likewise.
	(TITLE_PROPERTY): Likewise.
	(LAYERED_PANE_PROPERTY): Likewise.
	(ROOT_PANE_PROPERTY): Likewise.
	(GLASS_PANE_PROPERTY): Likewise.
	(FRAME_ICON_PROPERTY): Likewise.
	(IS_SELECTED_PROPERTY): Likewise.
	(IS_CLOSED_PROPERTY): Likewise.
	(IS_MAXIMUM_PROPERTY): Likewise.
	(IS_ICON_PROPERTY): Likewise.
	* javax/swing/MenuSelectionManager.java
	(changeEvent): New member variable.
	(listenerList): Likewise.
	(fireStateChanged): New method.
	(addChangeListener): Likewise.
	(removeChangeListener): Likewise.
	(getChangeListeners): Likewise.
	* javax/swing/SwingUtilities.java:
	Reformatted.
	(SwingUtilities): Implements SwingConstants.
	(getRootPane): Must be public.
	(updateComponentTreeUI): Likewise.
	* javax/swing/JComponent.java,
	javax/swing/ToggleButtonModel.java:
	Reformatted.
	* javax/swing/SpinnerModel.java:
	New file.
	* javax/swing/Makefile.am
	(EXTRA_DIST): Added SpinnelModel.java.

2003-06-19  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/basic/BasicBorders.java (RadioButtonBorder,
	ToggleButtonBorder): Re-written.
	(getRadioButtonBorder, getToggleButtonBorder): New public method.
	* javax/swing/plaf/basic/doc-files/
	BasicBorders.MenuBarBorder-1.png,
	BasicBorders.RadioButtonBorder-1.png,
	BasicBorders.ToggleButtonBorder-1.png: New image.
	
2003-06-19  Michael Koch  <konqueror@gmx.de>

	* java/net/URL.java
	(equals): Simplified code.

2003-06-19  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/UIManager.java (getLookAndFeelDefaults): Made public.
	* javax/swing/plaf/basic/BasicBorders.java (ButtonBorder): Re-written.
	(getButtonBorder): New public method.
	(getMarginBorder): New private method.
	(sharedMarginBorder): New private field.
	* javax/swing/plaf/basic/doc-files/BasicBorders.ButtonBorder-1.png:
	New image.
	
2003-06-18  Tom Tromey  <tromey@redhat.com>

	* java/net/Inet6Address.java (isAnyLocalAddress): Don't use "=="
	on arrays.
	(isLoopbackAddress): Likewise.
	* java/net/Inet4Address.java (isAnyLocalAddress): Don't use "=="
	on arrays.

2003-06-19  Sascha Brawer  <brawer@dandelis.ch>

	* java/awt/Font.java (getLineMetrics(String, FontRenderContext)):
	Stubbed for avoiding compilation errors in Swing.

2003-06-18  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/basic/BasicGraphicsUtils.java: Re-written
	from scratch.

	* javax/swing/plaf/basic/doc-files/BasicGraphicsUtils-1.png,
	javax/swing/plaf/basic/doc-files/BasicGraphicsUtils-2.png,
	javax/swing/plaf/basic/doc-files/BasicGraphicsUtils-3.png,
	javax/swing/plaf/basic/doc-files/BasicGraphicsUtils-4.png,
	javax/swing/plaf/basic/doc-files/BasicGraphicsUtils-5.png,
	javax/swing/plaf/basic/doc-files/BasicGraphicsUtils-6.png,
	javax/swing/plaf/basic/doc-files/BasicGraphicsUtils-7.png:
	New image.
	
	* javax/swing/plaf/basic/BasicButtonUI.java (paint, paintText):
	Don't use methods that are not part of the official API.

	* javax/swing/plaf/basic/BasicButtonUI.java (getPreferredSize),
	javax/swing/plaf/basic/BasicCheckBoxUI.java (getPreferredSize),
	javax/swing/plaf/basic/BasicRadioButtonUI.java (getPreferredSize),
	javax/swing/plaf/basic/BasicToggleButtonUI.java (getPreferredSize):
	Use BasicGraphicsUtils.getPreferredButtonSize instead of a method
	that is not part of the official API.

	* javax/swing/plaf/basic/BasicLabelUI.java (getPreferredSize):
	Replace call to method that is not part of the official API
	with a dummy value.
	
2003-06-18  Michael Koch  <konqueror@gmx.de>

	* gnu/java/security/x509/X509Certificate.java:
	Explicitely import used classes.

2003-06-18  Michael Koch  <konqueror@gmx.de>

	* java/awt/image/IndexColorModel.java:
	Reformatted.

2003-06-18  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/FileChannelImpl.java,
	gnu/java/nio/SelectorImpl.java,
	gnu/java/nio/ServerSocketChannelImpl.java,
	gnu/java/nio/SocketChannelImpl.java,
	java/nio/DirectByteBufferImpl.java:
	New versions from libgcj.

2003-06-18  Michael Koch  <konqueror@gmx.de>

	* java/net/InetSocketAddress.java,
	java/net/Socket.java:
	New versions from libgcj.

2003-06-18  Michael Koch  <konqueror@gmx.de>

	* java/util/Locale.java,
	java/util/PropertyResourceBundle.java,
	java/util/prefs/AbstractPreferences.java,
	java/util/prefs/Preferences.java,
	java/util/prefs/PreferencesFactory.java,
	java/util/zip/ZipEntry.java,
	java/util/zip/ZipFile.java,
	java/util/zip/ZipInputStream.java,
	java/util/zip/ZipOutputStream.java:
	New versions from libgcj.

2003-06-17  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/basic/BasicBorders.java
	(BasicBorders.MarginBorder): Re-written	from scratch.
	* javax/swing/plaf/basic/doc-files: New directory for Javadoc images.
	* javax/swing/plaf/basic/doc-files/BasicBorders.MarginBorder-1.png:
	New image.

2003-06-17  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/plaf/BorderUIResource.java (BorderUIResource): Check
	argument validity.
	(paintBorder, getBorderInsets, isBorderOpaque): Call wrapped delegate.
	(etchedBorderUIResource, loweredBevelBorderUIResource,
	raisedBevelBorderUIResource, blackLineBorderUIResource): New fields.
	(getEtchedBorderUIResource, getLoweredBevelBorderUIResource,
	getRaisedBevelBorderUIResource, getBlackLineBorderUIResource):
	Create shared borders on demand.
	
	(BorderUIResource.BevelBorderUIResource): Add Javadoc.
	(BorderUIResource.CompundBorderUIResource): Add Javadoc.
	(BorderUIResource.EmptyBorderUIResource): Add Javadoc.
	(BorderUIResource.EtchedBorderUIResource): Add Javadoc.
	(BorderUIResource.LineBorderUIResource): Add Javadoc.
	(BorderUIResource.MatteBorderUIResource): Add Javadoc.
	(BorderUIResource.TitledBorderUIResource): Add Javadoc.

	(BorderUIResource.LineBorderUIResource): Add comment for noting
	that there is no constructor which would take a value for
	the roundedCorners property. Also gives the "review ID"
	of the enhancement request that was filed with Sun.
	
	(BorderUIResource.EmptyBorderUIResource.EmptyBorderUIResource(int,
	int, int, int), BorderUIResource.MatteBorderUIResource
	.MatteBorderUIResource(int, int, int, int, Color), BorderUIResource
	.MatteBorderUIResource.MatteBorderUIResource(int, int, int, int, Icon):
	Call inherited constructor without allocating a new Insets object.

	(BorderUIResource.TitledBorderUIResource.TitledBorderUIResource(
	[all variants])): Accessibility made public.
	
	* javax/swing/border/CompoundBorder.java
	(CompoundBorder(Border, Border)): Fix typos in API documentation.
	
	* javax/swing/plaf/.cvsignore: Add *.class.

2003-06-16  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/border/EmptyBorder.java (getBorderInsets()): New method.

	* javax/swing/border/Border.java: Added API documentation.
	
	* javax/swing/border/MatteBorder.java: Re-written from scratch.
	* javax/swing/border/doc-files/MatteBorder-1.png,
	javax/swing/border/doc-files/MatteBorder-2.png,
	javax/swing/border/doc-files/MatteBorder-3.png,
	javax/swing/border/doc-files/MatteBorder-4.png,
	javax/swing/border/doc-files/MatteBorder-5.png,
	javax/swing/border/doc-files/MatteBorder-6.png: New image.
	
	* javax/swing/border/SoftBevelBorder.java: Initial check-in.
	* javax/swing/border/doc-files/SoftBevelBorder-1.png,
	* javax/swing/border/doc-files/SoftBevelBorder-2.png,
	* javax/swing/border/doc-files/SoftBevelBorder-3.png: New image.

	* javax/swing/border/Makefile.am: Add SoftBevelBorder.java.

2003-06-16  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/border/LineBorder.java: Re-written from scratch.
	* javax/swing/border/doc-files/LineBorder-1.png: New image.

2003-06-13  C. Brian Jones  <cbj@gnu.org>

	* configure.in: last patch missing necessary quotation
	characters, see the autoconf manual for macro writers for
	details.

2003-06-13  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/border/EtchedBorder.java: Re-written from scratch.
	* javax/swing/border/doc-files/EtchedBorder-1/2.png: New images.
	* javax/swing/border/BevelBorder.java (serialVersionUID): Added.
	* javax/swing/border/CompundBorder.java (serialVersionUID): Explain
	how the value was obtained.

2003-06-13  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/MappedByteFileBuffer.java,
	gnu/java/nio/MappedCharFileBuffer.java,
	gnu/java/nio/MappedDoubleFileBuffer.java,
	gnu/java/nio/MappedFloatFileBuffer.java,
	gnu/java/nio/MappedIntFileBuffer.java,
	gnu/java/nio/MappedLongFileBuffer.java,
	gnu/java/nio/MappedShortFileBuffer.java:
	Removed.

2003-06-13  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/border/BevelBorder.java: Re-written from scratch.
	* javax/swing/border/EmptyBorder.java: Re-written from scratch.
	* javax/swing/border/doc-files/: New directory for JavaDoc images.
	* javax/swing/border/doc-files/BevelBorder-1/2/3.png: New images.
	* javax/swing/border/doc-files/EmptyBorder-1.png: New image.
	* javax/swing/border/.cvsignore: Added *.class to ignored files.

2003-06-12  Michael Koch  <konqueror@gmx.de>

	* java/io/FileOutputStream.java
	(FileOutputStream): Fix parens.
	* java/util/zip/InflaterInputStream.java
	(read): Fix parens.

2003-06-12  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/UIManager.java (getFont): Made public in conformance with
	the API spec.

2003-06-12  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/border/AbstractBorder.java (getBorderInsets): Revised Javadoc
	better explains the purpose of the method.
	* javax/swing/border/TitledBorder.java (getBorderInsets): Likewise.

2003-06-11  Anthony Green  <green@redhat.com>

	* java/util/Locale.java (Locale): Intern String fields.
	(equals): Compare String references, not contents.
	(getISO3Language): Ditto.
	(getISO3Country): Ditto.

2003-06-11  Stephen Crawley  <crawley@dstc.edu.au>

	* configure.in: Allow building when glib 2.0 / gtk 2.0 are not
	present.

2003-06-11  Stephen Crawley  <crawley@dstc.edu.au>

	* java/text/DateFormat.java (equals): The JDK behaviour is not to
	include the Calendar object in the equality predicate.
	* java/text/DateFormat.java (hashCode): Ditto.
	* java/text/SimpleDateFormat.java (equals): The JDK behaviour is
	not to include the century start Date in the equality  predicate.
	* java/text/SimpleDateFormat.java (hashCode): New method.

2003-06-11  Tom Tromey  <tromey@redhat.com>

	* java/io/PrintStream.java: Not deprecated.

2003-06-12  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/border/TitledBorder.java: New implementation.

2003-06-11  Michael Koch  <konqueror@gmx.de>

	* java/util/zip/InflaterInputStream.java:
	Reworked formatting and documentation.
	(close): Set in to null.
	(fill): Check if stream is already closed.

2003-06-11  Michael Koch  <konqueror@gmx.de>

	* javax/naming/directory/Attribute.java
	(serialVersionUID): New member variable.

2003-06-11  Michael Koch  <konqueror@gmx.de>

	* java/io/BufferedReader.java
	(mark): Throw exception if readLimit < 0.
	* java/io/FileOutputStream.java
	(FileOutputStream): Set FileDescriptor.WRITE flag when appending to a
	file.

2003-06-11  Michael Koch  <konqueror@gmx.de>

	* java/net/Socket.java:
	New version from libgcj.

2003-06-11  Stephen Crawley  <crawley@dstc.edu.au>

	* java/io/FileOutputStream.java
	(FileOutputStream): Set the WRITE bit when opening a file for append.
	* java/io/InputStreamReader.java
	(close): Null the wrapped stream.
	(ready): Test for closed Reader.
	(read): Likewise.
	(skip): New method.

2003-06-11  Michael Koch  <konqueror@gmx.de>

	* java/nio/ByteBuffer.java,
	java/nio/CharBuffer.java,
	java/nio/DoubleBuffer.java,
	java/nio/FloatBuffer.java,
	java/nio/IntBuffer.java,
	java/nio/LongBuffer.java,
	java/nio/MappedByteBuffer.java,
	java/nio/ShortBuffer.java,
	java/nio/channels/Channels.java,
	java/nio/channels/ServerSocketChannel.java,
	java/nio/channels/spi/AbstractSelector.java:
	New versions from libgcj.

2003-06-11  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/FileChannelImpl.java:
	Imported import java.nio.MappedByteFileBuffer.
	(map_address): made public for now.
	* java/nio/MappedByteBuffer.java,
	java/nio/MappedByteFileBuffer.java,
	java/nio/MappedCharFileBuffer.java,
	java/nio/MappedDoubleFileBuffer.java,
	java/nio/MappedFloatFileBuffer.java,
	java/nio/MappedIntFileBuffer.java,
	java/nio/MappedLongFileBuffer.java,
	java/nio/MappedShortFileBuffer.java:
	Moved from gnu/java/nio.
	* gnu/java/nio/Makefile.am
	(EXTRA_DIST): Removed files.
	* java/nio/Makefile.am
	(EXTRA_DIST): Added new files.

2003-06-11  Michael Koch  <konqueror@gmx.de>

	* java/net/URL.java,
	java/net/URLStreamHandler.java:
	New versions from libgcj.

2003-06-11  Torsten Rupp  <rupp@aicas.com>

	* native/jni/java-io/java_io_File.c:
	replace lstat() -> stat() in isDirectory/isFile to be able to follow symbolic links


2003-06-11  Torsten Rupp  <rupp@aicas.com>

	* native/jni/java-net/javanet.c:
	replace recvfrom() -> recv() in case of stream sockets

2003-06-11  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/border/AbstractBorder.java: Numerous fixes for making
	the implementaton comply with the API specification. Added Javadoc.
	
	(paintBorder): Removed warning because calling this method is perfectly
	feasible for some subclasses, for instance EmptyBorder.

	* javax/swing/border/CompoundBorder.java (serialVersionUID): Added.
	(paintBorder): Docfix.
	
2003-06-10  Tom Tromey  <tromey@redhat.com>

	* javax/swing/JList.java (setListData): Remove gcj workaround.
	* java/security/BasicPermission.java: Remove gcj workaround.
	* java/lang/reflect/Proxy.java (getProperty): Remove gcj
	workaround.
	* java/awt/im/InputSubset.java: Remove gcj workaround.

2003-06-10  Michael Koch  <konqueror@gmx.de>

	* javax/swing/BorderFactory.java:
	Wrapped all method documentations.
	(createEtchedBorder): New method.

2003-06-10  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/image/GdkPixbufDecoder.java:
	Reworked imports to explicitely import classes only.

2003-06-10  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/ServerSocketChannelImpl.java,
	gnu/java/nio/SocketChannelImpl.java:
	Mainly merged with libgcj.

2003-06-10  Michael Koch  <konqueror@gmx.de>

	* gnu/java/rmi/server/UnicastRemoteCall.java:
	New version from libgcj.

2003-06-10  Michael Koch  <konqueror@gmx.de>

	* java/io/PrintStream.java
	(close): Removed "synchronized". This class is not thread-safe.
	(write): Likewise.

2003-06-10  Sascha Brawer  <brawer@dandelis.ch>

	* javax/swing/border/CompoundBorder.java: Re-implemented from scratch;
	see mailing list archive of 2003-06-10 for a list of issues with the
	previous implementation.

2003-06-10  Michael Koch  <konqueror@gmx.de>

	* javax/swing/border/AbstractBorder.java,
	javax/swing/border/Border.java,
	javax/swing/border/CompoundBorder.java:
	Reworked imports and constructors, reformatted files.

2003-06-09  John Leuner  <jewel@debian.org>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	GtkEvents.c, GtkWindowPeer.c: removed SETV macro
	changed gtk_object_get to g_object_get
	
2003-06-08  Tom Tromey  <tromey@redhat.com>

	* java/text/SimpleDateFormat.java (parse(String,ParsePosition)):
	Limit number of characters in numeric field when required.
	* java/text/DecimalFormat.java (parse(String,ParsePosition)):
	Respect maximumIntegerDigits.

2003-06-09  Michael Koch  <konqueror@gmx.de>

	* java/awt/Robot.java
	(screen): New member variable.
	* javax/swing/BorderFactory.java
	(create*Border): Implemented.
	* javax/swing/plaf/BorderUIResource.java
	(*BorderUIResource): Call correct parent constructor.

2003-06-08  Michael Koch  <konqueror@gmx.de>

	* javax/swing/BorderFactory.java:
	Reformatted.
	* javax/swing/JTable.java:
	Import javax.swing.table.JTableHeader.
	* javax/swing/table/JTableHeader.java:
	New file.
	* javax/swing/table/Makefile.am
	(EXTRA_DIST): Added JTableHeader.java.

2003-06-08  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JButton.java
	(serialVersionUID): New member variable.
	* javax/swing/JComboBox.java
	(serialVersionUID): New member variable.
	(isFocusTraversable): Added @deprecated tag.
	* javax/swing/JPasswordField.java
	(getText): Added @deprecated tag.
	* javax/swing/JScrollPane.java:
	Reworked imports and class declaration.
	* javax/swing/JTable.java:
	Reworked imports.
	* javax/swing/JViewport.java:
	Reworked imports.
	* javax/swing/UIDefaults.java
	(UIDefaults): Implements LazyValue.
	(serialVersionUID): New member variable.
	* javax/swing/event/SwingPropertyChangeSupport.java
	(serialVersionUID): New member variable.
	* javax/swing/event/UndoableEditEvent.java
	(serialVersionUID): New member variable.
	* javax/swing/plaf/basic/BasicDefaults.java:
	Reworked imports.

2003-06-08  Michael Koch  <konqueror@gmx.de>

	* javax/swing/colorchooser/AbstractColorChooserPanel.java,
	javax/swing/colorchooser/ColorChooserComponentFactory.java,
	javax/swing/colorchooser/ColorSelectionModel.java,
	javax/swing/colorchooser/DefaultColorSelectionModel.java,
	javax/swing/event/AncestorEvent.java,
	javax/swing/event/HyperlinkEvent.java,
	javax/swing/event/InternalFrameAdapter.java,
	javax/swing/event/InternalFrameEvent.java,
	javax/swing/event/ListDataEvent.java,
	javax/swing/event/MouseInputAdapter.java,
	javax/swing/event/TableModelEvent.java,
	javax/swing/event/TreeWillExpandListener.java,
	javax/swing/filechooser/FileFilter.java,
	javax/swing/filechooser/FileSystemView.java,
	javax/swing/filechooser/FileView.java,
	javax/swing/table/AbstractTableModel.java,
	javax/swing/table/DefaultTableCellRenderer.java,
	javax/swing/table/DefaultTableColumnModel.java,
	javax/swing/table/DefaultTableModel.java,
	javax/swing/table/TableColumn.java,
	javax/swing/text/JTextComponent.java,
	javax/swing/tree/AbstractLayoutCache.java,
	javax/swing/tree/DefaultMutableTreeNode.java,
	javax/swing/tree/DefaultTreeCellEditor.java,
	javax/swing/tree/DefaultTreeCellRenderer.java,
	javax/swing/tree/DefaultTreeModel.java,
	javax/swing/tree/DefaultTreeSelectionModel.java,
	javax/swing/tree/FixedHeightLayoutCache.java,
	javax/swing/tree/TreeCellEditor.java,
	javax/swing/tree/TreeModel.java,
	javax/swing/tree/TreeNode.java,
	javax/swing/tree/TreePath.java,
	javax/swing/tree/TreeSelectionModel.java,
	javax/swing/tree/VariableHeightLayoutCache.java,
	javax/swing/undo/AbstractUndoableEdit.java,
	javax/swing/undo/CompoundEdit.java,
	javax/swing/undo/StateEdit.java,
	javax/swing/undo/UndoManager.java,
	javax/swing/undo/UndoableEditSupport.java:
	Reworked import statements to import classes explicitely only.
	Checked extends and implements statements, some reformattin.

2003-06-08  Michael Koch  <konqueror@gmx.de>

	* javax/swing/AbstractButton.java,
	javax/swing/Box.java,
	javax/swing/DefaultListSelectionModel.java,
	javax/swing/FocusManager.java,
	javax/swing/JCheckBoxMenuItem.java,
	javax/swing/JComboBox.java,
	javax/swing/JDesktopPane.java,
	javax/swing/JLabel.java,
	javax/swing/JLayeredPane.java,
	javax/swing/JList.java,
	javax/swing/JPanel.java,
	javax/swing/JPopupMenu.java,
	javax/swing/JProgressBar.java,
	javax/swing/JRadioButtonMenuItem.java,
	javax/swing/JSeparator.java,
	javax/swing/JTabbedPane.java,
	javax/swing/JToggleButton.java,
	javax/swing/JToolBar.java,
	javax/swing/JToolTip.java,
	javax/swing/Timer.java:
	Fixed extends and implements.

2003-06-08  Michael Koch  <konqueror@gmx.de>

	* javax/swing/AbstractButton.java,
	javax/swing/AbstractCellEditor.java,
	javax/swing/BorderFactory.java,
	javax/swing/Box.java,
	javax/swing/BoxLayout.java,
	javax/swing/ButtonGroup.java,
	javax/swing/DefaultButtonModel.java,
	javax/swing/DefaultListModel.java,
	javax/swing/DefaultListSelectionModel.java,
	javax/swing/FocusManager.java,
	javax/swing/ImageIcon.java,
	javax/swing/InputMap.java,
	javax/swing/JApplet.java,
	javax/swing/JCheckBox.java,
	javax/swing/JColorChooser.java,
	javax/swing/JComboBox.java,
	javax/swing/JComponent.java,
	javax/swing/JDesktopPane.java,
	javax/swing/JDialog.java,
	javax/swing/JEditorPane.java,
	javax/swing/JFileChooser.java,
	javax/swing/JFormattedTextField.java,
	javax/swing/JFrame.java,
	javax/swing/JLabel.java,
	javax/swing/JLayeredPane.java,
	javax/swing/JList.java,
	javax/swing/JMenuBar.java,
	javax/swing/JMenuItem.java,
	javax/swing/JOptionPane.java,
	javax/swing/JPanel.java,
	javax/swing/JRadioButton.java,
	javax/swing/JRootPane.java,
	javax/swing/JScrollBar.java,
	javax/swing/JSlider.java,
	javax/swing/JTabbedPane.java,
	javax/swing/JTextField.java,
	javax/swing/JToggleButton.java,
	javax/swing/JToolTip.java,
	javax/swing/JTree.java,
	javax/swing/JWindow.java,
	javax/swing/KeyStroke.java,
	javax/swing/ListSelectionModel.java,
	javax/swing/LookAndFeel.java,
	javax/swing/RepaintManager.java,
	javax/swing/ScrollPaneLayout.java,
	javax/swing/SizeRequirements.java,
	javax/swing/SwingConstants.java,
	javax/swing/Timer.java,
	javax/swing/UIManager.java:
	Reworked import statements to explicitely import used classes.

2003-06-08  Michael Koch  <konqueror@gmx.de>

	* java/awt/Frame.java
	(setMaximizedBounds): Implemented.
	* java/awt/Graphics.java
	(drawRoundRect): Removed. This was never in the official JDK API.
	(drawChars): Likewise.
	(drawString): Removed commented drawString.
	* java/awt/Menu.java
	(cound): Removed. This was never in the official JDK API.
	* javax/swing/AbstractAction.java:
	Reformatted.
	(actionPerformed): Removed. This was never in the official JDK API.
	* javax/swing/AbstractListModel.java
	(getElementAt): Removed. This was never in the official JDK API.
	(getSize): Likewise.

2003-06-08  Michael Koch  <konqueror@gmx.de>

	* java/io/PrintStream.java:
	Merged copright year from libgcj.
	* java/security/Security.java:
	New version from libgcj.

2003-06-08  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramSocket.java
	(localAddr): Removed.
	(bind): Dont initialize localAddr.
	(getLocalAddress): Get local address from socket implementation.

2003-06-07  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramSocketImpl.java
	(getOption): Removed. This was a workaround for GCJ < 3.3.
	(setOption): Likewise.
	* java/net/MulticastSocket.java
	(MulticastSocket): Call setReuseAddress (true) in all constructors.
	* java/net/SocketImpl.java
	(getOption): Removed. This was a workaround for GCJ < 3.3.
	(setOption): Likewise.
	* java/net/URLConnection.java
	(getContentType): Dont try to guess content type if header
	"content-type" doesnt exist.
	(getHeaderFieldDate): Merged with libgcj.
	(getHeaderFieldKey): Likewise.
	(setDoInput): Likewise.
	(setUseCaches): Likewise.
	(setIfModifiedSince): Likewise.
	(getDefaultUseCaches): Likewise.
	(setDefaultUseCaches): Likewise.
	(addRequestProperty): New method merged from libgcj.
	(getContent): Likewise.

2003-06-07  Michael Koch  <konqueror@gmx.de>

	* javax/swing/border/BevelBorder.java,
	javax/swing/border/EmptyBorder.java,
	javax/swing/border/EtchedBorder.java,
	javax/swing/border/LineBorder.java,
	javax/swing/border/MatteBorder.java,
	javax/swing/border/TitledBorder.java,
	javax/swing/plaf/BorderUIResource.java,
	javax/swing/plaf/basic/BasicDefaults.java,
	javax/swing/plaf/basic/BasicOptionPaneUI.java:
	New versions from libgcj to make it all compile.

2003-06-05  Scott Gilbertson  <scottg@mantatest.com>

	* java/text/SimpleDateFormat.java (SimpleDateFormat): Added
	numberFormat.setParseIntegerOnly(true).

2003-06-05  Tom Tromey  <tromey@redhat.com>

	* java/awt/image/ColorModel.java: Typo fix.

2003-06-05  Jeff Sturm	<jsturm@one-point.com>

	* java/io/ObjectInputStream (enableResolveObject):
	Fixed spelling of permission name.

2003-06-05  Ito Kazumitsu  <ito.kazumitsu@hitachi-cable.co.jp>

	* java/awt/image/ColorModel.java (ColorModel): Compute sRGB.

2003-06-03  Michael Koch  <konqueror@gmx.de>

	* java/awt/ScrollPane.java
	(addImpl): Must be protected.
	(eventTypeEnabled): Likewise.
	* java/awt/Window.java
	(isFocusableWindow): Must be final.
	* java/awt/image/WritableRaster.java
	(setRect): Reordered arguments to match SUNs version
	and fixed our implementation.
	* java/awt/print/PageFormat.java
	(getImageableHeight): Fixed typo in name.
	* java/awt/print/PrinterJob.java
	(setCopies): Fixed argument to match SUNs version.

2003-06-03  Michael Koch  <konqueror@gmx.de>

	* java/awt/Button.java,
	java/awt/Checkbox.java,
	java/awt/CheckboxMenuItem.java,
	java/awt/Choice.java,
	java/awt/Container.java,
	java/awt/Dialog.java,
	java/awt/EventQueue.java,
	java/awt/FileDialog.java,
	java/awt/Frame.java,
	java/awt/Label.java,
	java/awt/List.java,
	java/awt/Menu.java,
	java/awt/MenuItem.java,
	java/awt/Panel.java,
	java/awt/PopupMenu.java,
	java/awt/Rectangle.java,
	java/awt/ScrollPane.java,
	java/awt/Scrollbar.java,
	java/awt/TextArea.java,
	java/awt/TextField.java,
	java/awt/Window.java,
	java/awt/datatransfer/DataFlavor.java,
	java/awt/dnd/DragSource.java,
	java/awt/dnd/DragSourceContext.java,
	java/awt/event/HierarchyEvent.java,
	java/awt/event/MouseWheelEvent.java,
	java/awt/im/InputContext.java,
	java/awt/image/BufferedImage.java,
	java/awt/image/ComponentColorModel.java,
	java/awt/image/Raster.java,
	java/awt/image/WritableRaster.java,
	java/awt/peer/ComponentPeer.java:
	Reworked all imports, only import classes explicitly,
	dont import unused classes.

2003-05-30  Jeroen Frijters <jeroen@sumatra.nl>

	* java/net/DatagramSocket.java
	(DatagramSocket): Initialize laddr if null and use it.

2003-05-27  Michael Koch  <konqueror@gmx.de>

	* java/io/PrintStream.java
	(PrintStream): Renamed autoFlush to auto_flush;
	* java/net/URLConnection.java
	(getHeaderFieldInt): Compile fix.

2003-05-26  Michael Koch  <konqueror@gmx.de>

	* java/io/PrintStream.java
	(PrintStream): Merged with libgcj.
	(write): Likewise.
	* java/lang/reflect/Modifier.java:
	Merged copyrigth with libgcj.
	* java/net/URLConnection.java
	(getHeaderFields): New method merged from libgcj.
	(getHeaderFieldInt): Merged with libgcj.

2003-05-25  Aaron M. Renn (arenn@urbanophile.com)

	* java/net/NetPermission.java
	Update class overview in docs
	* java/net/NetworkInterface.java
	Update documentation
	* java/net/PasswordAuthentication.java
	Reformat
	* java/net/SocketPermission.java
	Minor doc fix
	
2003-05-23  Aaron M. Renn (arenn@urbanophile.com)

	* java/net/ContentHandlerFactory.java
	Reformat, minor doc fixes
	(createContentHandler): Explicitly declare public
	* java/net/DatagramSocketImplFactory.java
	Minor doc fixes
	(createDatagramSocketImpl): Explicitly declare public
	* java/net/FileNameMap.java
	Reformat
	(getContentTypeFor): Explicitly declare public
	* java/net/SocketImplFactory.java
	Reformat, minor doc fixes
	(createSocketImpl): Explicitly declare public
	* java/net/SocketOptions.java
	Minor reformatting
	* java/net/URLStreamHandlerFactory.java
	Reformat, minor doc fixes
	(createURLStreamHandler): Explicitly declare public

2003-05-23  Aaron M. Renn (arenn@urbanophile.com)

	* java/io/PushbackInputStream.java
	Minor doc fixes

2003-05-22  Michael Koch  <konqueror@gmx.de>

	* java/lang/String.java:
	Merged copyright with libgcj, added Per Bother as author, reordered
	imports.
	(compareToIgnoreCase): Renamed s to str to match libgcj.
	(valueof): Merged from libgcj.

2003-05-22  Michael Koch  <konqueror@gmx.de>

	* java/util/zip/Inflater.java:
	Merged copyright from libgcj, reformatted and reordered some methods.

2003-05-22  Michael Koch  <konqueror@gmx.de>

	* java/lang/StringBuffer.java:
	Merged copyright from libgcj.
	* java/lang/System.java
	(mapLibraryName): Fixed documentation.

2003-05-22  Michael Koch  <konqueror@gmx.de>

	* java/awt/Checkbox.java
	(getItemListeners): New method.
	* java/awt/Dialog.java
	(Dialog): Reformatted classs documentation.
	(undecorated): New member variable.
	(isUndecorated): New method.
	(setUndecorated): New method.
	* java/awt/Font.java
	(getPeer): Added @deprecated tag.
	* java/awt/Frame.java
	(maximizedBounds): New member variable.	
	(undecorated): New member variable.
	(getState): New implementation.
	(setState): New method.
	(setExtendedState): New method.
	(getExtendedState): New method.
	(getMaximizedBounds): New method.
	(setMaximizedBounds): New method.
	(isUndecorated): New method.
	(setUndecorated): New method.
	* java/awt/ScrollPaneAdjustable.java
	(valueIsAdvertising): New member variable.
	(getValueIsAdjusting): New method.
	(setValueIsAdjusting): New method.
	* java/awt/Scrollbar.java
	(valueIsAdvertising): New member variable.
	(getValueIsAdjusting): New method.
	(setValueIsAdjusting): New method.
	* java/awt/Window.java
	(focusMgr): Added @since 1.2 tag.
	(state): Likewise.
	(focusableWindowState): New member variable.
	(isFocusableWindow): New method.
	(getFocusableWindowState): New method.
	(setFocusableWindowState): New method.

2003-05-21  Michael Koch  <konqueror@gmx.de>

	* java/util/zip/DeflaterOutputStream.java,
	java/util/zip/GZIPInputStream.java,
	java/util/zip/GZIPOutputStream.java:
	Reformatted.

2003-05-21  Michael Koch  <konqueror@gmx.de>

	* java/text/CollationKey.java:
	Reformatted.
	(originalText): Renamed from str to match libgcj.

2003-05-21  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/SelectionKeyImpl.java:
	Reformatted.

2003-05-21  Michael Koch  <konqueror@gmx.de>

	* java/io/File.java:
	Reformatted.
	* java/io/PrintStream.java:
	Reformatted.
	(error_occurred): Fixed typo in documentation.

2003-05-20  Michael Koch  <konqueror@gmx.de>

	* java/io/FileOutputStream.java:
	New version from libgcj.

2003-05-20  Michael Koch  <konqueror@gmx.de>

	* java/io/DataInputStream.java:
	New version from libgcj.
	* java/io/PrintStream.java
	(error_occured): Inititialize with false.

2003-05-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/FileLockImpl.java
	(fd): New member variable.
	(released): New member variable.
	(FileLockImpl): Added FileDescriptor object as argument.
	(isValid): Implemented.
	(release): Implemented.
	(releaseImpl): New native method.

2003-05-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/ByteBufferImpl.java,
	gnu/java/nio/CharBufferImpl.java,
	gnu/java/nio/DoubleBufferImpl.java,
	gnu/java/nio/FloatBufferImpl.java,
	gnu/java/nio/IntBufferImpl.java,
	gnu/java/nio/LongBufferImpl.java,
	gnu/java/nio/ShortBufferImpl.java:
	Moved to java/nio.
	* gnu/java/nio/SocketChannelImpl.java
	(write): Dont use ByteBufferImpl directly.
	* gnu/java/nio/Makefile.am:
	(EXTRA_DIST): Removed moved files.
	* java/nio/ByteBuffer.java,
	java/nio/CharBuffer.java,
	java/nio/DoubleBuffer.java,
	java/nio/FloatBuffer.java,
	java/nio/IntBuffer.java,
	java/nio/LongBuffer.java,
	java/nio/ShortBuffer.java:
	Dont import anything.
	* java/nio/ByteBufferImpl.java,
	java/nio/CharBufferImpl.java,
	java/nio/DoubleBufferImpl.java,
	java/nio/FloatBufferImpl.java,
	java/nio/IntBufferImpl.java,
	java/nio/LongBufferImpl.java,
	java/nio/ShortBufferImpl.java:
	Moved from gnu/java/nio.
	* java/nio/Makefile.am
	(EXTRA_DIST): Added moved files.

2003-05-19  Michael Koch  <konqueror@gmx.de>

	* java/nio/ByteBuffer.java
	(allocateDirect): Implemented.
	* java/nio/CharViewBufferImpl.java,
	java/nio/DirectByteBufferImpl.java,
	java/nio/DoubleViewBufferImpl.java,
	java/nio/FloatViewBufferImpl.java,
	java/nio/IntViewBufferImpl.java,
	java/nio/LongViewBufferImpl.java,
	java/nio/ShortViewBufferImpl.java:
	New files.
	* java/nio/Makefile.am:
	(EXTRA_DIST): Added new files.

2003-05-19  Michael Koch  <konqueror@gmx.de>

	* java/util/Calendar.java
	(get): Not final anymore since JDK 1.4.
	(set): Likewise.

2003-05-19  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/ByteBufferImpl.java,
	gnu/java/nio/CharBufferImpl.java,
	gnu/java/nio/DoubleBufferImpl.java,
	gnu/java/nio/FloatBufferImpl.java,
	gnu/java/nio/IntBufferImpl.java,
	gnu/java/nio/LongBufferImpl.java,
	gnu/java/nio/ShortBufferImpl.java,
	java/nio/Buffer.java,
	java/nio/ByteBuffer.java,
	java/nio/CharBuffer.java,
	java/nio/DoubleBuffer.java,
	java/nio/FloatBuffer.java,
	java/nio/IntBuffer.java,
	java/nio/LongBuffer.java,
	java/nio/ShortBuffer.java:
	Big (partly-)merge from libgcj, only little changes are needed because gcj
	handles package-private as public. 

2003-05-18  Michael Koch  <konqueror@gmx.de>

	* java/nio/ByteBuffer.java
	(ByteBuffer): Moved.
	* java/nio/CharBuffer.java
	(CharBuffer): Moved.
	* java/nio/DoubleBuffer.java
	(DoubleBuffer): Moved.
	(allocateDirect): Removed.
	(wrap): Removed.
	* java/nio/FloatBuffer.java
	(FloatBuffer): Moved, removed initialization of array_offset.
	(allocateDirect): Removed.
	(wrap): Removed.
	* java/nio/IntBuffer.java
	(IntBuffer): Moved, removed initialization of array_offset.
	(allocateDirect): Removed.
	(wrap): Removed.
	* java/nio/LongBuffer.java
	(LongBuffer): Moved, removed initialization of array_offset.
	(allocateDirect): Removed.
	(wrap): Removed.
	* java/nio/ShortBuffer.java
	(ShortBuffer): Moved, removed initialization of array_offset.
	(allocateDirect): Removed.
	(wrap): Removed.

2003-05-18  Michael Koch  <konqueror@gmx.de>

	* java/nio/ShortBuffer.java
	(get): Merged from libgcj.
	(put): Likewise.
	(compact): Likewise.
	(isDirect): Likewise.
	(slice): Likewise.
	(duplicate): Likewise.
	(asReadOnlyBuffer): Likewise.

2003-05-18  Michael Koch  <konqueror@gmx.de>

	* java/nio/ByteBuffer.java: Merged documentation all over from libgcj,
	reformatted code, no functional changes.
	* java/nio/CharBuffer.java: Likewise.
	* java/nio/DoubleBuffer.java: Likewise.
	* java/nio/FloatBuffer.java: Likewise.
	* java/nio/IntBuffer.java: Likewise.
	* java/nio/LongBuffer.java: Likewise.
	* java/nio/ShortBuffer.java: Likewise.

2003-05-18  Michael Koch  <konqueror@gmx.de>

	* java/net/NetworkInterface.java:
	New version from libgcj.

2003-05-18  Michael Koch  <konqueror@gmx.de>

	* java/io/DataOutputStream.java:
	New version from libgcj.
	* java/io/PrintWriter.java:
	Reformatted and moved class documentation.
	* java/io/RandomAccessFile.java
	(read): call in directly.

2003-05-18  Michael Koch  <konqueror@gmx.de>

	* java/security/Key.java
	(Key): Fixed declaration of serialVersionUID.
	* java/security/PrivateKey.java
	(PrivateKey): Likewise.
	* java/security/Provider.java
	(Provider): Likewise.
	* java/security/PublicKey.java
	(PublicKey): Likewise.

2003-05-18  Michael Koch  <konqueror@gmx.de>

	* java/nio/channels/FileLock.java:
	New version from libgcj.
	* java/nio/charset/Charset.java:
	Likewise.

2003-05-15  Michael Koch  <konqueror@gmx.de>

	* java/text/CollationElementIterator.java:
	Reformated:
	(CollationElementIterator): Class documentation merged from libgcj.
	(collator): Renamed from rbc.
	(text): Renamed from str.
	(index): Renamed from pos.
	(CollationElementIterator): Moved.
	* java/text/CollationKey.java:
	Merged copytight with libgcj.
	* java/text/RuleBasedCollator.java:
	Reformatted, fixed some documentation to use html entities.

2003-05-15  Michael Koch  <konqueror@gmx.de>

	* java/io/RandomAccessFile.java
	(out): New member variable.
	(in): Likewise.
	(buf): Removed.
	(RandomAccessFile): Handle mode "rwd".
	(read): Use in stream.
	(readBoolean): Likewise.
	(readByte): Likewise.
	(readDouble): Likewise.
	(readFloat): Likewise.
	(readUnsignedByte): Likewise.
	(write): Likewise.
	(writeBoolean): Likewise.
	(writeByte): Likewise.
	(writeFloat): Likewise.
	(writeDouble): Likewise.
	(writeBytes): Likewise.
	(writeChars): Likewise.
	(writeUTF): Likewise.
	(readChar): Use in stream, no need for being synchronized now.
	(readFully): Likewise.
	(readInt): Likewise.
	(readLine): Likewise.
	(readLong): Likewise.
	(readShort): Likewise.
	(readUnsignedShort): Likewise.
	(readUTF): Likewise.
	(writeShort): Likewise.
	(writeChar): Likewise.
	(writeInt): Likewise.
	(writeLong): Likewise.
	* java/io/FileDescriptor.java
	(DSYNC): New constant.
	* native/jni/java-io/FileDescriptor.c
	(DSYNC): New constant.
	(open): Handle new DSYNC constant.

2003-05-10  Michael Koch  <konqueror@gmx.de>

	* java/io/RandomAccessFile.java
	(RandomAccessFile): Reformatted.
	(setLength): Likewise.
	(length): Likewise.

2003-05-10  Michael Koch  <konqueror@gmx.de>

	* java/io/File.java
	(createTempFile): Only throws IOException.
	(compareTo): Renamed argument to match libgcj, doesnt throws
	ClassCastException.
	(deleteOnExit): Added @since tag.

2003-05-10  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/FileChannelImpl.java:
	New version from libgcj. Normal file operations should now work with
	FileChannels.

2003-05-10  Michael Koch  <konqueror@gmx.de>

	* java/security/Identity.java
	(serialVersionUID): Made it private.
	* java/security/IdentityScope.java
	(serialVersionUID): Made it private.
	* java/security/KeyPair.java
	(serialVersionUID): Made it private.
	* java/security/SecureRandom.java
	(serialVersionUID): Made it private.
	* java/security/SecureRandomSpi.java
	(serialVersionUID): Made it private.
	* java/security/SignedObject.java
	(serialVersionUID): Made it private.
	* java/security/Signer.java
	(serialVersionUID): Made it private.

2003-05-10  Michael Koch  <konqueror@gmx.de>

	* java/text/BreakIterator.java
	(clone): New method merged from libgcj.

2003-05-09  Michael Koch  <konqueror@gmx.de>

	* java/io/BufferedOutputStream.java
	(close): New method merged from libgcj.
	(finalize): Likewise.
	* java/io/DataInputStream.java
	(readChar): Reformatted.
	(readInt): Likewise.
	(readLine): Merged documentation from libgcj.
	(readUnsignedByte): Likewise.
	(readUnsignedShort): Likewise.
	(skip): Likewise.
	* java/io/InputStreamReader.java
	(read): Merged documentation from libgcj, reformatted.
	* java/io/OutputStreamWriter.java
	(OutputStreamWriter): Merged class documentation with libgcj.
	(OutputStreamWriter): Reformatted.
	(close): Likewise.
	(getEncoding): Likewise.
	(flush): Likewise.
	(write): Merged with libgcj.

2003-05-09  Michael Koch  <konqueror@gmx.de>

	* java/net/InetAddress.java
	(InetAddress): Merged documentation with libgcj.
	* java/net/JarURLConnection.java
	(getMainAttributes): Merged documentation with libgcj.
	(getAttributes): Likewise.
	(getManifest): Likewise.

2003-05-06  Matt Kraai  <kraai@alumni.cmu.edu>

	* java/security/Key.java: Fix misspelling of "version".
	* java/security/PrivateKey.java: Likewise.
	* java/security/Provider.java: Likewise.
	* java/security/PublicKey.java: Likewise.

2003-05-06  Michael Koch  <konqueror@gmx.de>

	* java/io/File.java
	(checkWrite): New method (from libgcj).
	(checkRead): Likewise.
	(writeObject): Likewise.
	(readObject): Likewise.
	(canRead): Replaced SecurityManager code with checkRead() call.
	(exists): Likewise.
	(isDirectory): Likewise.
	(isFile): Likewise.
	(lastModified): Likewise.
	(length): Likewise.
	(canWrite): Replaced SecurityManager code with checkWrite() call.
	(mkdir): Likewise.
	(renameTo): Likewise.

2003-05-06  Michael Koch  <konqueror@gmx.de>

	* java/io/DataOutputStream.java
	(write): Renamed argument to "value", merged documentation with
	libgcj.
	(writeBoolean): Likewise.
	(writeByte): Likewise.
	(writeShort): Likewise.
	(writeChar): Likewise.
	(writeInt): Likewise.
	(writeLong): Likewise.
	(writeFloat): Likewise.
	(writeDouble): Likewise.
	(writeBytes): Likewise.
	(writeChars):Likewise.
	(writeUTF): Likewise.
	* java/io/File.java:
	Reordered methods to match libgcj, some documentation merged from
	libgcj and reformatting of some code.
	* java/io/FileOutputStream.java
	(FileOutputStream): Merged from libgcj.
	* java/io/InputStreamReader.java:
	Merged copyright from libgcj.
	(InputStreamReader): Merged from libgcj.
	* java/io/RandomAccessFile.java
	(RandomAccessFile): Merged from libgcj.

2003-05-05  Michael Koch  <konqueror@gmx.de>

	* java/io/DataInputStream.java:
	Reordered all methods to match libgcj.

2003-05-03  John Leuner  <jewel@debian.org>

	* native/jni/java-net/java_net_PlainDatagramSocketImpl.c (Java_java_net_PlainDatagramSocketImpl_receive): 
	added check for null packet argument

2003-05-02  Michael Koch  <konqueror@gmx.de>

	* java/net/URI.java
	(create): Doesnt throws IllegalArgumentException.
	* java/net/URLConnection
	(URLConnection): Merged documentation with libgcj.
	(getExpiration): Merged implementation with libgcj.
	(getDate): Likewise.
	(getLastModified): Likewise.
	(getHeaderField): Likewise.
	(getHeaderFieldKey): Likewise.
	(setDoInput): Likewise.
	(getHeaderFieldInt): Merged documentation with libgcj.
	(getPermission): Likewise.
	(setAllowUserInteraction): Likewise.
	(setUseCaches): Likewise.
	(setIfModifiedSince): Likewise.
	(getDefaultUseCaches): Likewise.
	(setRequestProperty): Likewise.
	(getRequestProperty): Likewise.
	(getRequestProperties): Likewise.
	(setDefaultRequestProperty): Likewise.
	(getDefaultRequestProperty): Likewise.
	(guessContentTypeFromName): Likewise.
	(setDoOutput): Merged implementation and documentation with libgcj.
	(setContentHandlerFactory): Likewise.
	(getFileNameMap): Likewise.
	(setFileNameMap): Likewise.
	(setDefaultAllowUserInteraction): No need to make this sychronized.

2003-05-02  Michael Koch  <konqueror@gmx.de>

	* java/net/URLConnection.java:
	More merging with libgcj.

2003-05-02  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramSocket.java,
	java/net/JarURLConnection,
	java/net/URLConnection:
	Partly merged with libgcj.

2003-05-02  Michael Koch  <konqueror@gmx.de>

	* java/text/CollationKey.java:
	Reformated and reorderd to match libgcj more.

2003-05-02  Michael Koch  <konqueror@gmx.de>

	* java/net/InetAddress.java:
	Merged class documentation with libgcj.
	* java/net/URL.java:
	Reformatted and reordered to match libgcj.

2003-05-02  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramSocket.java
	(DatagramSocket): Reformatted.
	* java/net/ServerSocket.java
	(ServerSocket): Reformatted.
	* java/net/Socket.java
	(Socket): Reformatted.
	* java/net/URLConnection.java:
	Some documentation merged with libgcj.
	(doInput): Set default value to true.
	(ifModifiedSince): Set default value to 0L.

2003-05-01  C. Brian Jones  <cbj@gnu.org>

	Fixes [ Bug #3415 ] System.setIn/setOut/setErr do not work
	* native/jni/java-lang/java_lang_VMSystem.c
	(Java_java_lang_VMSystem_setIn): set static field in java/lang/System
	and perform appropriate JNI exception checks
	(Java_java_lang_VMSystem_setOut): ditto
	(Java_java_lang_VMSystem_setErr): ditto

2003-05-01  C. Brian Jones  <cbj@gnu.org>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c
	(GDK_STABLE_IS_PIXMAP): converted macro to use GDK_IS_PIXMAP
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c
	(TEXT_FROM_SW): convert macro to use GTK_TEXT_VIEW
	(Java_gnu_java_awt_peer_gtk_GtkTextAreaPeer_create): convert
	gtk_text_new to gtk_text_view_new
	(Java_gnu_java_awt_peer_gtk_GtkTextAreaPeer_old_create): removed
	(Java_gnu_java_awt_peer_gtk_GtkTextAreaPeer_gtkTextGetSize): converted
	to use just gtk_widget_size_request, though this may be in error it
	at least isn't as bad as the previous implementation
	(Java_gnu_java_awt_peer_gtk_GtkTextAreaPeer_insert): convert to new
	GTK2 GtkTextBuffer/GtkTextIter usage
	(Java_gnu_java_awt_peer_gtk_GtkTextAreaPeer_replaceRange): ditto
	(Java_gnu_java_awt_peer_gtk_GtkTextAreaPeer_gtkSetFont): convert
	to Pango, new to GTK2
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextComponentPeer.c
	(getCaretPosition): GtkTextView and GtkEntry handled separately 
	since in GTK2 they do not share common ancestory.
	(setCaretPosition): ditto
	(getSelectionStart): ditto
	(getSelectionEnd): ditto
	(select): ditto
	(setEditable): ditto
	(getText): ditto
	(setText): ditto
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
	(Java_gnu_java_awt_peer_gtk_GtkButtonPeer_create): use gtk_button_new
	(Java_gnu_java_awt_peer_gtk_GtkButtonPeer_gtkSetFont): use Pango
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c
	(Java_gnu_java_awt_peer_gtk_GtkListPeer_getSize): converted to use
	just gtk_widget_size_request, though this may be in error it at least
	isn't as bad as the previous implementation
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextField.c
	(Java_gnu_java_awt_peer_gtk_GtkTextFieldPeer_gtkEntryGetSize): ditto
	(Java_gnu_java_awt_peer_gtk_GtkTextFieldPeer_gtkSetFont): use Pango
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
	(gdk_window_get_root_geometry): GdkWindowPrivate changed to GdkWindow;
	attempting to use gdk_window_get_geometry instead of direct Xlib calls
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(GTK_OBJECT_SETV): unsure about use of the private API to set data
	generically for different types, but updated to compile with GTK2
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollBarPeer.c
	(Java_gnu_java_awt_peer_gtk_GtkScrollbarPeer_connectHooks): give
	connect_awt_hook the only structure member, range, in GTK2 instead;
	changed to connect to signal on the scroll bar instead of the 
	adjustment since that is the one with GtkScrollType in GTK2
	(post_adjustment_event): modified to fit GtkScrollBar move_slider
	signal signature
	* configure.in: require gtk 2.0+, glib 2.0+
	* HACKING: mention change in GTK requirements
	* INSTALL: mention change in GTK requirements
	* THANKYOU: add David P. Grove, fix order

2003-05-01  David P. Grove  <groved@us.ibm.com>

	This patch fixes a regression for the past month that made it 
	difficult to read files larger than 2^16 bytes.
	* native/jni/java-io/FileDescriptor.c
	(CONVERT_JLONG_TO_INT): modified macro to fix large file problem
	(CONVERT_JINT_TO_INT): ditto
	(CONVERT_SSIZE_T_TO_INT): new macro
	(Java_java_io_FileDescriptor_nativeReadBuf): use 
	CONVERT_SSIZE_T_TO_INT macro
	(Java_java_io_FileDescriptor_nativeAvailable): ditto

2003-05-01  C. Brian Jones  <cbj@gnu.org>

	* native/jni/java-lang/java_lang_VMSystem.c:
	(Java_java_lang_VMSystem_setIn0): renamed 
	Java_java_lang_VMSystem_setIn to match Java class and native headers
	(Java_java_lang_VMSystem_setOut0): renamed 
	Java_java_lang_VMSystem_setOut to match Java class and native headers
	(Java_java_lang_VMSystem_setErr0): renamed 
	Java_java_lang_VMSystem_setErr to match Java class and native headers

2003-04-30  Torsten Rupp  <rupp@homer.aicas.com>

	* /cvsroot/classpath/classpath/java/net/Socket.java:
	Added try-catch-blocks to

	* Socket.java: socket()
	* ServerSocket.java: socket()
	* DatagramSocket.java: socket()

	with clean-up of file-descriptors in case bind(), connect() or listen()
	fail. This fix will avoid loss of file-descriptors in the case create()
	is executed successfully, but bind/connect/listen fail with an exception.
	Then close() was not called and the file-descriptor allcoated by create()
	was not returned to the OS.

2003-04-30  Michael Koch  <konqueror@gmx.de>

	* java/security/cert/Certificate.java
	(Certificate): Implements java.io.Serializable.
	(serialVersionUID): Must be private.
	* java/security/cert/PKIXCertPathBuilderResult.java
	(PKIXCertPathBuilderResult): Implements CertPathBuilderResult.
	* java/security/cert/X509Certificate.java
	(serialVersionUID): New member variable.

2003-04-30  Michael Koch  <konqueror@gmx.de>

	* java/text/CollationElementIterator.java,
	java/text/CollationKey.java,
	java/text/RuleBasedCollator.java:
	Reformatted.

2003-04-30  Michael Koch  <konqueror@gmx.de>

	* java/util/regex/Matcher.java
	(pattern): New member variable.
	(appendReplacement): New method.
	(appendTail): New method.
	(end): New method.
	(find): New method.
	(group): New method.
	(replaceFirst): Added documentation.
	(replaceAll): Added documentation.
	(groupCount): New method.
	(lookingAt): New method.
	(matches): New method.
	(reset): New method.
	(start): New method.
	* java/util/regex/Pattern.java
	(serialVersionUID): New constant.
	(CANON_EQ): New constant.
	(CASE_INSENSITIVE): New constant.
	(COMMENTS): New constant.
	(DOTALL): New constant.
	(MULTILINE): New constant.
	(UNICODE_CASE): New constant.
	(UNIX_LINES): New constant.
	(regex): New member variable.
	(flags): New member variable.
	(Pattern): New method.
	(compile): Documentation added.
	(flags): New method.
	(matches): Documentation added.
	(matcher): Documentation added.
	(split): Documentation added.
	(pattern): New method.

2003-04-30  Michael Koch  <konqueror@gmx.de>

	* gnu/java/security/der/DEREncodingException.java:
	Explicitly import java.io.IOException.
	* gnu/java/security/x509/X509Certificate.java:
	Explicitly import java.io.Serializable.

2003-04-30  Michael Koch  <konqueror@gmx.de>

	* java/security/SecureClassLoader.java,
	java/security/SecureRandom.java,
	java/security/Security.java,
	java/security/cert/CertificateFactory.java,
	java/security/cert/CertificateFactorySpi.java:
	Fixed typos in documention.

2003-04-29  Casey Marshall  <rsdio@metastatic.org>

	* java/security/cert/CertPathValidator.java:
	(getIntstance) renamed to proper name.
	(getInstance) renamed from getIntstance.
	* java/security/cert/X509CRL.java:
	(getIssuerX500Principal) new method (1.4 compatibility).

2003-04-29  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTable.java
	(AUTO_RESIZE_ALL_COLUMNS): New constant.
	(AUTO_RESIZE_LAST_COLUMN): New constant.
	(AUTO_RESIZE_NEXT_COLUMN): New constant.
	(AUTO_RESIZE_OFF): New constant.
	(AUTO_RESIZE_SUBSEQUENT_COLUMNS): New constant.
	(JTable): New method.
	(columnAdded): New method.
	(columnMarginChanged): New method.
	(columnMoved): New method.
	(columnRemoved): New method.
	(columnSelectionChanged): New method.
	(editingCanceled): New method.
	(editingStopped): New method.
	(getColumnModel): New method.
	(getPreferredScrollableViewportSize): New method.
	(getScrollableBlockIncrement): New method.
	(getScrollableTracksViewportHeight): New method.
	(getScrollableTracksViewportWidth): New method.
	(getScrollableUnitIncrement): New method.
	(getSelectedRow): New method.
	(getSelectionModel): New method.
	(tableChanged): New method.
	(setModel): New method.
	(setSelectionMode): New method.
	(setSelectionModel): New method.
	(setShowGrid): New method.
	(valueChanged): New method.
	* javax/swing/text/DefaultEditorKit.java
	(backwardAction): New constant.
	(beepAction): New constant.
	(beginAction): New constant.
	(beginLineAction): New constant.
	(beginParagraphAction): New constant.
	(beginWordAction): New constant.
	(copyAction): New constant.
	(cutAction): New constant.
	(defaultKeyTypedAction): New constant.
	(deleteNextCharAction): New constant.
	(deletePrevCharAction): New constant.
	(downAction): New constant.
	(endAction): New constant.
	(endLineAction): New constant.
	(endOfLineStringProperty): New constant.
	(endParagraphAction): New constant.
	(endWordAction): New constant.
	(forwardAction): New constant.
	(insertBreakAction): New constant.
	(insertContentAction): New constant.
	(insertTabAction): New constant.
	(nextWordAction): New constant.
	(pageDownAction): New constant.
	(pageUpAction): New constant.
	(pasteAction): New constant.
	(previousWordAction): New constant.
	(readOnlyAction): New constant.
	(selectAllAction): New constant.
	(selectionBackwardAction): New constant.
	(selectionBeginAction): New constant.
	(selectionBeginLineAction): New constant.
	(selectionBeginParagraphAction): New constant.
	(selectionBeginWordAction): New constant.
	(selectionDownAction): New constant.
	(selectionEndAction): New constant.
	(selectionEndLineAction): New constant.
	(selectionEndParagraphAction): New constant.
	(selectionEndWordAction): New constant.
	(selectionForwardAction): New constant.
	(selectionNextWordAction): New constant.
	(selectionPreviousWordAction): New constant.
	(selectionUpAction): New constant.
	(selectLineAction): New constant.
	(selectParagraphAction): New constant.
	(selectWordAction): New constant.
	(upAction): New constant.
	(writableAction): New constant.

2003-04-29  Michael Koch  <konqueror@gmx.de>

	* gnu/java/security/x509/.cvsignore,
	javax/print/.cvsignore,
	javax/print/attribute/.cvsignore,
	javax/security/.cvsignore,
	javax/security/auth/.cvsignore,
	javax/security/auth/x500/.cvsignore:
	New files to ignore Makefile and Makefile.in

2003-04-29  Michael Koch  <konqueror@gmx.de>

	* javax/print/attribute/Attribute.java,
	* javax/print/attribute/AttributeSet.java,
	* javax/print/attribute/PrintRequestAttributeSet.java:
	New files merged from libgcj.
	* javax/print/attribute/package.html: New files
	* javax/print/Makefile.am,
	javax/print/attribute/Makefile.am: New files.
	* configure.in
	(AC_OUTPUT): Added javax/print/Makefile and
	javax/print/attribute/Makefile.

2003-04-29  Michael Koch  <konqueror@gmx.de>

	* javax/swing/AbstractListModel.java:
	Reformatted.
	(getListDataListeners): New method.
	* javax/swing/DefaultBoundedRangeModel.java:
	Reformatted.
	(getChangeListeners): New method.
	* javax/swing/DefaultSingleSelectionModel.java:
	Reformatted.
	(getChangeListeners): New method.
	
2003-04-29  Michael Koch  <konqueror@gmx.de>

	* java/awt/Window.java
	(show): Call super.show() instead of setVisible() to avoid endless
	loop.
	(hide): Call super.hide() instead of setVisible() to avoid endless
	loop.

2003-04-27  C. Brian Jones  <cbj@gnu.org>

	* doc/www.gnu.org/home.wml: fixed typo

2003-04-27  Casey Marshall  <rsdio@metastatic.org>

	* java/io/FileDescriptor.java (in, out, err): set to non-null
	* native/jni/java-io/FileDescriptor.c 
	(Java_java_io_FileDescriptor_nativeInit): set the static fields
	appropriately and use ExceptionOccurred instead of ExceptionCheck.

2003-04-27  C. Brian Jones  <cbj@gnu.org>

	* doc/www.gnu.org/home.wml: updated Jikes RVM information

2003-04-25  Stephen Crawley  <crawley@dstc.edu.au>

	* java/io/FileDescriptor.java : do dummy initialisation of
	the in/out/err statics before calling nativeInit, not after
	* native/jni/java-io/FileDescriptor.c (nativeInit) : correct
	the method signature for the FileDescriptor constructor used
	 to create the in/out/err FileDescriptor objects

2003-04-23  Casey Marshall  <rsdio@metastatic.org>

	Removed files:
	* java/security/Engine.java: moved to gnu/java/security/Engine.java.
	* gnu/java/security/provider/DERReader.java: obsoleted by
	gnu/java/security/der/DERReader.java.
	* gnu/java/security/provider/DERWriter.java: obsoleted by
	gnu/java/security/der/DERWriter.java.

	Added files:
	* gnu/java/io/Base64InputStream.java: input stream for decoding
	Base-64.
	* gnu/java/io/ASN1ParsingException.java: used to signal
	high-level errors in DER encoded data.
	* gnu/java/security/OID.java: object identifier class.
	* gnu/java/security/der/BitString.java: ASN.1 BIT STRING type.
	* gnu/java/security/der/DER.java: DER constants.
	* gnu/java/security/der/DERReader.java: DER parser.
	* gnu/java/security/der/DERValue.java: A single value read or
	written to a DER stream.
	* gnu/java/security/der/DERWriter.java: DER encoder.
	* gnu/java/security/Engine.java: from java/security/Engine.java.
	(Changes from java/security/Engine.java follow)
	- Class and getInstance method made public.
	- getInstance now throws java.lang.reflect.InvocationTargetException.
	- Added additional getInstance method that takes an array of
	parameters to be passed to the constructor.
	* gnu/java/security/provider/DSAKeyFactory.java: translator for
	DSA keys.
	* gnu/java/security/provider/X509CertificateFactory.java: X.509
	certificate factory class.
	* gnu/java/security/x509/X500DistinguishedName.java: ASN.1 Name
	construct implementation.
	* gnu/java/security/x509/X509Certificate.java: X.509
	certificate class.
	* gnu/java/security/x509/X509CRL.java: X.509 certificate
	revocation list.
	* gnu/java/security/x509/X509CRLEntry.java: X.509 certificate
	revocation list entry.
	* java/security/cert/CRLSelector.java: JDK 1.4 support.
	* java/security/cert/CertPathBuilder.java: JDK 1.4 support.
	* java/security/cert/CertPathBuilderResult.java: JDK 1.4 support.
	* java/security/cert/CertPathBuilderSpi.java: JDK 1.4 support.
	* java/security/cert/CertPathParameters.java: JDK 1.4 support.
	* java/security/cert/CertPathValidator.java: JDK 1.4 support.
	* java/security/cert/CertPathValidatorResult.java: JDK 1.4 support.
	* java/security/cert/CertPathValidatorSpi.java: JDK 1.4 support.
	* java/security/cert/CertSelector.java: JDK 1.4 support.
	* java/security/cert/CertStore.java: JDK 1.4 support.
	* java/security/cert/CertStoreParameters.java: JDK 1.4 support.
	* java/security/cert/CertStoreSpi.java: JDK 1.4 support.
	* java/security/cert/CollectionCertStoreParameters.java: JDK 1.4
	support.
	* java/security/cert/LDAPCertStoreParameters.java: JDK 1.4 support.
	* java/security/cert/PKIXBuilderParameters.java: JDK 1.4 support.
	* java/security/cert/PKIXCertPathBuilderResult.java: JDK 1.4 support.
	* java/security/cert/PKIXCertPathChecker.java: JDK 1.4 support.
	* java/security/cert/PKIXCertPathValidatorResult.java: JDK 1.4 support.
	* java/security/cert/PKIXParameters.java: JDK 1.4 support.
	* java/security/cert/PolicyNode.java: JDK 1.4 support.
	* java/security/cert/PolicyQualifierInfo.java: JDK 1.4 support.
	* java/security/cert/TrustAnchor.java: JDK 1.4 support.
	* javax/security/auth/x500/X500Principal.java: JDK 1.4 support.

	Modified files:
	* gnu/java/security/der/DEREncodingException.java: extend
	java.io.IOException instead of Exception.
	* gnu/java/security/provider/DSAParameters.java: use new DER
	parser.
	(engineInit(AlgorithmParameterSpec)) variable assignment
	bugfix.
	* gnu/java/security/provider/DSASignature.java:
	(engineVerify()) use new DER parser.
	* gnu/java/security/provider/DSAPrivateKey.java: added
	toString() method.
	* gnu/java/security/provider/DSAPrivateKey.java:
	(<init>) variable assignment bug fix.
	Added toString() method.
	* gnu/java/security/provider/Gnu.java: added new key factory and
	certificate factory entries.
	* java/security/AlgorithmParameterGenerator.java:
	(getInstance) accomodate changes to Engine class.
	* java/security/AlgorithmParameters.java:
	(getInstance) accomodate changes to Engine class.
	* java/security/KeyFactory.java:
	(getInstance) accomodate changes to Engine class.
	* java/security/KeyPairGenerator.java:
	(getInstance) accomodate changes to Engine class.
	* java/security/KeyStore.java:
	(getInstance) accomodate changes to Engine class.
	* java/security/MessageDigest.java:
	(getInstance) accomodate changes to Engine class.
	* java/security/SecureRandom.java:
	(getInstance) accomodate changes to Engine class.
	* java/security/Signature.java:
	(getInstance) accomodate changes to Engine class.
	* java/security/cert/Certificate.java: Added writeReplace() method. 
	* java/security/cert/CertificateFactory.java: (JDK 1.4 compatibility)
	(getInstance(String)) and modified to use generic getInstance
	method.
	(getInstance(String, String)) likewise.
	getInstance(String, Provider) method added.
	getInstance(String, String, Provider) method removed.
	generateCertPath(InputStream) method added.
	generateCertPath(InputStream, String) method added.
	generateCertPath(List) method added.
	getCertPathEncodings() method added.
	* java/security/cert/CertificateFactorySpi.java: (1.4 compatibility)
	engineGenerateCertPath(InputStream) method added.
	engineGenerateCertPath(InputStream, String) method added.
	engineGenerateCertPath(List) method added.
	engineGetCertPathEncodings() method added.

2003-04-23  Torsten Rupp  <rupp@homer.aicas.com>

	* /cvsroot/classpath/classpath/java/net/InetAddress.java:
	Fixed parsing of IP numbers in getByName if sub-numbers are >127

2003-04-21  Tom Tromey  <tromey@redhat.com>

	* include/java_io_FileDescriptor.h: Rebuilt.
	* java/io/FileInputStream.java (FileInputStream): Updated for
	changes to FileDescriptor.
	(FileInputStream(FileDescriptor)): Don't throw SecurityException
	if fd is invalid.
	* java/io/FileOutputStream.java (FileOutputStream): Updated for
	changes to FileDescriptor.  Don't throw SecurityException if fd
	is invalid.
	* java/io/RandomAccessFile.java (RandomAccessFile): Updated for
	changes to FileDescriptor.
	(readOnly): Removed; updated all users.
	* java/io/FileDescriptor.java (SET, CUR, END): Now constants.
	(READ, WRITE, APPEND, EXCL, SYNC): New constants.
	(in, out, err): Require nativeInit to initialize.
	(FileDescriptor(String,int)): New constructor.
	(open): Changed argument type of `mode'.  Allow empty paths.
	Only throw runtime errors or FileNotFoundException.
	(nativeValid): Don't throw IOException.
	(valid): Simplified.
	(nativeOpen): Throw FileNotFoundException.  Changed type of
	`mode' argument.
	* native/jni/java-io/FileDescriptor.c
	(Java_java_io_FileDescriptor_nativeValid): Updated comment.
	(SET, CUR, END, READ, WRITE, APPEND, EXCL, SYNC): New defines.
	(Java_java_io_FileDescriptor_nativeOpen): Changed type of mode
	argument.
	(true): Don't define; use JNI_TRUE.
	(false): Don't define; use JNI_FALSE.
	(INIT_FIELD): New define.
	(Java_java_io_FileDescriptor_nativeInit): Rewrote.
	* native/jni/java-io/java_io_FileDescriptor.c: Removed.

2003-04-20  Scott Gilbertson  <scottg@mantatest.com>

	* java/awt/Container.java (addImpl): Enable paint events if adding
	a lightweight to a heavyweight.
	(addNotify): Ensure that peer is created before
	addNotifyContainerChildren.
	(addNotifyContainerChildren): Enable paint events if a heavyweight
	container contains a lightweight.

2003-04-19  Tom Tromey  <tromey@redhat.com>

	* java/sql/Timestamp.java: Formatting fix.
	* java/sql/Time.java: Formatting fixes.
	* java/sql/DriverManager.java: Formatting fix.
	* java/sql/Date.java: Formatting fixes.

2003-04-19  Scott Gilbertson  <scottg@mantatest.com>

	* java/awt/Container.java (visitChild): Dispose gfx2 when
	finished.

2003-04-19  Jerry Quinn  <jlquinn@optonline.net>

	* java/math/BigInteger.java (probablePrime): New.
	* java/math/BigDecimal.java (unscaledValue): New.

2003-04-17  Jeroen Frijters  <jeroen@sumatra.nl>

	* java/lang/Class.java
	(constructor): Added transient field to cache constructor.
	(newInstance): Fixed to consider non-public constructors as well, 
	added constructor object caching and implemented accessibility check.
	* vm/reference/java/lang/VMClass.java (throwException): option method
	used to throw exception without declaring it... useful for 
	duplicating Sun behavior in newInstance
	* include/java_lang_VMClass.h: updated

2003-04-07  Archie Cobbs  <archie@dellroad.org>

	* java/lang/Character.java (digit): char[] array element never negative

2003-04-07  Archie Cobbs  <archie@dellroad.org>

	* vm/reference/java/lang/Thread.java (currentThread): javadoc updates

2003-04-07  Aaron M. Renn (arenn@urbanophile.com)

	* java/io/BufferedOutputStream.java
	(close): Delete commented out method
	(finalize): Delete commented out method
	* java/io/BufferedReader.java
	* java/io/BufferedWriter.java

2003-04-07  Aaron M. Renn (arenn@urbanophile.com)

	* java/io/DataInputStream.java
	Re-order methods to be more logical and consistent with DataInput
	interface

2003-04-07  Aaron M. Renn (arenn@urbanophile.com)

	* java/io/DataInput.java
	* java/io/DataOutput.java
	Fix minor javadoc typos
	* java/io/DataInputStream.java
	Update javadocs to match DataInput
	* java/io/DataOutputStream.java
	Update javadocs to match DataOutput

2003-04-07  Jeroen Frijters  <jeroen@sumatra.nl>

	* java/lang/Class.java
	(getSigners): If signers array is null, don't attempt to 
	clone it
	(internalGetFields): Implemented algorithm dictated by API docs 
	and used HashSet to prevent the same field showing up twice (if 
	an interface is implemented multiple times)
	(getMethods): Changed comments to indicate that Object methods are
	available from array types. This is in contrast with the API docs, but
	it matches common sense and the Sun implementation.
	(internalGetMethods): For consistency, changed to use HashMap 
	instead of java.util.HashMap.
	(getField): Now uses internalGetField.
	(internalGetField): New method to implement correct search algorithm.
	(getMethod): Changed comments to indicate that Object methods are
	available from array types. Changed to use internalGetMethod.
	(internalGetMethod): New method to implement correct search algorithm.
	(matchParameters): Don't use equals() to compare Class objects, they
	have to be identical so == can be used.

2003-04-06  Aaron M. Renn (arenn@urbanophile.com)

	* java/io/ObjectStreamException
	* java/io/FileFilter
	* java/io/FilenameFilter
	* java/io/ObjectInput
	* java/io/ObjectOutput
	* java/io/ObjectStreamConstants
	Minor doc fixes, format fixes, spelling corrections, etc.
	* java/io/DataInput
	Corrected code samples in Javadocs to match reality
	* java/io/DataOutput
	* java/io/ObjectInputValidation
	Major documentation fixes - all Javadocs re-written or updated

2003-04-06  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/FileChannelImpl.java
	Mostly merged from libgcj.
	* gnu/java/nio/MappedByteFileBuffer.java,
	gnu/java/nio/MappedCharFileBuffer.java,
	gnu/java/nio/MappedDoubleFileBuffer.java,
	gnu/java/nio/MappedFloatFileBuffer.java,
	gnu/java/nio/MappedIntFileBuffer.java,
	gnu/java/nio/MappedLongFileBuffer.java,
	gnu/java/nio/MappedShortFileBuffer.java:
	Renamed address to map_address.
	* java/io/FileInputStream.java,
	java/io/FileOutputStream.java,
	java/io/RandomAccessFile.java:
	(getChannel): Merged from libgcj.

2003-04-06  Michael Koch  <konqueror@gmx.de>

	* java/io/FileInputStream.java
	(skip): Merged with version from libgcj.

2003-04-06  Michael Koch  <konqueror@gmx.de>

	* java/sql/Date.java,
	java/sql/Time.java:
	Merged latest version from libgcj.

2003-04-05  C. Brian Jones  <cbj@gnu.org>

	* vm/reference/java/lang/VMClass.java (getInstance): removed
	* include/java_lang_VMClass.h: regenerated

2003-04-05  Jeroen Frijters  <jeroen@sumatra.nl>

	* java/lang/Class.java
	(vmClass): Made vmClass field package instead of private
	(Class): Made constructor package instead of private and passed in
	VMClass instance
	(forName(String,boolean,ClassLoader)): Added special handling for array
	classes and initialization
	(isArray): Removed superfluous ternary operator
	(internalGetClasses): Fixed to use ArrayList.addAll instead of
	ArrayList.add
	(internalGetFields): Fixed to use ArrayList.addAll instead of
	ArrayList.add
	(getMethod(String,Class[])): Added code to also look at interfaces
	* vm/reference/java/lang/VMClass.java
	(initialize): Added
	(loadArrayClass): Added

2003-04-04  C. Brian Jones  <cbj@gnu.org>

	* THANKYOU: added Archie Cobbs
	
2003-04-04  C. Brian Jones  <cbj@gnu.org>

	* native/jni/java-io/java_io_FileDescriptor.c
	(Java_java_io_FileDescriptor_nativeWriteBuf): return type is jlong
	(Java_java_io_FileDescriptor_nativeWriteBuf): return type is jlong
	* native/jni/java-io/java_io_ObjectStreamClass.c: removed
	* native/jni/java-io/java_io_RandomAccessFile.c: removed
	* native/jni/java-io/java_io_FileInputStream.c: removed
	* native/jni/java-io/java_io_FileOutputStream.c: removed
	* native/jni/java-io/Makefile.am: adjusted members of java-io library
	

2003-04-03  C. Brian Jones  <cbj@gnu.org>

	* vm/reference/java/lang/VMClass.java: fix imports
	* java/lang/Class.java
	(internalGetMethods): fix spelling of superClass
	(getSigners): cast clone of Object[]
	(getSuperclass): fix spelling of getSuperclass
	(forName): use VMClass.forName for static invocation
	* include/*.h: updated
	* doc/www.gnu.org/home.wml: update link to GNU Crypto

2003-04-03  C. Brian Jones  <cbj@gnu.org>

	Many pieces of this patch contributed by Archie Cobbs
	* vm/reference/java/lang/VMClass.java: new file
	* vm/reference/java/lang/Class.java: moved to java/lang
	* java/lang/Class.java: added transient reference to VMClass
	(Class): added call to static VMClass.getInstance()
	(forName(String)): calls VMClass.forName and if that returns null
	then performs the previous method call instead
	(isInstance): moved to VMClass
	(isAssignableFrom): moved to VMClass
	(isInterface): moved to VMClass
	(isArray): calls VMClass.isArray before returning to getName()
	based implementation
	(isPrimitive): moved to VMClass
	(getName): moved to VMClass
	(getSuperclass): moved to VMClass
	(getInterfaces): moved to VMClass
	(getComponentType): moved to VMClass
	(getModifiers): moved to VMClass
	(getSigners): return a clone of the signers array
	(memberAccessCheck): new method
	(getDeclaringClass): moved to VMClass
	(getClasses): calls internalGetClasses
	(internalGetClasses): new method
	(getFields): calls internalGetFields
	(internalGetFields): new method
	(getMethods): calls internalGetMethods
	(internalGetMethods): new method
	(getConstructors): calls getDeclaredConstructors
	(getField): calls getDeclaredFields
	(getMethod): calls getDeclaredMethods
	(matchMethod): new method
	(matchParameters): new method
	(getConstructor): calls getDeclaredConstructors
	(getDeclaredClasses): calls getDeclaredClasses(boolean)
	(getDeclaredClasses(boolean)): new method
	(getDeclaredFields): calls getDeclaredFields(boolean)
	(getDeclaredFields(boolean)): new method
	(getDeclaredMethods): calls getDeclaredMethods(boolean)
	(getDeclaredMethods(boolean)): new method
	(getDeclaredConstructors): calls getDeclaredConstructors(boolean)
	(getDeclaredConstructors(boolean)): new method
	(getDeclaredField): calls getDeclaredFields
	(getDeclaredMethod): calls getDeclaredMethods
	(getDeclaredConstructor): calls getDeclaredConstructors
	(getClassLoader0): removed
	* NEWS: note changes to Class
	* gnu/classpath/RawData: new file (from libgcj)
	* java/lang/Makefile.am: add Class.java to dist
	* vm/reference/java/lang/Makefile.am: add VMClass.java to dist, 
	remove Class.java

2003-03-31  Michael Koch  <konqueror@gmx.de>

	* java/rmi/dgc/VMID.java,
	java/rmi/registry/RegistryHandler.java,
	java/rmi/server/LoaderHandler.java,
	java/rmi/server/LogStream.java,
	java/rmi/server/Operation.java,
	java/rmi/server/RemoteCall.java,
	java/rmi/server/RemoteRef.java,
	java/rmi/server/RemoteStub.java,
	java/rmi/server/Skeleton.java:
	New version from libgcj.

2003-03-31  Michael Koch  <konqueror@gmx.de>

	* java/awt/font/TextAttribute.java
	(readResolve): Throws java.io.InvalidObjectException.

2003-03-31  Michael Koch  <konqueror@gmx.de>

	* java/io/File.java:
	Reordered methods, reformatted code.
	* java/io/PrintStream.java:
	Reordered methods, reformatted code.
	* java/io/RandomAccessFile.java:
	Reordered methods, reformatted code.

2003-03-31  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/ComponentView.java:
	Merged from libgcj.
	* javax/swing/tree/DefaultTreeCellRenderer.java:
	Merged from libgcj.

2003-03-29  Tom Tromey  <tromey@redhat.com>

	* vm/reference/java/lang/VMClassLoader.java: Reindented.

	* java/lang/ClassLoader.java (getSystemClassLoader): Fixed
	formatting.
	(loadClass(String,boolean)): Likewise.
	(getPackage): Likewise.
	(getPackages): Likewise.

2003-03-28  Michael Koch  <konqueror@gmx.de>

	* java/text/MessageFormat.java (MessageFormat.serialVersionUID):
	Define.
	* java/text/AttributedCharacterIterator.java
	(Attribute.serialVersionUID): Define.

2003-03-28  Tom Tromey  <tromey@redhat.com>

	* java/lang/Package.java (toString): Formatting fixlet.

2003-03-24  Michael Koch  <konqueror@gmx.de>

	* java/util/Date.java:
	Fixed documentation starting tag to make javadoc happy.
	* java/util/regex/Pattern.java
	(Pattern): Implements Serializable.
	* java/util/PatternSyntaxException.java
	(serialVersionUID): New member variable.

2003-03-28  Michael Koch  <konqueror@gmx.de>

	* java/io/File.java:
	Merged comment from libgcj.
	(serialVersionUID): Made it private.
	* java/io/ObjectOutputStream.java
	(PutField.write): Documentation reformatted.
	* java/io/PrintStream.java:
	Merged comment from libgcj.
	(PrintStream): Reformatted.
	* java/io/RandomAccessFile.java
	(RandomAccessFile): Merged with libgcj.
	(read): Likewise.

2003-03-28  Torsten Rupp  <rupp@homer.aicas.com>

	* native/target/generic/target_generic.h,
	native/target/generic/target_generic_file.h,
	native/target/generic/target_generic_math_float.h:
	Fix in extern-C-declaration

	* native/target/generic/target_generic_math_int.h:
	Fixed some int64-operation macros

	* native/target/generic/target_generic_network.h:
	Added some macros for setting/getting socket options

	* native/target/generic/target_generic_misc.h:
	Added TARGET_NATIVE_FORMAT_STRING macro

	* native/target/Linux/target_native.h,
	native/target/Linux/target_native_file.h,
	native/target/Linux/target_native_math_float.h,
	native/target/Linux/target_native_math_int.h,
	native/target/Linux/target_native_misc.h,
	native/target/Linux/target_native_network.h:
	Fix in extern-C-declaration

2003-03-28  Michael Koch  <konqueror@gmx.de>

	* java/io/File.java:
	Merged authors with libgcj, reformatted.
	* java/io/FileOutputStream.java:
	Merged authors with libgcj, reformatted.
	(FileOutputStream): Partly merged with libgcj.
	(finalize): New dummy method to make API complete.
	(write): Added argument check from libgcj.
	* java/io/RandomAccessFile.java:
	Merged authors with libgcj, reformatted.
	(read*): Throws only IOException.

2003-03-26  C. Brian Jones  <cbj@gnu.org>

	* configure.in: VERSION changed to 0.05+cvs
	* THANKYOU: added Casey Marshall

2003-03-26  Casey Marshall  <rsdio@metastatic.org> 

	* java/security/AlgorithmParameterGenerator.java 
	(getInstance (String)): add missing return statement
	(getInstance (String,String)): check for improper provider argument
	(getInstance (String,Provider)): reuse common Engine code
	(getInstance (String,String,Provider)): removed
	* java/security/AlgorithmParameters.java
	(getInstance (String,String)): check for improper provider argument
	(getInstance (String,Provider)): reuse common Engine code
	(getInstance (String,String,Provider)): removed
	* java/security/Engine.java: new file
	* java/security/KeyFactory.java
	(getInstance (String)): add missing return statement
	(getInstance (String,String)): check for improper provider argument
	(getInstance (String,Provider)): reuse common Engine code
	(getInstance (String,String,Provider)): removed
	* java/security/KeyPairGenerator.java
	(getInstance (String,Provider)): reuse common Engine code
	(getInstance (String,String,Provider)): removed
	* java/security/KeyStore.java
	(getInstance (String)): use getInstance(String,Provider) instead
	(getInstance (String,String)): use getInstance(String,Provider) instead
	(getInstance (String,Provider): reuse common Engine code
	* java/security/MessageDigest.java
	(getInstance (String,String)): check for improper provider argument
	(getInstance (String,Provider)): reuse common Engine code
	* java/security/SecureRandom.java
	(getInstance (String): formatting
	(getInstance (String,String)): check for improper provider argument
	(getInstance (String,Provider)): reuse common Engine code
	* java/security/Signature.java
	(getInstance (String,String)): check for improper provider argument
	(getInstance (String,Provider)): reuse common Engine code
	(getInstance (String,String,Provider)): removed

2003-03-25  Michael Koch <konqueror@gmx.de>

	* java/io/RandomAccessFile.java
	(length): Replace length() with getLength().
	(read): Replace in with fd.

2003-03-25  Michael Koch <konqueror@gmx.de>

	* java/io/FileOutputStream.java
	(getFD): Check FileDescriptor object before using it, Reformatted.
	(write): Reformatted.
	(close): Check FileDescriptor object before using it.

2003-03-25  Michael Koch  <konqueror@gmx.de>

	* java/awt/ContainerOrderFocusTraversalPolicy.java
	(getFirstComponent): Implemented.
	(getLastComponent): Implemented.
	(getDefaultComponent): Implemented.
	(setImplicitDownCycleTraversal): Fixed implementation.
	* java/awt/Robot.java
	(Robot): Documentation added.
	* java/awt/Toolkit.java
	(getFontList): Deprecated.
	(getFontMetrics): Deprecated.
	(getPrintJob): Documentation added.
	(getSystemSelection): Documentation added.
	(getLockingKeyState): Documentation addded.
	(setLockingKeyState): Documentation addded.
	(createCustonCursor): Documentation addded.
	(getBestCursorSize): Documentation addded.
	(getMaximumCursorColors): Documentation addded.
	(isFrameStateSupported): Documentation addded.

2003-03-24  C. Brian Jones  <cbj@gnu.org>

	* doc/www.gnu.org/home.wml: link to mauve results on gnu.org

2003-03-24  Michael Koch  <konqueror@gmx.de>

	* java/io/RandomAccessFile.java:
	More little merges with libgcj.
	
2003-03-24  Michael Koch  <konqueror@gmx.de>

	* java/io/File.java:
	Merged copyright from libgcj.
	* java/io/FileInputStream.java
	(close): Merged implementation from libgcj.
	(finalize): Merged from libgcj for API completeness.
	(seek): Partly merged from libgcj.
	* java/io/InputStreamReader.java:
	Moving of some methods to match the order in libgcj and reformatting.
	* java/io/OutputStreamWriter.java:
	Moving of some methods to match the order in libgcj and reformatting.
	* java/io/PrintStream.java:
	Moving of some methods to match the order in libgcj and reformatting.
	* java/io/RandomAccessFile.java:
	Moving of some methods to match the order in libgcj and reformatting.

2003-03-24  Michael Koch  <konqueror@gmx.de>

	* java/beans/beancontext/BeanContextEvent.java:
	Reformated.

2003-03-24  Michael Koch  <konqueror@gmx.de>

	* java/io/FileInputStream.java:
	More merging with libgcj.
	(read): Compile fix.

2003-03-24  Michael Koch  <konqueror@gmx.de>

	* java/io/DataOutputStream.java:
	Reordered methods to match libgcj, reformatting.
	(writeBoolean): Replaced if ... else ... with a single line of code.
	* java/io/FileInputStream.java:
	Reordered methods to match libgcj, reformatting.
	* java/io/FileOutputStream.java:
	Reordered methods to match libgcj, reformatting.
	* java/io/InputStreamReader.java:
	Merged copyright years with libgcj.
	* java/io/OutputStreamWriter.java:
	Merged copyright years with libgcj.
	* java/io/RandomAccessFile.java:
	Merged copyright years with libgcj.

2003-03-24  Michael Koch  <konqueror@gmx.de>

	* java/awt/Frame.java
	(DEFAULT_CURSOR): Fixed @deprecated tag.
	(setCursor): Fixed @deprecated tag.

2003-03-23  Michael Koch  <konqueror@gmx.de>

	* java/io/FileInputStream.java
	(getChannel): Make it synchronized, rewrote implementation.
	* java/io/FileOutputStream.java
	(getChannel): Make it synchronized, rewrote implementation.
	* java/io/RandomAccessFile.java
	(getChannel): Make it synchronized, rewrote implementation.

2003-03-23  Michael Koch  <konqueror@gmx.de>

	* java/io/ObjectOutputStream.java,
	java/io/RandomAccessFile.java:
	Reformated.

2003-03-23  Michael Koch  <konqueror@gmx.de>

	* java/io/FileInputStream.java:
	Reformated.
	* java/io/ObjectOutputStream.java:
	Reformated and some @see tags fixed.

2003-03-23  Michael Koch  <konqueror@gmx.de>

	* java/io/DataOutputStream.java
	(writeDouble): Fixed @see tag.
	(writeFloat): Fixed @see tag.
	* java/io/ObjectInputStream.java:
	Reformated.
	* java/io/ObjectOutputStream.java:
	Reformated.
	* java/io/ObjectStreamClass.java
	(toString): Fixed @see tags, documentation reformated.
	* java/io/Writer.java
	(write): Fixed documentation.

2003-03-23  Michael Koch  <konqueror@gmx.de>

	* java/io/BufferedOutputStream.java,
	java/io/BufferedReader.java,
	java/io/DataInput.java,
	java/io/DataOutput.java,
	java/io/Externalizable.java,
	java/io/File.java,
	java/io/FileDescriptor.java,
	java/io/FileFilter.java,
	java/io/FileInputStream.java,
	java/io/FileOutputStream.java,
	java/io/FileWriter.java,
	java/io/FilenameFilter.java,
	java/io/FilterInputStream.java,
	java/io/FilterOutputStream.java,
	java/io/FilterReader.java,
	java/io/FilterWriter.java,
	java/io/InputStreamReader.java,
	java/io/ObjectInput.java,
	java/io/ObjectOutput.java,
	java/io/OutputStreamWriter.java,
	java/io/PrintStream.java,
	java/io/SerializablePermission.java,
	java/io/Writer.java:
	Reformated.

2003-03-23  Michael Koch  <konqueror@gmx.de>

	* java/io/ByteArrayOutputStream.java
	(size): Fixed @see tag.
	* java/io/CharArrayWriter.java
	(size): Fixed @see tag.
	* java/io/DataInputStream.java
	(readUTF): Fixed typo in @return tag.
	* java/io/DataOutputStream.java
	(writeFloat): Fixed @see tag.
	(writeDouble): Fixed @see tag.
	* java/io/FilePermission.java
	(FilePermission): Replaced @XXX with FIXME to make javadoc happy.
	* java/io/LineNumberInputStream.java
	(LineNumberInputStream): Replaced @code with html tags.
	(getLineNumber): Fixed typo @return tag.
	* java/io/LineNumberReader.java
	(getLineNumber): Fixed typo @return tag.
	* java/io/PushbackReader.java
	(PushbackReader): Replaced @code with @param.
	* java/io/RandomAccessFile.java
	(writeInt): Fixed @see tag.
	(writeDouble): Fixed @see tag.
	* java/io/StreamTokenizer.java
	(writeDouble): Fixed @see tag.

2003-03-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFormattedTextField.java,
	javax/swing/text/DocumentFilter.java,
	javax/swing/text/NavigationFilter.java:
	New files.
	* javax/swing/Makefile.am
	(EXTRA_DIST): Added JFormattedTextField.java.
	* javax/swing/text/Makefile.am:
	(EXTRA_DIST): Added DocumentFilter.java and NavigationFilter.java.

2003-03-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/Action.java
	(ACCELERATOR_KEY): New constant.
	(ACTION_COMMAND_KEY): Likewise.
	(MNEMONIC_KEY): Likewise.
	* javax/swing/UnsupportedLookAndFeelException.java
	(UnsupportedLookAndFeelException): Must be public.
	* javax/swing/WindowConstants.java
	(EXIT_ON_CLOSE): New constant.
	* javax/swing/text/BadLocationException.java
	(offset): New member variable.
	(BadLocationException): New implementation, documentation added.
	(offsetRequested): New method.
	* javax/swing/text/Caret.java:
	Reformated.
	* javax/swing/text/Document.java:
	Reformated.

2003-03-23  Michael Koch  <konqueror@gmx.de>

	* java/rmi/activation/Activatable.java
	(serialVersionUID): New member variable.
	* java/rmi/activation/ActivationGroup.java
	(serialVersionUID): New member variable.
	* java/rmi/activation/ActivationGroupDesc.java
	(serialVersionUID): New member variable.
	* java/rmi/registry/Registry.java:
	Reformated.
	(Registry): Deprecated.
	* java/rmi/server/LoaderHandler.java
	Reformated.
	(LoaderHandler): Deprecated.
	* java/rmi/server/LogStream.java
	Reformated.
	(LogStream): Deprecated.
	* java/rmi/server/Operation.java
	(Operation): Deprecated.
	* java/rmi/server/RMIFailureHandler.java:
	Reformated.
	* java/rmi/server/RMISocketFactory.java:
	Reformated.
	* java/rmi/server/RemoteCall.java
	(RemoteCall): Deprecated.
	* java/rmi/server/RemoteStub.java:
	Reformated.
	* java/rmi/server/Skeleton.java
	Reformated.
	(Skeleton): Deprecated.

2003-03-22  Tom Tromey  <tromey@redhat.com>

	* java/awt/dnd/DropTarget.java
	(DropTarget.DropTargetAutoScroller): Now public.
	* java/awt/dnd/DropTargetContext.java
	(DropTargetContext.TransferableProxy): Now public.

	* java/io/ObjectOutputStream.java (PutField.write): Deprecate.
	(PutField.put): Don't declare any exceptions.
	(putFields): Update.

	* java/io/FileDescriptor.java (close): Simplify with `finally'.

2003-03-21  Torsten Rupp  <rupp@homer.aicas.com>

	* native/target/generic/target_generic.h,
	native/target/generic/target_generic_file.h,
	native/target/generic/target_generic_math_float.h,
	native/target/generic/target_generic_math_int.h,
	native/target/generic/target_generic_misc.h
	native/target/generic/target_generic_network.h
	native/target/Linux/target_native.h
	native/target/Linux/target_native_file.h
	native/target/Linux/target_native_math_float.h
	native/target/Linux/target_native_math_int.h
	native/target/Linux/target_native_misc.h
	native/target/Linux/target_native_network.h:
	Target specific native code. This code is still not used, but please
	have a look. aicas GmbH will add and activate this code soon as
	possible (currently we are very busy; please be patient, we will do
	our best!)

2003-03-20  John Leuner  <jewel@debian.org>

	Patches from Stephen Crawley
	* java/util/PropertyPermission.java: Fix to prevent recursive call during
	initialization
	* java/io/FileDescriptor.java (close) : clear nativeFD on success
	* java/net/PlainDatagramSocketImpl.java (setTTL): remap the TTL passed
	as an unsigned byte to an integer in the range 0..255
	* native/jni/java-net/javanet.c (_javanet_get_option): 
	implement ..._get(SOCKOPT_SO_BINDADDR) -> 'getsockname' syscall
	* native/jni/java-net/javanet.c (_javanet_set_option):
	implement ..._set(SOCKOPT_SO_BINDADDR) -> Exception

	
2003-03-20  Raif S. Naffah  <raif@fl.net.au>

	* java.security.Security (getAlgorithms(String): fixed a bug.

2003-03-18  Michael Koch  <konqueror@gmx.de>

	* java/awt/ScrollPane.java
	(ScrollPane): Rewrote for new ScrollPaneAdjustable.
	(getViewportSize): Likewise.
	(addNotify): Likewise.
	(removeNotify): Likewise.
	* java/awt/ScrollPaneAdjustable.java
	(ScrollPaneAdjustable): No longer extends Scrollbar.
	* java/beans/beancontext/BeanContextServices.java:
	Reformated.
	(getService): Added throws TooManyListenersException;
	* java/beans/beancontext/BeanContextServicesSupport.java:
	Reformated.
	(getService): Added throws TooManyListenersException;

2003-03-17  Michael Koch  <konqueror@gmx.de>

	* java/beans/Beans.java:
	Explicitely import classes not packages.
	* java/beans/FeatureDescriptor.java
	(preferred): New member variable.
	(isPreferred): New method.
	(setPreferred): New method.
	* java/beans/PropertyEditorManager.java:
	Explicitely import used classes.
	* java/beans/beancontext/BeanContextChild.java:
	Added line wrapping.
	* java/beans/beancontext/BeanContextChildSupport.java:
	Reindented.
	* java/beans/beancontext/BeanContextEvent.java:
	Reindented.

2003-03-17  Michael Koch  <konqueror@gmx.de>

	* java/awt/Dialog.java
	(Dialog): New constructor, changed implementations, added
	documentation.
	* java/awt/ScrollPaneAdjustable.java
	(ScrollPaneAdjustable): Implements Adjustable and Serializable.
	(serialVersionUID): New member variable.
	(sp): New member variable.
	(orientation): New member variable.
	(value): New member variable.
	(minimum): New member variable.
	(maximum): New member variable.
	(visibleAmount): New member variable.
	(unitIncrement): New member variable.
	(blockIncrement): New member variable.
	(AdjustmentListener): New member variable.
	(ScrollPaneAdjustable): New implementation.
	(addAdjustmentListener): New method.
	(removeAdjustmentListener): New method.
	(getAdjustmentListeners): New method.
	(getBlockIncrement): New method.
	(getMaximum): New method.
	(getMinimum): New method.
	(getOrientation): New method.
	(getUnitIncrement): New method.
	(getValue): New method.
	(getVisibleAmount): New method.
	(setBlockIncrement): New method.
	(setMaximum): Implemented.
	(setMinimum): Implemented.
	(setUnitIncrement): New method.
	(setValue): New method.
	(setVisibleAmount): Implemented. 
	(paramString): New stubbed method.
	* java/awt/Window.java
	(show): Call setVisible().
	(hide): Call setVisible().
	(processEvent): Add cases for WINDOW_GAINED_FOCUS, WINDOW_LOST_FOCUS
	and WINDOW_STATE_CHANGED.
	(processWindowFocusEvent): New method.
	(processWindowStateEvent): New method.
	(postEvent): Deprecated.
	(applyResourceBundle): Deprecated.
	* java/awt/datatransfer/DataFlavor.java
	(DataFlavor): Doesn't thow ClassNotFoundException.

2003-03-16  Tom Tromey  <tromey@redhat.com>

	* java/lang/Process.java (waitFor): Fixed typo.

2003-03-15  Jeroen Frijters  <jeroen@sumatra.nl>

	* vm/reference/java/lang/VMClassLoader.java (loadClass): Changed
	documentation to make clear null can be returned to signal that the
	class wasn't found.
	* java/lang/ClassLoader.java (loadClass(String,boolean)): Added check
	for null return value from VMClassLoader.loadClass.
	* vm/reference/java/lang/Class.java
	(forName(String,boolean,ClassLoader)): Likewise. 
	* NEWS: Add note about VM interface changes.

2003-03-15  Aaron M. Renn <arenn@urbanophile.com>

	* java/io/FileOutputStream - Fix 1.4 compatibility issue
	(FileOutputStream(File, boolean)): new constructor
	* java/io/FileWriter - Fix 1.4 compatibility issue
	(FileWriter(File, boolean)): new constructor
	* java/io/PrintStream - Fix 1.4 compatibility issue
	(PrintStream(OutputStream, boolean, String)): new constructor

2003-03-15  Aaron M. Renn <arenn@urbanophile.com>

	* java/io/RandomAccessFile - Fix 1.4 compatibility problems
	(RandomAccessFile(File, String)) - Delete implementation, call
	RandomAccessFile(String, String), throw FileNotFound instead of IOExcep
	(RandomAccessFile(String, String) - Add implementation copied from
	other constructor, make throw FileNotFound instead of IOException

2003-03-15  Aaron M. Renn <arenn@urbanophile.com>

	* java/io/FileDescriptor - Make native signatures match Java, misc fixs
	(FileDescriptor(long)): Change parm from int
	(close): Synchronize, ensure consistency via try/catch loop
	(nativeWriteByte): Change byte from long to int
	(write): Change offset, len to int
	(nativeWriteBuf): Change offset, len to int
	(read): Expect byte from nativeReadByte
	(nativeReadByte): Return int
	(read(byte[],int, int): Expect int return from nativeReadBuf
	(nativeReadBuf): offset, len to int
	(available): Expect int from nativeAvailable
	(nativeAvailable): Return int
	* native/jni/java-io/FileDescriptor.c
	Change function signatures to match Java signatures
	(nativeWriteByte): Byte to write to int
	(nativeWriteBuf): offset, len to int
	(nativeReadByte): return int
	(nativeReadBuf): offset, len to int, return int
	(nativeAvailable): return int
	
2003-03-14  Michael Koch  <konqueror@gmx.de>

	* java/beans/beancontext/BeanContextServicesSupport.java
	(getService): Compile fix.
	* java/beans/beancontext/BeanContextServicesSupport.java:
	Forgot to add sooner.

2003-03-14  Jeroen Frijters  <jeroen@sumatra.nl>

	* java/io/ObjectInputStream.java (readObject): Cleaned up the class
	hierarchy loop.
	(readFields(Object,ObjectStreamField[],boolean)): Changed argument
	list to Object,ObjectStreamClass, moved callReadMethod code up into
	readObject and added Class argument to all setXxxField calls.
	(callReadMethod): Changed Class argument to ObjectStreamClass to be
	consistent with ObjectOutputStream and to facilitate caching the
	Method in the future.
	(setBooleanField): Added Class argument.
	(setByteField): Likewise.
	(setCharField): Likewise.
	(setDoubleField): Likewise.
	(setFloatField): Likewise.
	(setIntField): Likewise.
	(setLongField): Likewise.
	(setShortField): Likewise.
	(setObjectField): Likewise.
	* java/io/ObjectOutputStream.java (writeObject): Cleaned up the
	class hierarchy loop.
	(defaultWriteObject): Call writeFields with new argument list.
	(writeFields(Object,ObjectStreamField[],boolean): Changed argument
	list to Object,ObjectStreamClass, moved callWriteMethod up into
	writeObject and added Class argument to all getXxxField calls.
	(callWriteMethod): Added ObjectStreamClass argument to be able to
	get the proper class to call getMethod on (each class can have (or
	not have) its own writeObject method).
	(getBooleanField): Added Class argument.
	(getByteField): Likewise.
	(getCharField): Likewise.
	(getDoubleField): Likewise.
	(getFloatField): Likewise.
	(getIntField): Likewise.
	(getLongField): Likewise.
	(getShortField): Likewise.
	(getObjectField): Likewise.
	* java/io/ObjectStreamClass.java (hasReadMethod): Added method to
	facilitate caching the Method object in the future.

2003-03-14  Michael Koch  <konqueror@gmx.de>

	* java/net/DatagramSocket.java:
	Partly merged with libgcj.
	* java/net/JarURLConnection.java:
	Partly merged with libgcj.
	* java/net/PlainSocketImpl.java:
	Partly merged with libgcj.

2003-03-14  Michael Koch  <konqueror@gmx.de>

	* java/beans/beancontext/BeanContextServicesSupport.java,
	java/beans/beancontext/BeanContextServicesSupport.java: New files.
	* java/beans/beancontext/Makefile.am
	(EXTRA_DIST): Added new files.

2003-03-14  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/SelectionKeyImpl.java:
	Merged with libgcj.
	* gnu/java/nio/SelectorProviderImpl.java:
	Merged with libgcj.
	* gnu/java/nio/ServerSocketChannelImpl.java:
	Partly merged with libgcj.
	* gnu/java/nio/SocketChannelImpl.java:
	Merged with libgcj.

2003-03-14  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/CharBufferImpl.java:
	Merged with libgcj.
	* gnu/java/nio/DatagramChannelImpl.java:
	Merged with libgcj.
	* gnu/java/nio/MappedByteFileBuffer.java:
	Partly merged with libgcj.

2003-03-13  Tom Tromey  <tromey@redhat.com>

	* java/util/logging/FileHandler.java (FileHandler(String)): New
	constructor.
	* java/util/logging/LogRecord.java (serialVersionUID): Use
	correct value.

2003-03-12  Tom Tromey  <tromey@redhat.com>

	* java/security/Signer.java: Removed non-ASCII characters.
	* java/security/Signature.java: Removed non-ASCII characters.
	* java/security/Security.java: Removed non-ASCII characters.
	* java/security/Policy.java (getCurrentPolicy): Typo fix.
	(isLoaded): Removed non-ASCII character.

2003-03-12  Sascha Brawer  <brawer@acm.org>

	* java/util/logging/Level.java (OFF, SEVERE, WARNING, INFO, CONFIG,
	FINE, FINER, FINEST, ALL): Added Javadoc.

2003-03-11  Michael Koch  <konqueror@gmx.de>

	* java/net/JarURLConnection.java: Reformated, no code changes.
	* java/net/MulticastSocket.java: Fixed some @see tags for javadoc.
	* java/net/PlainDatagramSocketImpl.java: Reformated, no code changes.
	* java/net/Socket.java:  Fixed some @see tags for javadoc.
	* java/net/URLConnection.java: Reformated, no code changes.

2003-03-11  Michael Koch  <konqueror@gmx.de>

	* java/net/InetAddress.java
	(InetAddress): Constructors must be package-private, not public.

2003-03-11  Michael Koch  <konqueror@gmx.de>

	* java/net/InetAddress.java: Reformated, no code changes.

2003-03-11  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/FileLockImpl.java: New file.
	* gnu/java/nio/Makefile.am
	(EXTRA_DIST): Added FileLockImpl.java.

2003-03-11  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/ByteBufferImpl.java,
	gnu/java/nio/CharBufferImpl.java,
	gnu/java/nio/DoubleBufferImpl.java,
	gnu/java/nio/FloatBufferImpl.java,
	gnu/java/nio/IntBufferImpl.java,
	gnu/java/nio/LongBufferImpl.java,
	gnu/java/nio/MappedByteFileBuffer.java,
	gnu/java/nio/MappedCharFileBuffer.java,
	gnu/java/nio/MappedDoubleFileBuffer.java,
	gnu/java/nio/MappedFloatFileBuffer.java,
	gnu/java/nio/MappedIntFileBuffer.java,
	gnu/java/nio/MappedLongFileBuffer.java,
	gnu/java/nio/MappedShortFileBuffer.java,
	gnu/java/nio/ShortBufferImpl.java,
	java/nio/Buffer.java,
